GNU bug report logs - #56869
29.0.50; segfault, "assertion 'GDK_IS_DEVICE (device)' failed"

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Joe Corneli <joseph.corneli@HIDDEN>; Keywords: moreinfo; dated Mon, 1 Aug 2022 13:09:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 56869 <at> debbugs.gnu.org:


Received: (at 56869) by debbugs.gnu.org; 18 Aug 2022 13:20:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Aug 18 09:20:45 2022
Received: from localhost ([127.0.0.1]:54242 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oOfRx-00042O-VQ
	for submit <at> debbugs.gnu.org; Thu, 18 Aug 2022 09:20:45 -0400
Received: from box.hyperreal.enterprises ([85.159.211.210]:38499)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <joseph.corneli@HIDDEN>)
 id 1oOfRt-000427-LY
 for 56869 <at> debbugs.gnu.org; Thu, 18 Aug 2022 09:20:40 -0400
Received: from authenticated-user (box.hyperreal.enterprises [85.159.211.210])
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits))
 (No client certificate requested)
 by box.hyperreal.enterprises (Postfix) with ESMTPSA id D0ACD43F1C;
 Thu, 18 Aug 2022 14:20:31 +0100 (BST)
DKIM-Signature: v=1; a=rsa-sha256; c=simple/simple; d=hyperreal.enterprises;
 s=mail; t=1660828831;
 bh=JQsHnjcCQBs/YBjCjf0sTKZr20rxb2z7Q0bOPP3niyE=;
 h=References:From:To:Cc:Subject:In-reply-to:Date:From;
 b=spJNTlBOTj2ZAPofUo5ZPUfjhDrl0DDV5DzE3d9QhzxicC+0v2jdfYSUq4th3Tc73
 Ycz1GJv4I8rNnvc/S9Oze/yro9pdEH8txhQfwrMKrCmuxz4Sf3aWpTcd6hmEreFQK6
 5aiPPo3D6IGOBRYIXs87NUEBsHFtu6eA2TJrZzVQcdFuuSEFm7iETxiApkxb0wdGlD
 1qzz2Yc8V606HZOPN8JSHvWKhm6I5sMvzIRRdWI3u3A3HCxxw/cTy/PyxYQwERooE4
 RKrNdSP/t4y/wv4sIexJj4fkhNc30NXC6GGBMBHFZX+ifz9uinAArx+NMnNHiKgf/F
 WY762BBup+ooA==
References: <87sfmgjelt.fsf@Proteus> <87a68nfnp4.fsf@HIDDEN>
 <87bkt24tng.fsf@Proteus> <87zggmcxpb.fsf@Proteus>
 <875yjadt7j.fsf@HIDDEN> <87y1vvaysh.fsf@Proteus>
 <87r11nvw44.fsf@HIDDEN> <87h72ihpk7.fsf@Proteus>
 <87edxmw98w.fsf@HIDDEN> <87edxlfzwz.fsf@Proteus>
 <87a689wsdx.fsf@HIDDEN> <87pmh33wfu.fsf@Proteus>
 <87tu6d4ne8.fsf@Proteus> <87pmh1qa19.fsf@HIDDEN>
 <87r11g4hrv.fsf@Proteus> <87h72cqx2w.fsf@HIDDEN>
 <87r11g2r2b.fsf@Proteus> <8735dvx9r1.fsf@Proteus>
 <874jyap981.fsf@HIDDEN>
From: Joe Corneli <joseph.corneli@HIDDEN>
To: Po Lu <luangruo@HIDDEN>
Subject: Re: bug#56869: 29.0.50; segfault, "assertion 'GDK_IS_DEVICE
 (device)' failed"
In-reply-to: <874jyap981.fsf@HIDDEN>
Date: Thu, 18 Aug 2022 14:20:27 +0100
Message-ID: <87a681663o.fsf@Proteus>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 56869
Cc: 56869 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


Po Lu writes:

> Joe Corneli <joseph.corneli@HIDDEN> writes:
>
>> Joe Corneli writes:
>>>
>>> In light of the previous, I think this is what=E2=80=99s needed.  Detai=
ls will
>>> be forthcoming with the next crash!
>>>
>>> joe@Proteus:~$  sudo apt-get source libgtk-3-0
>>
>> OK, here=E2=80=99s the next round of backtrace.  Now it includes some Li=
sp
>> details, implicating feebleline (https://melpa.org/#/feebleline) as the
>> source of the problems.
>
> Async input can be read almost anywhere, and that includes from Lisp.
> So feebleline is most likely not the problem here.

For now, I=E2=80=99ve turned off the feature that seemed most suspicious...
https://github.com/tautologyclub/feebleline/issues/66

If it turns out that I don=E2=80=99t have any crashes then great!  Otherwis=
e,
more reports will surely follow.

> As I said, the line number is unfortunately not very informative, so
> please type "l" to show a listing of the GDK code at that particular
> line.
>
> Thanks.

Sure, though I forgot to save the core file last time, so I can=E2=80=99t p=
ress
"l" in gdb, but here are indicative code snippets from the files named
in the previous backtrace.  The mentioned lines are marked below:

...  M-x occur RET /\*[0-9]+\*/ RET

Thank you!

>> #0  gdk_x11_device_manager_xi2_translate_event
>>     (xevent=3D<optimised out>, event=3D<optimised out>, display=3D<optim=
ised out>, translator=3D<optimised out>)
>>     at ../../../../../gdk/x11/gdkdevicemanager-xi2.c:1794

        event->motion.type =3D GDK_MOTION_NOTIFY;
        event->motion.window =3D window;
        event->motion.time =3D xev->time;
        event->motion.x =3D (gdouble) xev->event_x / scale;
        event->motion.y =3D (gdouble) xev->event_y / scale;
        event->motion.x_root =3D (gdouble) xev->root_x / scale;
        event->motion.y_root =3D (gdouble) xev->root_y / scale;

        event->motion.device =3D device;
        gdk_event_set_source_device (event, source_device);
        gdk_event_set_seat (event, gdk_device_get_seat (device));
        gdk_event_set_device_tool (event, source_device->last_tool); /*1794=
*/

        event->motion.state =3D _gdk_x11_device_xi2_translate_state (&xev->=
mods, &xev->buttons, &xev->group);

#ifdef XINPUT_2_2
        if (xev->flags & XIPointerEmulated)
          gdk_event_set_pointer_emulated (event, TRUE);
#endif

>> #1  gdk_x11_device_manager_xi2_translate_event
>>     (translator=3D<optimised out>, display=3D<optimised out>, event=3D<o=
ptimised out>, xevent=3D<optimised out>)
>>     at ../../../../../gdk/x11/gdkdevicemanager-xi2.c:1478

static gboolean
gdk_x11_device_manager_xi2_translate_event (GdkEventTranslator *translator,=
 /*1478*/
                                            GdkDisplay         *display,
                                            GdkEvent           *event,
                                            XEvent             *xevent)
{
  GdkX11DeviceManagerXI2 *device_manager;
  XGenericEventCookie *cookie;
  GdkDevice *device, *source_device;
  gboolean return_val =3D TRUE;
  GdkWindow *window;
  GdkWindowImplX11 *impl;
  int scale;
  XIEvent *ev;
/*...*/

>> #2  0x00007ffff757e989 in _gdk_x11_event_translator_translate
>>     (translator=3Dtranslator@entry=3D0x55555647e400, display=3D0x5555564=
5a0e0, xevent=3Dxevent@entry=3D0x7ffffffe9730)
>>     at ../../../../../gdk/x11/gdkeventtranslator.c:51

GdkEvent *
_gdk_x11_event_translator_translate (GdkEventTranslator *translator,
                                     GdkDisplay         *display,
                                     XEvent             *xevent)
{
  GdkEventTranslatorIface *iface;
  GdkEvent *event;

  g_return_val_if_fail (GDK_IS_EVENT_TRANSLATOR (translator), NULL);
  g_return_val_if_fail (GDK_IS_DISPLAY (display), NULL);

  iface =3D GDK_EVENT_TRANSLATOR_GET_IFACE (translator);

  if (!iface->translate_event)
    return NULL;

  event =3D gdk_event_new (GDK_NOTHING);

  if ((iface->translate_event) (translator, display, event, xevent)) /*51*/
    return event;

  gdk_event_free (event);

  return NULL;
}

>> #3  0x00007ffff757e4cc in gdk_event_source_translate_event (xevent=3D0x7=
ffffffe9730, event_source=3D0x55555648b380)
>>     at ../../../../../gdk/x11/gdkeventsource.c:230

static GdkEvent *
gdk_event_source_translate_event (GdkEventSource *event_source,
                                  XEvent         *xevent)
{
  GdkEvent *event =3D gdk_event_new (GDK_NOTHING);
  GdkFilterReturn result =3D GDK_FILTER_CONTINUE;
  GdkEventTranslator *event_translator;
  GdkWindow *filter_window;
  Display *dpy;

  dpy =3D GDK_DISPLAY_XDISPLAY (event_source->display);

#ifdef HAVE_XGENERICEVENTS
  /* Get cookie data here so it's available
   * to every event translator and event filter.
   */
  if (xevent->type =3D=3D GenericEvent)
    XGetEventData (dpy, &xevent->xcookie);
#endif

  filter_window =3D gdk_event_source_get_filter_window (event_source, xeven=
t,
                                                      &event_translator);
  if (filter_window)
    event->any.window =3D g_object_ref (filter_window);

  /* Run default filters */
  if (_gdk_default_filters)
    {
      /* Apply global filters */
      result =3D gdk_event_apply_filters (xevent, event, NULL);
    }

  if (result =3D=3D GDK_FILTER_CONTINUE &&
      filter_window && filter_window->filters)
    {
      /* Apply per-window filters */
      result =3D gdk_event_apply_filters (xevent, event, filter_window);
    }

  if (result !=3D GDK_FILTER_CONTINUE)
    {
#ifdef HAVE_XGENERICEVENTS
      if (xevent->type =3D=3D GenericEvent)
        XFreeEventData (dpy, &xevent->xcookie);
#endif

      if (result =3D=3D GDK_FILTER_REMOVE)
        {
          gdk_event_free (event);
          return NULL;
        }
      else /* GDK_FILTER_TRANSLATE */
        return event;
    }

  gdk_event_free (event);
  event =3D NULL;

  if (event_translator)
    {
      /* Event translator was gotten before in get_filter_window() */
      event =3D _gdk_x11_event_translator_translate (event_translator, /*23=
0*/
                                                   event_source->display,
                                                   xevent);
    }
  else
    {
      GList *list =3D event_source->translators;

      while (list && !event)
        {
          GdkEventTranslator *translator =3D list->data;

          list =3D list->next;
          event =3D _gdk_x11_event_translator_translate (translator,
                                                       event_source->displa=
y,
                                                       xevent);
        }
    }

  if (event &&
      (event->type =3D=3D GDK_ENTER_NOTIFY ||
       event->type =3D=3D GDK_LEAVE_NOTIFY) &&
      event->crossing.window !=3D NULL)
    {
      /* Handle focusing (in the case where no window manager is running */
      handle_focus_change (&event->crossing);
    }

#ifdef HAVE_XGENERICEVENTS
  if (xevent->type =3D=3D GenericEvent)
    XFreeEventData (dpy, &xevent->xcookie);
#endif

  return event;
}

>> #4  _gdk_x11_display_queue_events (display=3D0x55555645a0e0) at
>>../../../../../gdk/x11/gdkeventsource.c:341

void
_gdk_x11_display_queue_events (GdkDisplay *display)
{
  GdkEvent *event;
  XEvent xevent;
  Display *xdisplay =3D GDK_DISPLAY_XDISPLAY (display);
  GdkEventSource *event_source;
  GdkX11Display *display_x11;

  display_x11 =3D GDK_X11_DISPLAY (display);
  event_source =3D (GdkEventSource *) display_x11->event_source;

  while (!_gdk_event_queue_find_first (display) && XPending (xdisplay))
    {
      XNextEvent (xdisplay, &xevent);

      switch (xevent.type)
        {
        case KeyPress:
        case KeyRelease:
          break;
        default:
          if (XFilterEvent (&xevent, None))
            continue;
        }

      event =3D gdk_event_source_translate_event (event_source, &xevent); /=
*341*/

      if (event)
        {
          GList *node;

          node =3D _gdk_event_queue_append (display, event);
          _gdk_windowing_got_event (display, node, event, xevent.xany.seria=
l);
        }
    }
}

>> #5  0x00007ffff75460e4 in gdk_display_get_event (display=3Ddisplay@entry=
=3D0x55555645a0e0)
>>     at ../../../../gdk/gdkdisplay.c:441

GdkEvent*
gdk_display_get_event (GdkDisplay *display)
{
  g_return_val_if_fail (GDK_IS_DISPLAY (display), NULL);

  if (display->event_pause_count =3D=3D 0)
    GDK_DISPLAY_GET_CLASS (display)->queue_events (display); /*441*/

  return _gdk_event_unqueue (display);
}

>> #6  0x00007ffff757e0e6 in gdk_event_source_dispatch
>>     (source=3D<optimised out>, callback=3D<optimised out>, user_data=3D<=
optimised out>)
>>     at ../../../../../gdk/x11/gdkeventsource.c:363

static gboolean
gdk_event_source_dispatch (GSource     *source,
                           GSourceFunc  callback,
                           gpointer     user_data)
{
  GdkDisplay *display =3D ((GdkEventSource*) source)->display;
  GdkEvent *event;

  gdk_threads_enter ();

  event =3D gdk_display_get_event (display); /*363*/

  if (event)
    {
      _gdk_event_emit (event);

      gdk_event_free (event);
    }

  gdk_threads_leave ();

  return TRUE;
}





--=20
Dr Joseph A. Corneli (https://github.com/holtzermann17)

HYPERREAL ENTERPRISES LTD is a private company limited by shares, incorpora=
ted
25th, June 2019 as Company Number 634284 on the Register of Companies for
Scotland (https://beta.companieshouse.gov.uk/company/SC634284).




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#56869; Package emacs. Full text available.

Message received at 56869 <at> debbugs.gnu.org:


Received: (at 56869) by debbugs.gnu.org; 18 Aug 2022 02:38:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 17 22:38:28 2022
Received: from localhost ([127.0.0.1]:53353 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oOVQR-0005Tp-Pn
	for submit <at> debbugs.gnu.org; Wed, 17 Aug 2022 22:38:28 -0400
Received: from sonic307-10.consmr.mail.ne1.yahoo.com ([66.163.190.33]:43784)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <luangruo@HIDDEN>) id 1oOVQN-0005TZ-Rx
 for 56869 <at> debbugs.gnu.org; Wed, 17 Aug 2022 22:38:26 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1660790297; bh=Lbudctt+qaKFtDVqIAeqV7CNhuseABW0FkEFOARQ1/M=;
 h=From:To:Cc:Subject:References:Date:In-Reply-To:From:Subject:Reply-To;
 b=j6SgG4rneY/cxdJhC04AlPAbNDn1c/fWplaIm3dy4J4uFYTLw3bzK4+H7Wa0579OuF5HmzPUN4uESLRpf4S4W3JsyWp9Lm8X6VNZZI2rN5nLmvAihEojq+rwe7G6NMASaqatMBdUiAIgpf8kV+CUwAuuYSnj4GBHWFIBzUXmM9MkuPysIaD5mnHBBT0wSl7qJyOi6BKUVKSBlwiD7pZR+Opi+dsVPQkg/w+ktM6hOsCQIMExea41dnZczRLR8amxP9SxTI04E6dADqPjI+351ktzptXLK7+JKZl+PeGNaXTjDoj8Ttuq8raUXJlLLHzBUnCjPyt6ZH5s5vNRpLIw+g==
X-SONIC-DKIM-SIGN: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1660790297; bh=wASv6S2e0ZvwyxsUjg1h0O4u9mGPzKwN9sTzYQ+6Cw0=;
 h=X-Sonic-MF:From:To:Subject:Date:From:Subject;
 b=kschIjd5Pe8ooszbBxiMzYp+Q4il64fuiy22IfS9NNIeCt6jCLXQAhNVaDm9M3ouPJ65F0q4XK9m3N/VqkTUo4AgsOq5EPgz9THikKzIa2Qj0f91A47tMMZDgwEmntTwvyNKr8ntBYOR8uIZbrt8WVcBiEEgQX84rgro3nvaenR1IjleUP4GBFnoWBgjyCVO40r4+/aDoK+FhOTTILOwW4QIcCIaP7Xr9qQ0SdFsfH7f7IU40MPLuvFPkIpMAwY4aJIogmzALbLTa/Gd4N3t4kPHUZRnOpjdBps1vX9zvjlyYXZrpqvhOUSyH5YcXauhPT23ipBM9Hl4oG9mGhX0Ug==
X-YMail-OSG: 3uI4wygVM1mTIt_HmWinvwdx3FgpqSpyQxoqOxNwiPVgyy2Iql2BuhbJvuEQYTY
 mQIb9jLk1pSZ64dzbF3gJqg0X9QEnJafiKiXYQpVaDQ9oOpw51gV_wqzB7nlv6MUU..brrXVDRBn
 HWwSD9v27DSj1qYMTpslvSOx2MPiTBRDoQjam0orDs9k6gK9_.d7ysZEQaVHB8PSSnSzCat8eR5V
 PXXsWACiaf.wZpdZfzTYOJKOfjX1EZx_Xjgcegc3rguxQYmc_Uza7244w34.I0S7nBZX4pP4b79g
 pSjc1zrwkJ1thma18v4MWrxNVRaZar5CNdEHJmG0MTg7ghn79tfCyS6G6io3mAvIQj9mSl6SRBsS
 EdZ55e1FXFOkHhKoHS_6sY7xOFEdiRqJ1uznFv.SgIR_88o87Ip3ZNITsskIGSas8R5JLRCxSwV4
 uTlc3LpSMPOxvdoCdxajFtcX97CEHaXXnxdyxfI3GQc71AEf2aqmSIQdpz.IAgCP2tgndWWzu_Pb
 nJ7jUQSjrA78nLQQJRrISUT87QOdb2jObA5vs6jRPXzzsJXvN_6CCoKKjWqVf_EDz4fkFJ08mK0n
 2cbo.J0kLxQxpbjuVzlJzPpv6Za9_ytWXx85v83.zUwZLe4dQIoJIcH.YthtZ.6_fzIfx8b8zE.v
 1h96WMQh8_uYqPpSv7Z578MmyvJP7yKd3XA9cdCm7C2Pf.l0SmGfQ..2C9K_0DZ3nWtzImhVtyV6
 4p0kYl.dF5Db4BJnR1YNVHfZyS33LI6BKBObujhH.1u94s05RPjouK8ys_X0cmC7jtookIlrT3IH
 14eGabMq2YSEpG_gFhaCI13P3JzPADulegfvsHxSik9Tfet7xa9qsm3bd0MiSLhK89b2U9QCaFGj
 8mzWdsL5lepkoXUII5rsWETb4PzP1OEqjO48jcD1yYdYr3568kev8GO_UFQagCYEsH0kU0gLvRib
 jd_htU20ZWK0DiSwj5mhVE6LTYa0I04c9rZEwexmRYs9lOlsnlwV11jICG0_HaGv.6PooyRmEWlv
 kAtGlsDZrAe4C2aKI.J4eKXTIGitwehYVjX7SixN5sVSWv.A4X_2mFC9xsNzxHfq8sBkGny8bPhN
 jLZ3rR3de4cBmLKaYfsDbyFdCm4H7PZwI6CE3yYjWdjXnxz0h4WAg6cpcxM8YB2QhHU7dMYCDLN2
 hoiQejsIhsnlVLGhAQ4r7ri1kdAGAx0H6UHwwj.EsnAWpqyACEK3VHVkK6Pz46ixDDSKunFojq8W
 iwuAB5FMQP5.jbWe6aCOB__ps_gyV9Lgtti7IvQux6PpW9fB1eFvNKboTY7Ryas1htXW9od_Jwop
 2c8cXXLikXpqGRxA7U3PnB3HIcJ4IyK.0R2hzpqGYGiPLQYH0iEcOUNlRAdlizKLwBlmhq5U.Z4.
 BxZxIdJJESKV79zh9fVVqOwV1JpGPTTTGFnO82h711UCOw40UYyb2cKsA0TXlQz_hz_2jz0rF3MZ
 Cir_tPPj.VREuP0EIz8JRmxhdWZXJ8nHUiGExbjS5t9O9aH_jkO_mDjpihlPYPoyvABrzGvN7103
 i__56hMEp3JJfD96I0VpeeGZ8AZSbe0457qv60qtKcJUfu00NpbiqJbVuzBufol1qbmbd9lLVkkN
 URlvdn9fKIMY0dBP4.mbAbw1vjvu8rwC97IPIIXSzh3KfuFeqMdhJgNvd0z8QfHdl0EzaP17KSsV
 J.ged2zVV5b.O83WyEC4RxosSuV1FIpCfjUmlPicOcg4bQgWx6GJLqJAlyTOZlRNK6igvEMLsZfe
 AWqkFsIfHxY.1w49evOjj_owZ_905ULxqy.21T.Wn0n2dNwi3mrLoSEmFfVD3o.obbPUdxEZVc7X
 hEN_Xu68dxB.muNyswDiFDny0RmNKf5epztz8s7KKy17ZJXqyzbYFmLoPYsHpb47Ty.Pv_eki0MI
 uiZQbJlMs.DSkjqN4zC2ei5DU333ST9hRmpvrKxLGbFwLWDfZjIk_E29vsTXcR4VFfUUaaW44Opm
 g1oYV182NMKGNDvvBYSuM6MLQ.NuSEOJ.JWvloF1jT_tvEV0YieyO5lawdno9lQGsQeoHv6jztyB
 3L_C64gk1VfuMm8wQyxZoF0.BB9rvMS2nMDhI.lq4g8KawMdj0SoQJldAaGDNPnqZI8uj0d_2FmB
 3Kz62Bo_aTSKM7j8_iHOa4A6HuzaMChVDM3Nyw.zvMpSh3ojQdFCx_kavPFBZuROZGhh7EF423fR
 kovGw_60zd3.2KRBBSD1FYhDyfN7F2weSBWz0KEe1ExrfkaO1IIwFU6IByrg-
X-Sonic-MF: <luangruo@HIDDEN>
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic307.consmr.mail.ne1.yahoo.com with HTTP; Thu, 18 Aug 2022 02:38:17 +0000
Received: by hermes--canary-production-sg3-6f58cd9b5-p4pb6 (Yahoo Inc. Hermes
 SMTP Server) with ESMTPA ID 6398bd5ecf9081a7bdb9a78bfe8d7ff6; 
 Thu, 18 Aug 2022 02:38:11 +0000 (UTC)
From: Po Lu <luangruo@HIDDEN>
To: Joe Corneli <joseph.corneli@HIDDEN>
Subject: Re: bug#56869: 29.0.50; segfault, "assertion 'GDK_IS_DEVICE
 (device)' failed"
References: <87sfmgjelt.fsf@Proteus> <87a68nfnp4.fsf@HIDDEN>
 <87bkt24tng.fsf@Proteus> <87zggmcxpb.fsf@Proteus>
 <875yjadt7j.fsf@HIDDEN> <87y1vvaysh.fsf@Proteus>
 <87r11nvw44.fsf@HIDDEN> <87h72ihpk7.fsf@Proteus>
 <87edxmw98w.fsf@HIDDEN> <87edxlfzwz.fsf@Proteus>
 <87a689wsdx.fsf@HIDDEN> <87pmh33wfu.fsf@Proteus>
 <87tu6d4ne8.fsf@Proteus> <87pmh1qa19.fsf@HIDDEN>
 <87r11g4hrv.fsf@Proteus> <87h72cqx2w.fsf@HIDDEN>
 <87r11g2r2b.fsf@Proteus> <8735dvx9r1.fsf@Proteus>
Date: Thu, 18 Aug 2022 10:38:06 +0800
In-Reply-To: <8735dvx9r1.fsf@Proteus> (Joe Corneli's message of "Wed, 17 Aug
 2022 14:47:14 +0100")
Message-ID: <874jyap981.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.91 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Mailer: WebService/1.1.20531
 mail.backend.jedi.jws.acl:role.jedi.acl.token.atz.jws.hermes.yahoo
Content-Length: 2033
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 56869
Cc: 56869 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Joe Corneli <joseph.corneli@HIDDEN> writes:

> Joe Corneli writes:
>>
>> In light of the previous, I think this is what=E2=80=99s needed.  Detail=
s will
>> be forthcoming with the next crash!
>>
>> joe@Proteus:~$  sudo apt-get source libgtk-3-0
>
> OK, here=E2=80=99s the next round of backtrace.  Now it includes some Lisp
> details, implicating feebleline (https://melpa.org/#/feebleline) as the
> source of the problems.

Async input can be read almost anywhere, and that includes from Lisp.
So feebleline is most likely not the problem here.

> #0  gdk_x11_device_manager_xi2_translate_event
>     (xevent=3D<optimised out>, event=3D<optimised out>, display=3D<optimi=
sed out>, translator=3D<optimised out>)
>     at ../../../../../gdk/x11/gdkdevicemanager-xi2.c:1794
> #1  gdk_x11_device_manager_xi2_translate_event
>     (translator=3D<optimised out>, display=3D<optimised out>, event=3D<op=
timised out>, xevent=3D<optimised out>)
>     at ../../../../../gdk/x11/gdkdevicemanager-xi2.c:1478
> #2  0x00007ffff757e989 in _gdk_x11_event_translator_translate
>     (translator=3Dtranslator@entry=3D0x55555647e400, display=3D0x55555645=
a0e0, xevent=3Dxevent@entry=3D0x7ffffffe9730)
>     at ../../../../../gdk/x11/gdkeventtranslator.c:51
> #3  0x00007ffff757e4cc in gdk_event_source_translate_event (xevent=3D0x7f=
fffffe9730, event_source=3D0x55555648b380)
>     at ../../../../../gdk/x11/gdkeventsource.c:230
> #4  _gdk_x11_display_queue_events (display=3D0x55555645a0e0) at ../../../=
../../gdk/x11/gdkeventsource.c:341
> #5  0x00007ffff75460e4 in gdk_display_get_event (display=3Ddisplay@entry=
=3D0x55555645a0e0)
>     at ../../../../gdk/gdkdisplay.c:441
> #6  0x00007ffff757e0e6 in gdk_event_source_dispatch
>     (source=3D<optimised out>, callback=3D<optimised out>, user_data=3D<o=
ptimised out>)
>     at ../../../../../gdk/x11/gdkeventsource.c:363

As I said, the line number is unfortunately not very informative, so
please type "l" to show a listing of the GDK code at that particular
line.

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#56869; Package emacs. Full text available.

Message received at 56869 <at> debbugs.gnu.org:


Received: (at 56869) by debbugs.gnu.org; 17 Aug 2022 13:47:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 17 09:47:25 2022
Received: from localhost ([127.0.0.1]:49938 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oOJOH-0002Le-2r
	for submit <at> debbugs.gnu.org; Wed, 17 Aug 2022 09:47:25 -0400
Received: from box.hyperreal.enterprises ([85.159.211.210]:47479)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <joseph.corneli@HIDDEN>)
 id 1oOJOE-0002LR-J3
 for 56869 <at> debbugs.gnu.org; Wed, 17 Aug 2022 09:47:24 -0400
Received: from authenticated-user (box.hyperreal.enterprises [85.159.211.210])
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits))
 (No client certificate requested)
 by box.hyperreal.enterprises (Postfix) with ESMTPSA id 79DD843ECE;
 Wed, 17 Aug 2022 14:47:16 +0100 (BST)
DKIM-Signature: v=1; a=rsa-sha256; c=simple/simple; d=hyperreal.enterprises;
 s=mail; t=1660744036;
 bh=tq6lDWY88lxX6/vBG9YxOlWpaINwb5janN49CxpmrMk=;
 h=References:From:To:Cc:Subject:In-reply-to:Date:From;
 b=Ps1kpNLKv7PAcyXfLsb6JqMUBgRmBUgTG/+tPUU4NZzx9D3Q0mYSYcoT0WjnR6xyH
 PYGqWHK5pnIrP6brpSTy338JvtTLOGcfdY6OATa+38aM8Sq9X+KAYcU94lI4Tf005Z
 ePmEJTBONXQyFNy1ERQqj1AyVUt7GkT1qEhL7sDClaHRwaTf0ip/b4QX0xowWnLUb/
 lavmngFmk0eeOj67ZCeFyzWeRgEjIkO2AmV/lGAywyEVkZWgxpC5xuNr5o4W4MMEdN
 aCE8dzGmDayKAQb9tynvrGpF0K/M9d+PxPTWFv4xS+AVWAW4UdQw2nnFMfw2WuDLz8
 5FhqKnc7mUzJw==
References: <87sfmgjelt.fsf@Proteus> <87a68nfnp4.fsf@HIDDEN>
 <87bkt24tng.fsf@Proteus> <87zggmcxpb.fsf@Proteus>
 <875yjadt7j.fsf@HIDDEN> <87y1vvaysh.fsf@Proteus>
 <87r11nvw44.fsf@HIDDEN> <87h72ihpk7.fsf@Proteus>
 <87edxmw98w.fsf@HIDDEN> <87edxlfzwz.fsf@Proteus>
 <87a689wsdx.fsf@HIDDEN> <87pmh33wfu.fsf@Proteus>
 <87tu6d4ne8.fsf@Proteus> <87pmh1qa19.fsf@HIDDEN>
 <87r11g4hrv.fsf@Proteus> <87h72cqx2w.fsf@HIDDEN>
 <87r11g2r2b.fsf@Proteus>
From: Joe Corneli <joseph.corneli@HIDDEN>
To: Po Lu <luangruo@HIDDEN>
Subject: Re: bug#56869: 29.0.50; segfault, "assertion 'GDK_IS_DEVICE
 (device)' failed"
In-reply-to: <87r11g2r2b.fsf@Proteus>
Date: Wed, 17 Aug 2022 14:47:14 +0100
Message-ID: <8735dvx9r1.fsf@Proteus>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 56869
Cc: 56869 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Joe Corneli writes:
>
> In light of the previous, I think this is what=E2=80=99s needed.  Details=
 will
> be forthcoming with the next crash!
>
> joe@Proteus:~$  sudo apt-get source libgtk-3-0

OK, here=E2=80=99s the next round of backtrace.  Now it includes some Lisp
details, implicating feebleline (https://melpa.org/#/feebleline) as the
source of the problems.

#0  gdk_x11_device_manager_xi2_translate_event
    (xevent=3D<optimised out>, event=3D<optimised out>, display=3D<optimise=
d out>, translator=3D<optimised out>)
    at ../../../../../gdk/x11/gdkdevicemanager-xi2.c:1794
#1  gdk_x11_device_manager_xi2_translate_event
    (translator=3D<optimised out>, display=3D<optimised out>, event=3D<opti=
mised out>, xevent=3D<optimised out>)
    at ../../../../../gdk/x11/gdkdevicemanager-xi2.c:1478
#2  0x00007ffff757e989 in _gdk_x11_event_translator_translate
    (translator=3Dtranslator@entry=3D0x55555647e400, display=3D0x55555645a0=
e0, xevent=3Dxevent@entry=3D0x7ffffffe9730)
    at ../../../../../gdk/x11/gdkeventtranslator.c:51
#3  0x00007ffff757e4cc in gdk_event_source_translate_event (xevent=3D0x7fff=
fffe9730, event_source=3D0x55555648b380)
    at ../../../../../gdk/x11/gdkeventsource.c:230
#4  _gdk_x11_display_queue_events (display=3D0x55555645a0e0) at ../../../..=
/../gdk/x11/gdkeventsource.c:341
#5  0x00007ffff75460e4 in gdk_display_get_event (display=3Ddisplay@entry=3D=
0x55555645a0e0)
    at ../../../../gdk/gdkdisplay.c:441
#6  0x00007ffff757e0e6 in gdk_event_source_dispatch
    (source=3D<optimised out>, callback=3D<optimised out>, user_data=3D<opt=
imised out>)
    at ../../../../../gdk/x11/gdkeventsource.c:363
#7  0x00007ffff6f5617d in g_main_context_dispatch () at /usr/lib/x86_64-lin=
ux-gnu/libglib-2.0.so.0
#8  0x00007ffff6f56400 in  () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#9  0x00007ffff6f564a3 in g_main_context_iteration () at /usr/lib/x86_64-li=
nux-gnu/libglib-2.0.so.0
#10 0x00007ffff78611d9 in gtk_main_iteration () at ../../../../gtk/gtkmain.=
c:1432
#11 0x00005555556f3c4c in XTread_socket (terminal=3D0x5555560b1c00, hold_qu=
it=3D0x7ffffffe9a00) at xterm.c:23384
#12 0x0000555555750de1 in gobble_input () at keyboard.c:7364
#13 0x0000555555751295 in handle_async_input () at keyboard.c:7595
#14 0x00005555557512b8 in process_pending_signals () at keyboard.c:7609
#15 0x000055555580b978 in probably_quit () at eval.c:1683
#16 0x000055555576894c in maybe_quit () at lisp.h:3681
#17 0x000055555576bcdc in emacs_intr_read (fd=3D30, buf=3D0x7ffffffea4d0, n=
byte=3D16384, interruptible=3Dtrue) at sysdep.c:2528
#18 0x000055555576bd6c in emacs_read_quit (fd=3D30, buf=3D0x7ffffffea4d0, n=
byte=3D16384) at sysdep.c:2550
#19 0x000055555588614c in call_process (nargs=3D6, args=3D0x7ffff14502f0, f=
ilefd=3D24, tempfile_index=3D...) at callproc.c:762
#20 0x0000555555884b32 in Fcall_process (nargs=3D6, args=3D0x7ffff14502f0) =
at callproc.c:317
#21 0x000055555580f9ad in funcall_subr (subr=3D0x555555e0f9a0 <Scall_proces=
s>, numargs=3D6, args=3D0x7ffff14502f0)
    at eval.c:3079
#22 0x00005555558641ee in exec_byte_code (fun=3DXIL(0x7ffff2094975), args_t=
emplate=3D1153, nargs=3D3, args=3D0x7ffff1450260) at bytecode.c:809
#23 0x000055555580faa2 in fetch_and_exec_byte_code (fun=3DXIL(0x555557b79a6=
5), args_template=3D0, nargs=3D0, args=3D0x0) at eval.c:3101
#24 0x000055555581023c in funcall_lambda (fun=3DXIL(0x555557b79a65), nargs=
=3D0, arg_vector=3D0x7ffff1450148) at eval.c:3262
#25 0x000055555580f301 in funcall_general (fun=3DXIL(0x555557b79a65), numar=
gs=3D0, args=3D0x7ffff1450148) at eval.c:2964
#26 0x000055555586420e in exec_byte_code (fun=3DXIL(0x555557a8cfa5), args_t=
emplate=3D0, nargs=3D0, args=3D0x0) at bytecode.c:811
#27 0x000055555580faa2 in fetch_and_exec_byte_code (fun=3DXIL(0x555557a8cfa=
5), args_template=3D0, nargs=3D0, args=3D0x0) at eval.c:3101
#28 0x000055555581023c in funcall_lambda (fun=3DXIL(0x555557a8cfa5), nargs=
=3D5, arg_vector=3D0x7fffffffb1b8) at eval.c:3262
#29 0x000055555580f301 in funcall_general (fun=3DXIL(0x555557a8cfa5), numar=
gs=3D5, args=3D0x7fffffffb1b8) at eval.c:2964
#30 0x000055555580f561 in Ffuncall (nargs=3D6, args=3D0x7fffffffb1b0) at ev=
al.c:3014
#31 0x000055555580e9c5 in Fapply (nargs=3D2, args=3D0x7ffff14500e8) at eval=
.c:2685
#32 0x000055555580f9ad in funcall_subr (subr=3D0x555555e0ada0 <Sapply>, num=
args=3D2, args=3D0x7ffff14500e8) at eval.c:3079
#33 0x00005555558641ee in exec_byte_code (fun=3DXIL(0x555557b4fded), args_t=
emplate=3D0, nargs=3D0, args=3D0x0) at bytecode.c:809
#34 0x000055555580faa2 in fetch_and_exec_byte_code (fun=3DXIL(0x555557b4fde=
d), args_template=3D0, nargs=3D0, args=3D0x0) at eval.c:3101
#35 0x000055555581023c in funcall_lambda (fun=3DXIL(0x555557b4fded), nargs=
=3D0, arg_vector=3D0x7ffff14500a8) at eval.c:3262
#36 0x000055555580f301 in funcall_general (fun=3DXIL(0x555557b4fded), numar=
gs=3D0, args=3D0x7ffff14500a8) at eval.c:2964
#37 0x000055555586420e in exec_byte_code (fun=3DXIL(0x555557a8ce3d), args_t=
emplate=3D0, nargs=3D0, args=3D0x0) at bytecode.c:811
#38 0x000055555580faa2 in fetch_and_exec_byte_code (fun=3DXIL(0x555557a8ce3=
d), args_template=3D0, nargs=3D0, args=3D0x0) at eval.c:3101
#39 0x000055555581023c in funcall_lambda (fun=3DXIL(0x555557a8ce3d), nargs=
=3D0, arg_vector=3D0x7ffff1450058) at eval.c:3262
#40 0x000055555580f301 in funcall_general (fun=3DXIL(0x555557a8ce3d), numar=
gs=3D0, args=3D0x7ffff1450058) at eval.c:2964
#41 0x000055555580f561 in Ffuncall (nargs=3D1, args=3D0x7ffff1450050) at ev=
al.c:3014
#42 0x000055555580e570 in Fapply (nargs=3D2, args=3D0x7ffff1450050) at eval=
.c:2638
#43 0x000055555580f9ad in funcall_subr (subr=3D0x555555e0ada0 <Sapply>, num=
args=3D2, args=3D0x7ffff1450050) at eval.c:3079
#44 0x00005555558641ee in exec_byte_code (fun=3DXIL(0x7ffff1ea5e15), args_t=
emplate=3D257, nargs=3D1, args=3D0x7ffff1450198) at bytecode.c:809
#45 0x000055555580faa2 in fetch_and_exec_byte_code (fun=3DXIL(0x7ffff256eb6=
d), args_template=3D257, nargs=3D1, args=3D0x7fffffffc608) at eval.c:3101
#46 0x000055555580fe96 in funcall_lambda (fun=3DXIL(0x7ffff256eb6d), nargs=
=3D1, arg_vector=3D0x7fffffffc608) at eval.c:3173
#47 0x000055555580f301 in funcall_general (fun=3DXIL(0x7ffff256eb6d), numar=
gs=3D1, args=3D0x7fffffffc608) at eval.c:2964
#48 0x000055555580f561 in Ffuncall (nargs=3D2, args=3D0x7fffffffc600) at ev=
al.c:3014
#49 0x000055555573f654 in call1 (fn=3DXIL(0xf0c0), arg1=3DXIL(0x555557aa7a8=
d)) at lisp.h:3239
#50 0x000055555574a92e in timer_check_2 (timers=3DXIL(0x5555603b15f3), idle=
_timers=3DXIL(0)) at keyboard.c:4673
#51 0x000055555574aaa2 in timer_check () at keyboard.c:4739
#52 0x0000555555748485 in readable_events (flags=3D1) at keyboard.c:3516
#53 0x0000555555750c86 in get_input_pending (flags=3D1) at keyboard.c:7314
#54 0x0000555555758fe0 in detect_input_pending_run_timers (do_display=3Dtru=
e) at keyboard.c:10844
#55 0x0000555555877a12 in wait_reading_process_output (time_limit=3D0, nsec=
s=3D0, read_kbd=3D-1, do_display=3Dtrue, wait_for_cell=3DXIL(0), wait_proc=
=3D0x0, just_wait_proc=3D0) at process.c:5780
#56 0x0000555555749144 in kbd_buffer_get_event (kbp=3D0x7fffffffcd58, used_=
mouse_menu=3D0x7fffffffd369, end_time=3D0x0) at keyboard.c:3995
#57 0x0000555555744d55 in read_event_from_main_queue (end_time=3D0x0, local=
_getcjmp=3D0x7fffffffd170, used_mouse_menu=3D0x7fffffffd369) at keyboard.c:=
2262
#58 0x0000555555745082 in read_decoded_event_from_main_queue (end_time=3D0x=
0, local_getcjmp=3D0x7fffffffd170, prev_event=3DXIL(0), used_mouse_menu=3D0=
x7fffffffd369) at keyboard.c:2326
#59 0x0000555555746a2c in read_char (commandflag=3D1, map=3DXIL(0x5555617be=
733), prev_event=3DXIL(0), used_mouse_menu=3D0x7fffffffd369, end_time=3D0x0=
) at keyboard.c:2956
#60 0x00005555557573c6 in read_key_sequence (keybuf=3D0x7fffffffd5a0, promp=
t=3DXIL(0), dont_downcase_last=3Dfalse, can_return_switch_frame=3Dtrue, fix=
_current_buffer=3Dtrue, prevent_redisplay=3Dfalse) at keyboard.c:10021
#61 0x000055555574241e in command_loop_1 () at keyboard.c:1384
#62 0x000055555580b3a2 in internal_condition_case (bfun=3D0x555555742004 <c=
ommand_loop_1>, handlers=3DXIL(0x90), hfun=3D0x5555557415cd <cmd_error>) at=
 eval.c:1497
#63 0x0000555555741ca5 in command_loop_2 (handlers=3DXIL(0x90)) at keyboard=
.c:1132
#64 0x000055555580a9ab in internal_catch (tag=3DXIL(0xf3c0), func=3D0x55555=
5741c7a <command_loop_2>, arg=3DXIL(0x90)) at eval.c:1220
#65 0x0000555555741c35 in command_loop () at keyboard.c:1110
#66 0x0000555555741156 in recursive_edit_1 () at keyboard.c:719
#67 0x0000555555741308 in Frecursive_edit () at keyboard.c:802
#68 0x000055555573d478 in main (argc=3D1, argv=3D0x7fffffffda48) at emacs.c=
:2517

Lisp Backtrace:
"call-process" (0xf14502f0)
"call-process-shell-command" (0xf1450248)
"shell-command" (0xf14501e0)
"shell-command-to-string" (0xf1450190)
"feebleline-git-branch" (0xf1450148)
"feebleline--insert-func" (0xffffb1b8)
"apply" (0xf14500e8)
"feebleline--insert" (0xf14500a8)
"feebleline--insert-ignore-errors" (0xf1450058)
"apply" (0xf1450050)
"timer-event-handler" (0xffffc608)
1789	in ../../../../../gdk/x11/gdkdevicemanager-xi2.c


--=20
Dr Joseph A. Corneli (https://github.com/holtzermann17)

HYPERREAL ENTERPRISES LTD is a private company limited by shares, incorpora=
ted
25th, June 2019 as Company Number 634284 on the Register of Companies for
Scotland (https://beta.companieshouse.gov.uk/company/SC634284).




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#56869; Package emacs. Full text available.

Message received at 56869 <at> debbugs.gnu.org:


Received: (at 56869) by debbugs.gnu.org; 16 Aug 2022 14:37:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Aug 16 10:37:00 2022
Received: from localhost ([127.0.0.1]:47980 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oNxgf-0005rt-4t
	for submit <at> debbugs.gnu.org; Tue, 16 Aug 2022 10:37:00 -0400
Received: from box.hyperreal.enterprises ([85.159.211.210]:53205)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <joseph.corneli@HIDDEN>)
 id 1oNxgb-0005re-9F
 for 56869 <at> debbugs.gnu.org; Tue, 16 Aug 2022 10:36:55 -0400
Received: from authenticated-user (box.hyperreal.enterprises [85.159.211.210])
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits))
 (No client certificate requested)
 by box.hyperreal.enterprises (Postfix) with ESMTPSA id E46B343EE1;
 Tue, 16 Aug 2022 15:36:46 +0100 (BST)
DKIM-Signature: v=1; a=rsa-sha256; c=simple/simple; d=hyperreal.enterprises;
 s=mail; t=1660660606;
 bh=eyg3fmO7slpH7Nd15royFC/lJryEatssu9HdBHjaZ/c=;
 h=References:From:To:Cc:Subject:In-reply-to:Date:From;
 b=mBAICuh8ayyCfwdpzBW6UgRXHlTNCld9d390yiUPCzsWg7BwozpxJuQLlb6aUMwiz
 P9lOtwzjNFmw2ToYQAfXu/5MxsHF9vZ9uyZ1Kg2eRX99K8qme7HDYAFFhzuy4OVC9w
 dWE0rhi5z5y0L8NQ1LygG6VJ4vzshOqYfXQtGsaZw6q/AorjDcxXYti5ng020oOi5M
 8LjewS2EeWr3GlNKVs8i3k0TPN6L0Vp9VCMuZNtfvC11aENtbAbFwUp5S928mjUeFY
 3TqqTE0WE6Zutne2j9u+pQSl7tpL+wz11gftpv+5RTPTujreYi1CqqVM82Qpyw83HL
 xNN/n6qUfUBBA==
References: <87sfmgjelt.fsf@Proteus> <87a68nfnp4.fsf@HIDDEN>
 <87bkt24tng.fsf@Proteus> <87zggmcxpb.fsf@Proteus>
 <875yjadt7j.fsf@HIDDEN> <87y1vvaysh.fsf@Proteus>
 <87r11nvw44.fsf@HIDDEN> <87h72ihpk7.fsf@Proteus>
 <87edxmw98w.fsf@HIDDEN> <87edxlfzwz.fsf@Proteus>
 <87a689wsdx.fsf@HIDDEN> <87pmh33wfu.fsf@Proteus>
 <87tu6d4ne8.fsf@Proteus> <87pmh1qa19.fsf@HIDDEN>
 <87r11g4hrv.fsf@Proteus> <87h72cqx2w.fsf@HIDDEN>
From: Joe Corneli <joseph.corneli@HIDDEN>
To: Po Lu <luangruo@HIDDEN>
Subject: Re: bug#56869: 29.0.50; segfault, "assertion 'GDK_IS_DEVICE
 (device)' failed"
In-reply-to: <87h72cqx2w.fsf@HIDDEN>
Date: Tue, 16 Aug 2022 15:36:44 +0100
Message-ID: <87r11g2r2b.fsf@Proteus>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 56869
Cc: 56869 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


Po Lu writes:

> Joe Corneli <joseph.corneli@HIDDEN> writes:
>
>> joe@Proteus:~/emacs$ gdb src/emacs core.384524
>> ...
>> [Thread debugging using libthread_db enabled]
>> Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1=
".
>> Core was generated by `/home/joe/emacs/src/emacs'.
>> Program terminated with signal SIGSEGV, Segmentation fault.
>> #0  gdk_x11_device_manager_xi2_translate_event (xevent=3D<optimised out>=
, event=3D<optimised out>,=20
>>     display=3D<optimised out>, translator=3D<optimised out>) at ../../..=
/../../gdk/x11/gdkdevicemanager-xi2.c:1794
>> 1794	../../../../../gdk/x11/gdkdevicemanager-xi2.c: No such file or dire=
ctory.
>> [Current thread is 1 (Thread 0x7ffff2947040 (LWP 384524))]
>> (gdb) l
>> 1789	in ../../../../../gdk/x11/gdkdevicemanager-xi2.c
>
> Sigh, I guess you need the source packages as well.  Not sure what that
> would be on Debian.
>
> Thanks in advance.

In light of the previous, I think this is what=E2=80=99s needed.  Details w=
ill
be forthcoming with the next crash!

joe@Proteus:~$  sudo apt-get source libgtk-3-0
[sudo] password for joe:=20
Reading package lists... Done
Picking 'gtk+3.0' as source package instead of 'libgtk-3-0'
NOTICE: 'gtk+3.0' packaging is maintained in the 'Git' version control syst=
em at:
https://salsa.debian.org/gnome-team/gtk3.git -b ubuntu/focal
Please use:
git clone https://salsa.debian.org/gnome-team/gtk3.git -b ubuntu/focal
to retrieve the latest (possibly unreleased) updates to the package.
Need to get 22.9 MB of source archives.
Get:1 http://gb.archive.ubuntu.com/ubuntu focal-updates/main gtk+3.0 3.24.2=
0-0ubuntu1.1 (dsc) [3,686 B]
Get:2 http://gb.archive.ubuntu.com/ubuntu focal-updates/main gtk+3.0 3.24.2=
0-0ubuntu1.1 (tar) [22.7 MB]
Get:3 http://gb.archive.ubuntu.com/ubuntu focal-updates/main gtk+3.0 3.24.2=
0-0ubuntu1.1 (diff) [172 kB]
Fetched 22.9 MB in 4s (6,175 kB/s)
dpkg-source: info: extracting gtk+3.0 in gtk+3.0-3.24.20
dpkg-source: info: unpacking gtk+3.0_3.24.20.orig.tar.xz
dpkg-source: info: unpacking gtk+3.0_3.24.20-0ubuntu1.1.debian.tar.xz
dpkg-source: info: using patch list from debian/patches/series
dpkg-source: info: applying git_rendering_issues.patch
dpkg-source: info: applying git_newglib_symbols.patch
dpkg-source: info: applying updateiconcache-Sort-list-of-entries.patch
dpkg-source: info: applying gdk-Don-t-distribute-generated-files-in-tarball=
s.patch
dpkg-source: info: applying gtk-Really-don-t-distribute-built-files.patch
dpkg-source: info: applying demos-examples-tests-Don-t-distribute-built-fil=
es.patch
dpkg-source: info: applying 016_no_offscreen_widgets_grabbing.patch
dpkg-source: info: applying 017_no_offscreen_device_grabbing.patch
dpkg-source: info: applying 060_ignore-random-icons.patch
dpkg-source: info: applying reftest-known-fail.patch
dpkg-source: info: applying Disable-accessibility-dump-aka-a11ytests-test.p=
atch
dpkg-source: info: applying 073_treeview_almost_fixed.patch
dpkg-source: info: applying bzg_gtkcellrenderer_grabbing_modifier.patch
dpkg-source: info: applying ubuntu_gtk_custom_menu_items.patch
dpkg-source: info: applying print-dialog-show-options-of-remote-dnssd-print=
ers.patch
dpkg-source: info: applying uimanager-guard-against-nested-node-updates.pat=
ch
dpkg-source: info: applying x-canonical-accel.patch
dpkg-source: info: applying message-dialog-restore-traditional-look-on-unit=
y.patch
dpkg-source: info: applying 0001-gtk-reftest-Force-icon-theme-to-Adwaita.pa=
tch
dpkg-source: info: applying 0001-calendar-always-emit-day-selected-once.pat=
ch
dpkg-source: info: applying 0001-gtkwindow-set-transparent-background-color=
.patch
dpkg-source: info: applying unity-border-radius.patch
dpkg-source: info: applying unity-headerbar-maximized-mode.patch
W: Download is performed unsandboxed as root, as file 'gtk+3.0_3.24.20-0ubu=
ntu1.1.dsc' couldn't be accessed by user '_apt'. - pkgAcquire::Run (13: Per=
mission denied)
--=20
Dr Joseph A. Corneli (https://github.com/holtzermann17)

HYPERREAL ENTERPRISES LTD is a private company limited by shares, incorpora=
ted
25th, June 2019 as Company Number 634284 on the Register of Companies for
Scotland (https://beta.companieshouse.gov.uk/company/SC634284).




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#56869; Package emacs. Full text available.

Message received at 56869 <at> debbugs.gnu.org:


Received: (at 56869) by debbugs.gnu.org; 16 Aug 2022 10:53:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Aug 16 06:53:17 2022
Received: from localhost ([127.0.0.1]:45066 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oNuCD-0003WT-BI
	for submit <at> debbugs.gnu.org; Tue, 16 Aug 2022 06:53:17 -0400
Received: from sonic316-22.consmr.mail.ne1.yahoo.com ([66.163.187.148]:40710)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <luangruo@HIDDEN>) id 1oNuCA-0003WE-7H
 for 56869 <at> debbugs.gnu.org; Tue, 16 Aug 2022 06:53:16 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1660647187; bh=NXy4tPuqfDnCxgnN4LzqgUjW3cC6D4KUj1MoYfkLz6Y=;
 h=From:To:Cc:Subject:References:Date:In-Reply-To:From:Subject:Reply-To;
 b=T/G+SnCNpYWz6HIkVuK2sN5ULoNT0HnkYjJNQ4WLYrk/YieGeooLw4RUHRUtOylZ3SAHgw3YNkV3opOr/qI8LV7VP+ZpC36R3iP/h6YBcA3jbabk3VFC7zvo4nrdWSUtuqZajFoOryLHoAqBbJq1A6JTyYy0/kibJR+OhYTGaaz9MYy7KRsaMnT8XN7+Q0R8aYo6TPWw9CLfMOhAvIQEcxRq+sYU+uh1DBFrtky5kgKqsH/o5pBI6a2TU6jPx+HTftgpgusniziQfk5976zc7XGQRHoiEZsZ5la/8cYATSDIugrm50zHIP0Jfah1ryfmn82taFrGs6aTXzpU0m1AFQ==
X-SONIC-DKIM-SIGN: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1660647187; bh=6l1p6qdCOoGy8ZkQ3gUVy9QMTcAA3j3KCYIzu9ukPPn=;
 h=X-Sonic-MF:From:To:Subject:Date:From:Subject;
 b=Sln5xIYB1COh/NBuOLdRABxqcKVGKyu3hNUFgX95HJPrPRDFTQZMj7X82KIq6iWdmQep20DjdmeXgiLuSbeKEI/4/HkYIMj17+csQLGC8Wzo6/anDt37RiBt+WstRH5HAgjUlm0wsQhxoJfvt1Epe96vvNQjke1XebAaYlII5lZdK3ttQifYFe7l0Krz+sBknRJCxZiMcPfVU4FZo7fKJWHwYoHsEJV8yDmJhrDryYhYm6Qxv8pSui17+7GjnMtpqWoQX2W2HV+yP1t3tSEpdKpL0y2EFxeREqCDGHW+BiTE0Hd7TB4ysGk9FutHTGQP96x0yHSaJIXFYA1LTqXELA==
X-YMail-OSG: KvvMmHQVM1lGCBMqMEoJXWZuyIWmzGKmUeDAtrySqjfdMog5HszCRGq6Y8j5zxw
 NX3iTlLab.GpnLZzo9NfEZCDcn7QHR9D81SRGXD9WnSqevfGOp_T74DZ8k_CW4t3j.87o3UNqhqL
 lw65xv4Ou6z5WixMAMnweRToNbvqMx14uk72kU1Qh8dYF6ew1SmHolGQ.HiZYKLLUokZaraJBZhj
 txwuPwp3jG3ka7vDpIdZGi6CgJEEhWsEkKPh3WyzApEYUDjTGZs.bcpTMQOcjq753p6IebEz5LTn
 qgZDFtaMxObWTcbr6DVxQT_cI5.dlBSfqhT52rJF_SfwkYu20.YpOWoOfMM7LuAFYZgtjQramlDC
 il5Au3N.T6pJ8g7na0Qoy0U7GER55qvEzmfG2Aobfta.Gwr63PcyDE.ZU8I947ZZerV0FhCRs7fh
 lUWy15uOtLfIPaA.ctnQnh9khhSg.gnreYe0IX0jpNWa.SLRmM_1wcAbIl7.3p3PVbSuMradGNeW
 PN01DPYeR3nydH3QleCrdc31KHl2GWbrqRKIq5lJTbr2WA3ztIej_IZ3sGNPS_Dk2XWBmB.LBUJ.
 udOrevkWv9rsOIXZh0OdXQyeKaiJ4lH8oaYwNQaGzVzTv2DXGMMCeQbKy1IY7wPbkjfhhhJ7QVOA
 tN_uWlWAUbqTWMhY8G9_jz_HfG2SWZDJxzuV9stMV0PbQLnIOL.arUSKGfuVpXUSZKlHVdmo0WjW
 7x9MTE7LgRVdmvYckgW9mnLKBbLsJ2Ou6Bdx3xb0q7W2kLWEf0fi6X2YSC5ARvYxEVFpNSCfugNt
 6MgFL2VX9TKP94.BruC9hzxbrIURL8wzwV2Vo6zvctvX0kVCtfU7EKi.pVKbe2AO7zIKrVwkWCuS
 urfrKk32yOQRD5BYlyMm._P40ocg1V0EmxZlACujIVgyW05CBXlh4QzKUM1sjQkp8KZ7LnTT8V3Z
 WyGK8KMkRq4oir_LBTdNcbXybq06c07X2whOqOHql6gHktNTvtJV5DPtgk8.reknyZAwoD4NkX5I
 2bgrY5PbAJJDordBhbiqux6O_UUzGCUHH7eHl1wi2P.6Jz3Lomvy4txA5MoRLkbl.1wQ5hV5a17O
 GTkLB4cxAkrliCy7oomKJ6BnfxJlCRaTS30g8huwfO2ivcKoN_Ty81P.3c6Ns3LuJtGNEH6C2Fr3
 r61fzvyfKEDkOSc533lxE7cwh3jIXlqrU1ZxaXZvVu6ufv4Bocekzvo3.FiPmt1PhH6aiscTcZ8b
 AprlApjAqs8HLlFQJpFWwZ9HEvlDFz31XvmuxvCNqik7kG1qSNayEHFSN1NYzMypADb7Hh_n082f
 DOH4WAdrTy8EVg5QEUatNhDxFlao33n9lVyFBOqX13tFrMbaA7P3l2Lc3DEwmqJ1SLv63sOa31zf
 _RfkAFZx8eKlsJoRl2_ZslWIl7Mwhkmr.DlaZyTjHqGkjRPu1NGvZWyt.DgDTqv53019ZUhTzyly
 6VHe0LdZYvJdZXwZ77VxnrcdXTN1Ipq_Fi87EG5PoyV4BvTVNs_vPt.zQzhglVTsHpeI5eWtPIQT
 ZZppIuY5n4Jvuxnb484jmH.v0.hzD_7Zjq1Vw4tI9xSqFd_ZJooeiQf_g3dVdFBLQY.cbERhod6R
 A6LBdjD4n5X1452RqtyZ6RreMbw9IEQcnF_NRPauRGZ5ex0vXoiesUSKtNjawvRhZp21QSTqBscT
 SWvOKJ5NmC1RcagOne3uL.gX1G72n4nOgQAqwYkrzzlOF.Cmog4m1c3uKsYk6k.QYZPi6Mu1tT9k
 cb32S9ER0gqJo7sTe0lWEnpBtGzK8NFGGc6rxZ2uiiC349luQEXAPs7oo9j0hBh8xpMlFifGnOTp
 1GAX0p_cKuN2v8kzXUD5CIygywE2wejBrrEY6imQ58E1UCHh2ftUWi3ocoxhuRsWus.j_Syqm_WJ
 IFm4usTpxjRJV6tCKBxLUvPuGRd4Dnla8kHB8eumaR_PojZBMuBmCd0w1ND46L.EBMQZwg1BePQz
 2NLdAWpKM78xevXVNWL5l0JvqMNIcE_wwyYwJHOQBrqW5OVJjCaNcbWlgGtsz.e7ZIOK4gImJKay
 QvTalCEaF1YTttK7jno7qLh1YddiJK1_60t3jXGXBQrfhiqlLOjAGiGNjAeW58fPorimL7RwrUo7
 cxqabJQwFE5Ud9kLNQP7nbNz9yE0mELGUlspLL1MVFxWXP7gQQAA4cJ7DnW1QhxvozyvsZq0ZAp9
 qbDDCsmBhe1PtxGhyJewmQyP7rt2oLnAJfA_YpmobS8olD0OgocuacPg0
X-Sonic-MF: <luangruo@HIDDEN>
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic316.consmr.mail.ne1.yahoo.com with HTTP; Tue, 16 Aug 2022 10:53:07 +0000
Received: by hermes--canary-production-sg3-6f58cd9b5-vlgxl (Yahoo Inc. Hermes
 SMTP Server) with ESMTPA ID 03fb369e821fb22fd3d63a3a8fd43281; 
 Tue, 16 Aug 2022 10:53:00 +0000 (UTC)
From: Po Lu <luangruo@HIDDEN>
To: Joe Corneli <joseph.corneli@HIDDEN>
Subject: Re: bug#56869: 29.0.50; segfault, "assertion 'GDK_IS_DEVICE
 (device)' failed"
References: <87sfmgjelt.fsf@Proteus> <87a68nfnp4.fsf@HIDDEN>
 <87bkt24tng.fsf@Proteus> <87zggmcxpb.fsf@Proteus>
 <875yjadt7j.fsf@HIDDEN> <87y1vvaysh.fsf@Proteus>
 <87r11nvw44.fsf@HIDDEN> <87h72ihpk7.fsf@Proteus>
 <87edxmw98w.fsf@HIDDEN> <87edxlfzwz.fsf@Proteus>
 <87a689wsdx.fsf@HIDDEN> <87pmh33wfu.fsf@Proteus>
 <87tu6d4ne8.fsf@Proteus> <87pmh1qa19.fsf@HIDDEN>
 <87r11g4hrv.fsf@Proteus>
Date: Tue, 16 Aug 2022 18:52:55 +0800
In-Reply-To: <87r11g4hrv.fsf@Proteus> (Joe Corneli's message of "Tue, 16 Aug
 2022 11:14:28 +0100")
Message-ID: <87h72cqx2w.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.91 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Mailer: WebService/1.1.20531
 mail.backend.jedi.jws.acl:role.jedi.acl.token.atz.jws.hermes.yahoo
Content-Length: 887
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 56869
Cc: 56869 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Joe Corneli <joseph.corneli@HIDDEN> writes:

> joe@Proteus:~/emacs$ gdb src/emacs core.384524
> ...
> [Thread debugging using libthread_db enabled]
> Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
> Core was generated by `/home/joe/emacs/src/emacs'.
> Program terminated with signal SIGSEGV, Segmentation fault.
> #0  gdk_x11_device_manager_xi2_translate_event (xevent=<optimised out>, event=<optimised out>, 
>     display=<optimised out>, translator=<optimised out>) at ../../../../../gdk/x11/gdkdevicemanager-xi2.c:1794
> 1794	../../../../../gdk/x11/gdkdevicemanager-xi2.c: No such file or directory.
> [Current thread is 1 (Thread 0x7ffff2947040 (LWP 384524))]
> (gdb) l
> 1789	in ../../../../../gdk/x11/gdkdevicemanager-xi2.c

Sigh, I guess you need the source packages as well.  Not sure what that
would be on Debian.

Thanks in advance.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#56869; Package emacs. Full text available.

Message received at 56869 <at> debbugs.gnu.org:


Received: (at 56869) by debbugs.gnu.org; 16 Aug 2022 10:14:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Aug 16 06:14:41 2022
Received: from localhost ([127.0.0.1]:44957 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oNtaq-0001xz-OI
	for submit <at> debbugs.gnu.org; Tue, 16 Aug 2022 06:14:40 -0400
Received: from box.hyperreal.enterprises ([85.159.211.210]:55809)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <joseph.corneli@HIDDEN>)
 id 1oNtan-0001xj-KI
 for 56869 <at> debbugs.gnu.org; Tue, 16 Aug 2022 06:14:38 -0400
Received: from authenticated-user (box.hyperreal.enterprises [85.159.211.210])
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits))
 (No client certificate requested)
 by box.hyperreal.enterprises (Postfix) with ESMTPSA id E053A43ECE;
 Tue, 16 Aug 2022 11:14:30 +0100 (BST)
DKIM-Signature: v=1; a=rsa-sha256; c=simple/simple; d=hyperreal.enterprises;
 s=mail; t=1660644870;
 bh=Ch3PxwnfVyvkFiWxy7t0CJF12lqq4MVP91R0Tbjt8is=;
 h=References:From:To:Cc:Subject:In-reply-to:Date:From;
 b=ea9ama25h0vGy8Naiz0S4Xyqe91+Vji7fAku5TRS+7P2hW0L/gCmyEw2lwZdaJUN4
 6CZGo+QLQQkm3FcW1NXLnkb5vH2Vyb71x9nwST81JHJPcguVtGubT8oeh/ZESwVL3I
 XV96nMsn+Uopo/65F3yYjhbSm8c2nKCZEopfNYTHK9Ta5OdGqvMWpv7WVpXSSzpbQL
 J+5W63g5gQ1eaMhzp8zA3WBWtpvitXC8ZsK9DB87t1lhw8d9lsyBIVhj4Wq6XMhJqg
 7cx8rTRW8mhpCsFrZGG/nCiUcK876nl2E5c5q6KXJ9fnIMTPK3yBnI5XcjQQbKt7Eq
 zCRKFfw8CeQZg==
References: <87sfmgjelt.fsf@Proteus> <87a68nfnp4.fsf@HIDDEN>
 <87bkt24tng.fsf@Proteus> <87zggmcxpb.fsf@Proteus>
 <875yjadt7j.fsf@HIDDEN> <87y1vvaysh.fsf@Proteus>
 <87r11nvw44.fsf@HIDDEN> <87h72ihpk7.fsf@Proteus>
 <87edxmw98w.fsf@HIDDEN> <87edxlfzwz.fsf@Proteus>
 <87a689wsdx.fsf@HIDDEN> <87pmh33wfu.fsf@Proteus>
 <87tu6d4ne8.fsf@Proteus> <87pmh1qa19.fsf@HIDDEN>
From: Joe Corneli <joseph.corneli@HIDDEN>
To: Po Lu <luangruo@HIDDEN>
Subject: Re: bug#56869: 29.0.50; segfault, "assertion 'GDK_IS_DEVICE
 (device)' failed"
In-reply-to: <87pmh1qa19.fsf@HIDDEN>
Date: Tue, 16 Aug 2022 11:14:28 +0100
Message-ID: <87r11g4hrv.fsf@Proteus>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 56869
Cc: 56869 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


Po Lu writes:

> Joe Corneli <joseph.corneli@HIDDEN> writes:
>
>> Joe Corneli writes:
>>
>>> Hm, I think I missed the obvious ones.  Have added:
>>>
>>> sudo apt-get install libgtk-3-0-dbgsym libgtk-3-bin-dbgsym
>>>
>>> If it crashes again, I=E2=80=99ll give more info.
>>
>> OK, I think I=E2=80=99m now able to provide the debugging info you were =
asking
>> for!  As far as I could tell the specific interaction that triggered
>> this was switching between windows.
>
> Thanks.  Unfortunately, the line number doesn't make much sense, so
> could you also type "l" at the debugger prompt and show the output?

joe@Proteus:~/emacs$ gdb src/emacs core.384524
...
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
Core was generated by `/home/joe/emacs/src/emacs'.
Program terminated with signal SIGSEGV, Segmentation fault.
#0  gdk_x11_device_manager_xi2_translate_event (xevent=3D<optimised out>, e=
vent=3D<optimised out>,=20
    display=3D<optimised out>, translator=3D<optimised out>) at ../../../..=
/../gdk/x11/gdkdevicemanager-xi2.c:1794
1794	../../../../../gdk/x11/gdkdevicemanager-xi2.c: No such file or directo=
ry.
[Current thread is 1 (Thread 0x7ffff2947040 (LWP 384524))]
(gdb) l
1789	in ../../../../../gdk/x11/gdkdevicemanager-xi2.c


--=20
Dr Joseph A. Corneli (https://github.com/holtzermann17)

HYPERREAL ENTERPRISES LTD is a private company limited by shares, incorpora=
ted
25th, June 2019 as Company Number 634284 on the Register of Companies for
Scotland (https://beta.companieshouse.gov.uk/company/SC634284).




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#56869; Package emacs. Full text available.

Message received at 56869 <at> debbugs.gnu.org:


Received: (at 56869) by debbugs.gnu.org; 16 Aug 2022 00:58:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Aug 15 20:58:42 2022
Received: from localhost ([127.0.0.1]:44381 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oNkuo-0004U7-A1
	for submit <at> debbugs.gnu.org; Mon, 15 Aug 2022 20:58:42 -0400
Received: from sonic315-21.consmr.mail.ne1.yahoo.com ([66.163.190.147]:42418)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <luangruo@HIDDEN>) id 1oNkuk-0004Ts-RH
 for 56869 <at> debbugs.gnu.org; Mon, 15 Aug 2022 20:58:40 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1660611512; bh=TcRY/Yvj8qQQVsQLkwoql1WIx2/+7J7kujUp1b4pTUo=;
 h=From:To:Cc:Subject:References:Date:In-Reply-To:From:Subject:Reply-To;
 b=ePFJvVkbTEey6ZXf9TxONL2j/FeqAK3eZeA8T7qp3p66YxQ74ZTEanLrKCL/5VkkaBuV3wyz7vu8QCjQtxiGfCZZuivfyRXkxIPYV0Fh3JSD0UuNbdUmCVNHBtWj5xdEl3bz3kW6z8pDPCNfX4qze08Jowylw1QkzvQ/Olx8qoyeeMV6kG4aADNMALQhK+RlQL3OmuPVmk0K8+DZFlTBcUOjEZcKvy9FYiluqlGQVMUer6b/0GxV7gy3ewkUHJb8A+jE0T0i12gQfLRBvk2uUg+SIlf3OTJNupnEvRdwOs/g7zgyBGkFdeRMpsgk2QwmRAQd7GzxCC2KJuT3Tykj1w==
X-SONIC-DKIM-SIGN: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1660611512; bh=bhyaw34I3Q+82J45Hm+I8+rGwo+Iq3UjjAxXmk8jaso=;
 h=X-Sonic-MF:From:To:Subject:Date:From:Subject;
 b=SLd1LaCekMPYhT8jopA4AFokf0UcqVsMeoiVIS0ZD1qBv+wxCqlZuCO+sxzwQ+8QzgwzCSZ6XtXOSEf/NclozxVaT7XoAJWHSEt/CPZIMqLShQNVod7b3Q9jioZJ/KP5iT8oz+MaYjmtl5OKtRFtCjU+Dq50RKB1mF4r47H3vtW8UL0DggTZYileSPJ2BFo+t91QTGBpq6aq72/UwPREnJs29udTWb3sHEhI/DEHJ5PMTvbKIm41pWLHRhNJkq0T3/ce5f8aixltj8NPmpEF9j5jrkoMcdZM8pEhYt4JDKNSbV+MZvyX7BxtIL4RQ7MAdSvcKgzCCJs2HebfwKMVYg==
X-YMail-OSG: .zfqolgVM1koxAbLejFx4nlTuTYEJBA6OVEnTBSHbLu4f_6gfyy8UjSyRdx6Aej
 suCf.Ay7IN4xNBU8tNFQ6mTZKHKmiI_c9f_PBJG6HAv3FVWMgZCDAnckpRAAlTVvMa.sprXu1MpP
 7eh17YHeX5p3W9ccbYN__OsB51aF07SVQxrqsFCGFcDTt2N.UCkHyOjnooNiWlJ5zCOQB0h1tapT
 ZzA_cYmrWA4X05fw7XNYmU2n_QUeCCQrJ68ap14pvLVIduZ8YZBmuw3E2om_sd8KZ44cu81t3ZLR
 Gn3RJufrNAkYsg5cv6DCvfRr01F.pMI4uq4qSDol2cUxlv_5v5DDpWm_cE28MFvn6m.qwokdPl65
 DDkos1W6e8qe3xygnSEBYuJJwfoq.9G_N8kAfDTBWJHvkig_CMynSzStxIgLkTWJbo_CdpQu30Qj
 CzNMHslGQ7ITN1T8uZqRLqd61q8wTUKD089p4QKLTSjAWe.kD6Qtsc3UzOoKFhDfj0wLiPOWFvnL
 cwjxESGtFeswfN2OOAV5DGhZzdY019H0aEBj0trrdNSoRRa2.GCLDvCGy.Z._rspQmWJ_a7hSsDr
 D1jzf5gzuu4iV.yt.0vbbV2m4lYnKNkZ5CZvL4KPkaayXfNgv0zYqlntdm6KGe8OCb9eL9zGDyA2
 hPqq2FseYnDjxxFreS_w3i8oPhX._jmJKzANlNmcxihSuKrkpjqOrE.NtY6.aEYqnz0oPKQNyXEn
 0TTfR8caJBg69v5fJIPzmL4XPahoyyKJpqUpT0QZZK0RUO7vN.pVjS7H0c2k9kPdy4SGWh6nWJyO
 kZDv.zc0H5VF0wThIizYMlhrcushUU2EM1BHYiGjLMuamDjNB8LnR5kOkKEi0IsLikY32xA92zrL
 MgkSvyXCJJavlEYzVdKTl8.M05.7v0wfqVZj7BcjymeWJHQJSRc5NUS9wWEn_MatoZDBz6rjBNH9
 QTT70VyD45m0NPg7QO75vUQm8jMuq1IwzLR1LV9XJRpIohzrJIWeszd0vIiFlq.KBDM2h79WpuY5
 UZZz0NOGrVyJZDHXjhmM_gtNKBIqFIH4Fy74cdLUMoJyb40sBdgxI1sibbxvLnV88nqozyPDa_Zj
 EHklS8kzwwon1PmzNOFrRKcP2v1m2WkM4KfDa3U7CCGEkZRK0Z8lmFJiqXPsAG.rAl43gov0ukUD
 UatQjd0LgB1vjdcNUy_OhQ41Xh75Y3hSvw2oZIkPSMFkU3QAUwHyusj.3x1KsgW1ylDATenEXQEz
 RvcQCT0SE6iQP05xcymwfdVVGci6QK0A8YjsVwrKGRPxS5FFz7BI9EfVsH0eU9A1OKWMLVDyAl_q
 mjRteV5bZ.rBTZecAsCQC8dIhC1nyGdobE7uUoLdWqqmyr0VST8UiOsaoTu3ZM7EqM5xbjcSSEF7
 oWzz.Y5oTlUHV6HjTBdn9oEJqnEQj1ahpoUiKPLFUxog.Xagss8lKchTSju6LEC7R3uXs_QcrtJj
 NNk4YIrlWIt7wFq_a_ztrlUmu1UnjHXYaS1WXvtNG1xXV3xfO7TGgeMwBnrxNMZExHyY0xOEsTYo
 e2EQ5yI.Z_xEzItBfW0bmGGfzR_LPLvb4ivblhtptYk6SMNPOeVs9v6EWZjITBp3c06YYXYAU2k.
 vdRtrxAb.khKULU2MRjMZRooqU4aGH8EE_MQshzF5fhkV8fY2fGr0ncZNJALP2qmdGqTHnKB6DTz
 Fv3XZwgVBpLeY6rDIhWz.0OJfVmGA2Oo0Aa06HSnVNLXBLx2XJt1878_vq2GBzC3Vl4y13y.8c9H
 x1ujCUYBLoO5299Icrboa2OnZPjevlLYfZUOBdVuoJldCFFiC4VG7Y30AWFy8V4KnhBtbDdmN9rN
 OsYQuJeXg_baRDd8a35Qj76Ay2l9UTKzbFlfIvSmGosHk_k9FyGEX5PuvJr6lX6c4r70u4ssn93X
 nsREYYI_rmOVSai_hZj5nZmFAQKfhmoAgjE99vG3chhrwAV9XPvX_DL3ItXB8m4sN9vbFM82NFv7
 _i.bXhW96RIZBuW_kBGXmqGqe04xdM977MqTjcC0ZwaKXxghmcw8cwHVCfCmcFMz5FJv8OgZ6X7U
 EgPJk3Mhf0qdE5PPi_wxQjfyxa3ja2ZcAPvoVRUlB6Jo5OdJj4gTAckgron4IB6ZyNJhaY5KKZ9_
 hAkAiyHRHKXdJjKMSU9RcwO47x46QR6hdOc.70Hl1triMHB8rFRGk7RjGQOV_QcgmzCEKpMCJCdC
 G474vMePwXTIZC7BN_m0aIqFe4j7KvV_Vl4jM2qu9WmE.27FAXx3w
X-Sonic-MF: <luangruo@HIDDEN>
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic315.consmr.mail.ne1.yahoo.com with HTTP; Tue, 16 Aug 2022 00:58:32 +0000
Received: by hermes--canary-production-sg3-6f58cd9b5-jq7xs (Yahoo Inc. Hermes
 SMTP Server) with ESMTPA ID 37b57b8f586d6d6b920fabafcfb4d681; 
 Tue, 16 Aug 2022 00:58:30 +0000 (UTC)
From: Po Lu <luangruo@HIDDEN>
To: Joe Corneli <joseph.corneli@HIDDEN>
Subject: Re: bug#56869: 29.0.50; segfault, "assertion 'GDK_IS_DEVICE
 (device)' failed"
References: <87sfmgjelt.fsf@Proteus> <87a68nfnp4.fsf@HIDDEN>
 <87bkt24tng.fsf@Proteus> <87zggmcxpb.fsf@Proteus>
 <875yjadt7j.fsf@HIDDEN> <87y1vvaysh.fsf@Proteus>
 <87r11nvw44.fsf@HIDDEN> <87h72ihpk7.fsf@Proteus>
 <87edxmw98w.fsf@HIDDEN> <87edxlfzwz.fsf@Proteus>
 <87a689wsdx.fsf@HIDDEN> <87pmh33wfu.fsf@Proteus>
 <87tu6d4ne8.fsf@Proteus>
Date: Tue, 16 Aug 2022 08:58:26 +0800
In-Reply-To: <87tu6d4ne8.fsf@Proteus> (Joe Corneli's message of "Mon, 15 Aug
 2022 15:00:47 +0100")
Message-ID: <87pmh1qa19.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.91 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Mailer: WebService/1.1.20531
 mail.backend.jedi.jws.acl:role.jedi.acl.token.atz.jws.hermes.yahoo
Content-Length: 1341
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 56869
Cc: 56869 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Joe Corneli <joseph.corneli@HIDDEN> writes:

> Joe Corneli writes:
>
>> Hm, I think I missed the obvious ones.  Have added:
>>
>> sudo apt-get install libgtk-3-0-dbgsym libgtk-3-bin-dbgsym
>>
>> If it crashes again, I=E2=80=99ll give more info.
>
> OK, I think I=E2=80=99m now able to provide the debugging info you were a=
sking
> for!  As far as I could tell the specific interaction that triggered
> this was switching between windows.

Thanks.  Unfortunately, the line number doesn't make much sense, so
could you also type "l" at the debugger prompt and show the output?

> Thread 1 "emacs" received signal SIGSEGV, Segmentation fault.
> gdk_x11_device_manager_xi2_translate_event (xevent=3D<optimised out>, eve=
nt=3D<optimised out>, display=3D<optimised out>,=20
>     translator=3D<optimised out>) at ../../../../../gdk/x11/gdkdevicemana=
ger-xi2.c:1794
> 1794	../../../../../gdk/x11/gdkdevicemanager-xi2.c: No such file or direc=
tory.
> (gdb) generate-core-file
> warning: Memory read failed for corefile section, 4096 bytes at 0xfffffff=
fff600000.
> Saved corefile core.384524
> (gdb) bt
> #0  gdk_x11_device_manager_xi2_translate_event
>     (xevent=3D<optimised out>, event=3D<optimised out>, display=3D<optimi=
sed out>, translator=3D<optimised out>)
>     at ../../../../../gdk/x11/gdkdevicemanager-xi2.c:1794




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#56869; Package emacs. Full text available.

Message received at 56869 <at> debbugs.gnu.org:


Received: (at 56869) by debbugs.gnu.org; 15 Aug 2022 14:01:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Aug 15 10:01:00 2022
Received: from localhost ([127.0.0.1]:43726 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oNaeJ-0002cN-FJ
	for submit <at> debbugs.gnu.org; Mon, 15 Aug 2022 10:00:59 -0400
Received: from box.hyperreal.enterprises ([85.159.211.210]:43417)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <joseph.corneli@HIDDEN>)
 id 1oNaeH-0002c8-0j
 for 56869 <at> debbugs.gnu.org; Mon, 15 Aug 2022 10:00:58 -0400
Received: from authenticated-user (box.hyperreal.enterprises [85.159.211.210])
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits))
 (No client certificate requested)
 by box.hyperreal.enterprises (Postfix) with ESMTPSA id CA80243E8F;
 Mon, 15 Aug 2022 15:00:50 +0100 (BST)
DKIM-Signature: v=1; a=rsa-sha256; c=simple/simple; d=hyperreal.enterprises;
 s=mail; t=1660572050;
 bh=n4g4HJ4x3I6Pd73RVlnV8DHJEet9LJYqYBHenwPjZ/0=;
 h=References:From:To:Cc:Subject:In-reply-to:Date:From;
 b=C92OxD2fpwNZBoqX4rYF8B/+YIxwTLTGC5ko+yy/gAZ7Xpm/oVGwPWdbb2/aRLn54
 TYA7kwj2auTlo1QKt/pihQ0AFa3HCXXwlItSVc/jjZXvRznXLYS3KAsstCOvfk1tir
 gcM02qNS4M7FpTmkBVBL1CGigML1odeZv46EeWARx9FYTxEp0FMg4QIjFILS6XplIE
 rBHK00siyK4n9PfQ5HpNMSNsyTA5jGpDe1VB9Ym6jDA0aLvtWhTH0tEnYoVrLc49JS
 kS6qHfgeUc90YtV+xFn0hlc7Y/0Y/m4H1BbapPT1c9St3RZcZznlrD1u40trW5TBKn
 Er/o60MRclVkw==
References: <87sfmgjelt.fsf@Proteus> <87a68nfnp4.fsf@HIDDEN>
 <87bkt24tng.fsf@Proteus> <87zggmcxpb.fsf@Proteus>
 <875yjadt7j.fsf@HIDDEN> <87y1vvaysh.fsf@Proteus>
 <87r11nvw44.fsf@HIDDEN> <87h72ihpk7.fsf@Proteus>
 <87edxmw98w.fsf@HIDDEN> <87edxlfzwz.fsf@Proteus>
 <87a689wsdx.fsf@HIDDEN> <87pmh33wfu.fsf@Proteus>
From: Joe Corneli <joseph.corneli@HIDDEN>
To: Po Lu <luangruo@HIDDEN>
Subject: Re: bug#56869: 29.0.50; segfault, "assertion 'GDK_IS_DEVICE
 (device)' failed"
In-reply-to: <87pmh33wfu.fsf@Proteus>
Date: Mon, 15 Aug 2022 15:00:47 +0100
Message-ID: <87tu6d4ne8.fsf@Proteus>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 56869
Cc: 56869 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


Joe Corneli writes:

> Hm, I think I missed the obvious ones.  Have added:
>
> sudo apt-get install libgtk-3-0-dbgsym libgtk-3-bin-dbgsym
>
> If it crashes again, I=E2=80=99ll give more info.

OK, I think I=E2=80=99m now able to provide the debugging info you were ask=
ing
for!  As far as I could tell the specific interaction that triggered
this was switching between windows.


Thread 1 "emacs" received signal SIGSEGV, Segmentation fault.
gdk_x11_device_manager_xi2_translate_event (xevent=3D<optimised out>, event=
=3D<optimised out>, display=3D<optimised out>,=20
    translator=3D<optimised out>) at ../../../../../gdk/x11/gdkdevicemanage=
r-xi2.c:1794
1794	../../../../../gdk/x11/gdkdevicemanager-xi2.c: No such file or directo=
ry.
(gdb) generate-core-file
warning: Memory read failed for corefile section, 4096 bytes at 0xfffffffff=
f600000.
Saved corefile core.384524
(gdb) bt
#0  gdk_x11_device_manager_xi2_translate_event
    (xevent=3D<optimised out>, event=3D<optimised out>, display=3D<optimise=
d out>, translator=3D<optimised out>)
    at ../../../../../gdk/x11/gdkdevicemanager-xi2.c:1794
#1  gdk_x11_device_manager_xi2_translate_event
    (translator=3D<optimised out>, display=3D<optimised out>, event=3D<opti=
mised out>, xevent=3D<optimised out>)
    at ../../../../../gdk/x11/gdkdevicemanager-xi2.c:1478
#2  0x00007ffff757e989 in _gdk_x11_event_translator_translate
    (translator=3Dtranslator@entry=3D0x555556481800, display=3D0x55555645d0=
e0, xevent=3Dxevent@entry=3D0x7fffffffccc0)
    at ../../../../../gdk/x11/gdkeventtranslator.c:51
#3  0x00007ffff757e4cc in gdk_event_source_translate_event (xevent=3D0x7fff=
ffffccc0, event_source=3D0x555555f7c890)
    at ../../../../../gdk/x11/gdkeventsource.c:230
#4  _gdk_x11_display_queue_events (display=3D0x55555645d0e0) at ../../../..=
/../gdk/x11/gdkeventsource.c:341
#5  0x00007ffff75460e4 in gdk_display_get_event (display=3Ddisplay@entry=3D=
0x55555645d0e0)
    at ../../../../gdk/gdkdisplay.c:441
#6  0x00007ffff757e0e6 in gdk_event_source_dispatch
    (source=3D<optimised out>, callback=3D<optimised out>, user_data=3D<opt=
imised out>)
    at ../../../../../gdk/x11/gdkeventsource.c:363
#7  0x00007ffff6f5617d in g_main_context_dispatch () at /usr/lib/x86_64-lin=
ux-gnu/libglib-2.0.so.0
#8  0x00007ffff6f56400 in  () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#9  0x00007ffff6f564a3 in g_main_context_iteration () at /usr/lib/x86_64-li=
nux-gnu/libglib-2.0.so.0
#10 0x00007ffff78611d9 in gtk_main_iteration () at ../../../../gtk/gtkmain.=
c:1432
#11 0x00005555556f3c4c in XTread_socket (terminal=3D0x555556229fe8, hold_qu=
it=3D0x7fffffffcf90) at xterm.c:23384
#12 0x0000555555750de1 in gobble_input () at keyboard.c:7364
#13 0x0000555555751295 in handle_async_input () at keyboard.c:7595
#14 0x00005555557512b8 in process_pending_signals () at keyboard.c:7609
#15 0x00005555557512fc in unblock_input_to (level=3D0) at keyboard.c:7624
#16 0x0000555555751324 in unblock_input () at keyboard.c:7643
#17 0x000055555574aa84 in timer_check () at keyboard.c:4734
#18 0x0000555555748485 in readable_events (flags=3D1) at keyboard.c:3516
#19 0x0000555555750c86 in get_input_pending (flags=3D1) at keyboard.c:7314
#20 0x0000555555758fe0 in detect_input_pending_run_timers (do_display=3Dtru=
e) at keyboard.c:10844
#21 0x0000555555877a12 in wait_reading_process_output
    (time_limit=3D135, nsecs=3D0, read_kbd=3D-1, do_display=3Dtrue, wait_fo=
r_cell=3DXIL(0), wait_proc=3D0x0, just_wait_proc=3D0)
    at process.c:5780
#22 0x00005555555af4f7 in sit_for (timeout=3Dmake_fixnum(135), reading=3Dtr=
ue, display_option=3D1) at dispnew.c:6238
#23 0x00005555557465f6 in read_char
    (commandflag=3D1, map=3DXIL(0x55555aebd253), prev_event=3DXIL(0), used_=
mouse_menu=3D0x7fffffffd8b9, end_time=3D0x0)
    at keyboard.c:2864
#24 0x00005555557573c6 in read_key_sequence
    (keybuf=3D0x7fffffffdaf0, prompt=3DXIL(0), dont_downcase_last=3Dfalse, =
can_return_switch_frame=3Dtrue, fix_current_buffer=3Dtrue, prevent_redispla=
y=3Dfalse) at keyboard.c:10021
#25 0x000055555574241e in command_loop_1 () at keyboard.c:1384
#26 0x000055555580b3a2 in internal_condition_case
    (bfun=3D0x555555742004 <command_loop_1>, handlers=3DXIL(0x90), hfun=3D0=
x5555557415cd <cmd_error>) at eval.c:1497
#27 0x0000555555741ca5 in command_loop_2 (handlers=3DXIL(0x90)) at keyboard=
.c:1132
#28 0x000055555580a9ab in internal_catch (tag=3DXIL(0xf3c0), func=3D0x55555=
5741c7a <command_loop_2>, arg=3DXIL(0x90))
    at eval.c:1220
#29 0x0000555555741c35 in command_loop () at keyboard.c:1110
#30 0x0000555555741156 in recursive_edit_1 () at keyboard.c:719
#31 0x0000555555741308 in Frecursive_edit () at keyboard.c:802
#32 0x000055555573d478 in main (argc=3D1, argv=3D0x7fffffffdf98) at emacs.c=
:2517



--=20
Dr Joseph A. Corneli (https://github.com/holtzermann17)

HYPERREAL ENTERPRISES LTD is a private company limited by shares, incorpora=
ted
25th, June 2019 as Company Number 634284 on the Register of Companies for
Scotland (https://beta.companieshouse.gov.uk/company/SC634284).




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#56869; Package emacs. Full text available.

Message received at 56869 <at> debbugs.gnu.org:


Received: (at 56869) by debbugs.gnu.org; 14 Aug 2022 11:22:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Aug 14 07:22:05 2022
Received: from localhost ([127.0.0.1]:36023 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oNBgz-0007Bk-5Q
	for submit <at> debbugs.gnu.org; Sun, 14 Aug 2022 07:22:05 -0400
Received: from box.hyperreal.enterprises ([85.159.211.210]:59901)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <joseph.corneli@HIDDEN>)
 id 1oNBgw-0007BA-Gx
 for 56869 <at> debbugs.gnu.org; Sun, 14 Aug 2022 07:22:03 -0400
Received: from authenticated-user (box.hyperreal.enterprises [85.159.211.210])
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits))
 (No client certificate requested)
 by box.hyperreal.enterprises (Postfix) with ESMTPSA id 1545843E9C;
 Sun, 14 Aug 2022 12:21:57 +0100 (BST)
DKIM-Signature: v=1; a=rsa-sha256; c=simple/simple; d=hyperreal.enterprises;
 s=mail; t=1660476117;
 bh=N1bHysolFrZ+EqkVJi+xPy9RqiUkZz7t4nYuUUIJ32A=;
 h=References:From:To:Cc:Subject:In-reply-to:Date:From;
 b=cMEe3Rofl5zXMYwcLl76fW1MisIQGAzYVn6pk18831/pplNB8hWYxzJJAnfgBguP3
 hOQHksNte4mRaIp0A+jsXO4W3rCEsJ28NCtSgJLTpi7qQBr5w/qoKQpcgYKo2TQzq4
 q2KKAACI06w8ApWRucn3V/7vPS3k6z231dkjQ330IklEDRWXmaOohK9VirHtIe+qBF
 dWLuZk8rRrBzu290qW6vMrRjAnueUTCon7rCVYMfMJA7CU+Vz5cyMNteiVuRpYdUs3
 4DKckqbOHn+CyGDVvtdop1QLrqqV3o0xNYNm4d6g1+qX4L+Rq+8fv8RDcWdPxvNWRT
 vc04PJThqeoUg==
References: <87sfmgjelt.fsf@Proteus> <87a68nfnp4.fsf@HIDDEN>
 <87bkt24tng.fsf@Proteus> <87zggmcxpb.fsf@Proteus>
 <875yjadt7j.fsf@HIDDEN> <87y1vvaysh.fsf@Proteus>
 <87r11nvw44.fsf@HIDDEN> <87h72ihpk7.fsf@Proteus>
 <87edxmw98w.fsf@HIDDEN> <87edxlfzwz.fsf@Proteus>
 <83bkspod15.fsf@HIDDEN>
From: Joe Corneli <joseph.corneli@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#56869: 29.0.50; segfault, "assertion 'GDK_IS_DEVICE
 (device)' failed"
In-reply-to: <83bkspod15.fsf@HIDDEN>
Date: Sun, 14 Aug 2022 12:21:54 +0100
Message-ID: <87mtc73wa5.fsf@Proteus>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 56869
Cc: luangruo@HIDDEN, 56869 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


Eli Zaretskii writes:

> The backtrace says:
>
>  . the main loop called some command
>  . that command signaled an error
>  . the error caused the Lisp debugger to be called
>  . the debugger was invoked and entered recursive-edit
>  . while waiting for user input, a timer fired
>  . the timer function called write-region
>  . write-region called lock-file
>  . lock-file called a Lisp function, probably to report some conflict
>    with another process(??) locking the file
>  . Emacs prompted the user, probably about the lock
>  . while waiting for user response, Emacs checked timers, and as
>    result called process_pending_signals
>  . one of the pending signals was SIGIO, so Emacs called read-socket,
>    which segfaulted inside GTK
>
> Does the above sound reasonable for your Emacs sessions?

Thanks, that=E2=80=99s certainly a reasonable chain of events, e.g. given t=
hat I
have mu4e running (which likes to use locks) and there might have been a
conflict between two different running instances.  Not sure about the
last step involving GTK.  In my workflow I think the crash occurred only
when I was switching between windows in my WM.


--=20
Dr Joseph A. Corneli (https://github.com/holtzermann17)

HYPERREAL ENTERPRISES LTD is a private company limited by shares, incorpora=
ted
25th, June 2019 as Company Number 634284 on the Register of Companies for
Scotland (https://beta.companieshouse.gov.uk/company/SC634284).




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#56869; Package emacs. Full text available.

Message received at 56869 <at> debbugs.gnu.org:


Received: (at 56869) by debbugs.gnu.org; 14 Aug 2022 11:18:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Aug 14 07:18:46 2022
Received: from localhost ([127.0.0.1]:36013 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oNBdm-00073P-HQ
	for submit <at> debbugs.gnu.org; Sun, 14 Aug 2022 07:18:46 -0400
Received: from box.hyperreal.enterprises ([85.159.211.210]:49529)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <joseph.corneli@HIDDEN>)
 id 1oNBdh-000738-Bx
 for 56869 <at> debbugs.gnu.org; Sun, 14 Aug 2022 07:18:44 -0400
Received: from authenticated-user (box.hyperreal.enterprises [85.159.211.210])
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits))
 (No client certificate requested)
 by box.hyperreal.enterprises (Postfix) with ESMTPSA id 586E943E9C;
 Sun, 14 Aug 2022 12:18:31 +0100 (BST)
DKIM-Signature: v=1; a=rsa-sha256; c=simple/simple; d=hyperreal.enterprises;
 s=mail; t=1660475913;
 bh=T8o6UbLM1k0PqEMHgdKfo3qZhVRyEHNg8YlLMMJX4zU=;
 h=References:From:To:Cc:Subject:In-reply-to:Date:From;
 b=NoPmixC0txd/Dg5gTH6e3ksXABCXG+1xa7XKZdz7g5EWRXD+zOZnnJ0YSKM8j4z9f
 KNEnNrroXVZNzhUA8oECWvhzHtUf7xSbSHzMBnaf+5pHODg4N8mv4yf0yLXAlp8v5x
 5M6rVxC68riE2wKPp8+jbbGHdSNzWwu/nUfQyl6drueVuiuQk3v08bdRZGzunKNRHs
 QjXgsaAN1inCSTk85JtEuzvVpRJnw7MOJtxD15uMuysrvG+T6Rvu+84hNaC1d4RhI6
 VI2v/F5CJkJM0MOMncMxRwPqqhiXqmslwavhd3sXgXc9bVJXH9COSoGbHSNGTtvbAo
 8CD9oltsjf+gQ==
References: <87sfmgjelt.fsf@Proteus> <87a68nfnp4.fsf@HIDDEN>
 <87bkt24tng.fsf@Proteus> <87zggmcxpb.fsf@Proteus>
 <875yjadt7j.fsf@HIDDEN> <87y1vvaysh.fsf@Proteus>
 <87r11nvw44.fsf@HIDDEN> <87h72ihpk7.fsf@Proteus>
 <87edxmw98w.fsf@HIDDEN> <87edxlfzwz.fsf@Proteus>
 <87a689wsdx.fsf@HIDDEN>
From: Joe Corneli <joseph.corneli@HIDDEN>
To: Po Lu <luangruo@HIDDEN>
Subject: Re: bug#56869: 29.0.50; segfault, "assertion 'GDK_IS_DEVICE
 (device)' failed"
In-reply-to: <87a689wsdx.fsf@HIDDEN>
Date: Sun, 14 Aug 2022 12:18:29 +0100
Message-ID: <87pmh33wfu.fsf@Proteus>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 56869
Cc: 56869 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


Po Lu writes:

> Joe Corneli <joseph.corneli@HIDDEN> writes:
>
>> #0  0x00007ffff757464d in  () at /usr/lib/x86_64-linux-gnu/libgdk-3.so.0
>> #1  0x00007ffff757e989 in  () at /usr/lib/x86_64-linux-gnu/libgdk-3.so.0
>> #2  0x00007ffff757e4cc in  () at /usr/lib/x86_64-linux-gnu/libgdk-3.so.0
>> #3  0x00007ffff75460e4 in gdk_display_get_event () at /usr/lib/x86_64-li=
nux-gnu/libgdk-3.so.0
>> #4  0x00007ffff757e0e6 in  () at /usr/lib/x86_64-linux-gnu/libgdk-3.so.0
>> #5  0x00007ffff6f5617d in g_main_context_dispatch () at /usr/lib/x86_64-=
linux-gnu/libglib-2.0.so.0
>> #6  0x00007ffff6f56400 in  () at /usr/lib/x86_64-linux-gnu/libglib-2.0.s=
o.0
>> #7  0x00007ffff6f564a3 in g_main_context_iteration () at /usr/lib/x86_64=
-linux-gnu/libglib-2.0.so.0
>> #8  0x00007ffff78611d9 in gtk_main_iteration () at /usr/lib/x86_64-linux=
-gnu/libgtk-3.so.0
>
> Thanks.  Unfortunately, you don't seem to have installed the right
> debuginfo package for libgdk-3, so this information still doesn't help.

Hm, I think I missed the obvious ones.  Have added:

sudo apt-get install libgtk-3-0-dbgsym libgtk-3-bin-dbgsym

If it crashes again, I=E2=80=99ll give more info.




--=20
Dr Joseph A. Corneli (https://github.com/holtzermann17)

HYPERREAL ENTERPRISES LTD is a private company limited by shares, incorpora=
ted
25th, June 2019 as Company Number 634284 on the Register of Companies for
Scotland (https://beta.companieshouse.gov.uk/company/SC634284).




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#56869; Package emacs. Full text available.

Message received at 56869 <at> debbugs.gnu.org:


Received: (at 56869) by debbugs.gnu.org; 12 Aug 2022 13:23:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Aug 12 09:23:59 2022
Received: from localhost ([127.0.0.1]:55932 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oMUdq-0006bg-P1
	for submit <at> debbugs.gnu.org; Fri, 12 Aug 2022 09:23:59 -0400
Received: from sonic314-20.consmr.mail.ne1.yahoo.com ([66.163.189.146]:37961)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <luangruo@HIDDEN>) id 1oMUdo-0006bR-Eq
 for 56869 <at> debbugs.gnu.org; Fri, 12 Aug 2022 09:23:57 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1660310630; bh=CcGwnN3ErJbcglKfZ6+0b81lpQmoz4WCQjeSPvBzNZI=;
 h=From:To:Cc:Subject:References:Date:In-Reply-To:From:Subject:Reply-To;
 b=hfhNo89AA0wYpbm+KyXK/MQwMqKx84nOT8uUPSCjFICz0KCyp6MaPAIGlpQcWgl4tp6RsOl1uHp92FDHpZC7G8oYp/6Ed4dkvs6Na1AiNdQiNeMZ0dMUpx73nUAsTWZt/mFX/68UTIwPER07qOK6npUy3MkZKuf2vfxMPXmfm01tdRgfYwM4EwUxV5EWHYwERAbv/QjzJ09EahpXJMRHTKYEZeAcipSYJ5A+9q5JHMBBQ1nknpZhAEfOVQ5jgf04GMy6yFbM2ATC91XkTlsLq5SZAZvEZh0iaHR54/zR3WnX13qeW9s9Rh0FkdT7LXeTalqXqnOHuHZCBBC/zomP/Q==
X-SONIC-DKIM-SIGN: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1660310630; bh=MzA8H5zhYsEuCtT/lIUH2rRCS2TguysnIMh1a6VzRLI=;
 h=X-Sonic-MF:From:To:Subject:Date:From:Subject;
 b=tISufCI2eVtrVDZkfgUb9VWyWUxpJLCaZy407PeBvisUfpaONjgRLdqUznZlgk/ptLlf4Q4P0OIJvzoj6+6Ftq3OeMpwYF9RVrjfdhGe6dq4nBbjmHg+kTbVoY0BFc3KkIGigOf9J5iG7QGanF8U13QIRnv0Iis/X5Ie31QRy4qhTN+3OxiXud6uw7BYhLoCQf1cvNXPWTVcLq0Bx0+hVsCWuYvlhOcNUkE2YO5e27PHTmd0iee2ibmO7JmZ21V1BXNxh1jqSSbvOcNNwP9FDmNrvR4KdexBAkhKEYY8LV45Co11xwPgQkkckRQD1Es6Fy3T+wuQy7HUySYY3qZWEQ==
X-YMail-OSG: vzD0l1AVM1kFGp8z.glaCZR_glnUBJOm_K8cKdTS23bT_qZb_yfP0sNZg2w.dQ9
 zlf4ArvQZsvORCPew.fYK64.xJ4keA9fm7QQeImZDOFTAqvpxY1O2KYc1l9Br1yV9cbSLO27IO3q
 N19HEZ73j1vFHg0aNXzoikbl5vb4TJxNVTOLG9CY69C7hvIyMOmbKx6kSL.1UXH_4OwrNcGgdpvJ
 k9UsbZ2NpvNjcUI5uY8wX5TL2H.VRt.jjSMFpCeu4HiMIVduxMV7xAA1FN.QcIa8plqbeZgVrFwe
 Wu7ZIWXZWpxpTGV3TgVMjx7Xp.2ZjvSTNxQbpdlzUmaRsaoJ.7wkmgIV5BmFcxBuqOaz33sgntN_
 S8XZC1v.ctAnZAL0lyVzH1hfJEY4HoOGNppRiKFyF656Dcaj3dwPeLpSYp00bYkwTK1Y6iimtXLR
 GBqZHF7_T.eBzD4B9hz_ACxLiR1DAUE57cROh8KPXx6d0ez6_AzTRRO4biNZajOlpvMnpH3jYjg.
 Q6IFEU9b_RlsBKTSwphyUW5EYdA1IvPq8xgHOrT1sNhbup4.PRCvFpgSNEajI8VtUoJLIR_VQY0f
 706OM.x1MqK.vx.z1wQE2qS3YN8THRrxsgROTZbZ045WraT0CiPxgrAIeEv2wUM72lh0qvztcjiC
 oeY0H39ErCc9kwgQsGEulwZNvUlKL8ZfAp9c2q0AwZ_vGLQsF0B02GvPfe87AGQ0.VFoDcKC9UD0
 Ukt0YO0zu4tZuGFdxpt78ce.JNjTPS94q.hZU2BB761m3NkRS5xlrYWTxJmVSBpV97jftrD5DVel
 eaIGRXzLffyugV3SoIi6l0lkiXiXLfuWlY3Lgzqan4b45DeN.g4NM34PJsxSUoz.1xTGnDTO7dG.
 39G9ujWAysNy8bM9tpZICdTJIKEnQ_2mXHyYSYEiK3N5GDQ5i4_L4zGsoF3OGEZzteynFZj.QOm8
 HYDVRY26pP3jVtYXGlcLalxmA.SMO4xlEbEVdjWYZ3m4.XI3D7Rq3BKaCH4eA5uaSimWX97blQiX
 os_NA_ml0FSgBb._FOMe3927HRA3i_.RVXwbfya2J1TLcvgMuc7tZfQNsUP6_IWFGsb9i9Etqad6
 en6nh9qxDvK3jCIRobPzHY85SlfLvNp.gBh3ObDcve0DaAhVqAyAbxmqyUIlT5y1.UEQraGSZWaQ
 1MoWBsDEvD32_wg5xRBpPlbbRTLoc1iRCnx2jrWWPlrWLxuLD7jpd.Ayv7dHhF_m7C5YSaRMPuh7
 7zRRmYDw7vsuNXneP5MmMQImAA1heq15NXIy2V1Neub3TIr3_WZSn4ZHPVlAjqPrDTjhXBrwG0VJ
 IA0kreAkCN_kXleJvl9u0Sp.6PeYjhXysZXQt4Op0keJyN1Ji2sKOQaFzmLumpKxdOepOq5eoPMM
 yYFVbTKHHa6TmNlReplvrFV.nmQSG74nsnoe9kPFziz4LIwNrA_WXq7H72p.ptdQBdAVmkX7EM2v
 iJMAdB1SxxQEaPs.5Hqq0Fv3TdHn7t_8GFwItEiVcIg_6HTNZuHkA.O20CF0veHn.7E1s1stiaVD
 ALnQq92aKz26IwFbDek_H5j5t57MbJH2FlEY.RPKrp8hlZ7HT39WBQSVMBh_yYmtUiYXHyr0tEIe
 HkM2VV2Q65Ij_uMLpeNLdTFJvh18b0hxNeqfs7vUxsyK38rte_Eptd7EOs2m1lgojcwIvayQs3Vm
 ArDWc27D0JqOrxBmo1UbOQ.gucHu.QH2HGyDRezkp3cRoT9ZipnU_c23_8hVTtj7yk7VZPr.YRbV
 7jCatkFXOaWl0dkGQFK1r9QMOeqchTdPdEGy9BVjZfKxU65bAc0GhNklDP.8lz5ya8zNutvTjihj
 qr3vwuySzGVMjiB4v6m.dimLLFT8oxhNhlHW7wNm0T.lk5jinxAAuEOXhbomZLoGPED934Gy00if
 pME8CZ8Ht9XjNKi1NK8nfCUpXMR2gHN6bO7f54i5CbY1XtY3F5_rtk11qQDB78ReotjnZduYwJAZ
 KwTdC8xGgPnLYn6cSOQvE.4.SuXK3B5xBXjGi1Fu8IiySPuKAIbNPUpOCp0ccO7zDRTB1QvOiFsS
 bSFUJ.e051essyDxA4K2KHoYQR3yExNzU2xRMJVMVvXpMDZw3jFXIfr5MAoeaqpJfJS.9RlLddXu
 ogO3CCVbh4r4N2OHSeKOe8wHJtUHekLCJhjx1hzWtY3NCoU5xMqagdIkoDEhj42h0N17qG1egs8z
 eSBIhCl5iqMkTOeX.7LPAMFz2iLhezUwkSxWBT_lOoa2.vshiwzGJAWBLtg8-
X-Sonic-MF: <luangruo@HIDDEN>
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic314.consmr.mail.ne1.yahoo.com with HTTP; Fri, 12 Aug 2022 13:23:50 +0000
Received: by hermes--canary-production-sg3-6f58cd9b5-jrp6f (Yahoo Inc. Hermes
 SMTP Server) with ESMTPA ID 74a9303ac52c8fd0ce8afb05c7468d77; 
 Fri, 12 Aug 2022 13:23:45 +0000 (UTC)
From: Po Lu <luangruo@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#56869: 29.0.50; segfault, "assertion 'GDK_IS_DEVICE
 (device)' failed"
References: <87sfmgjelt.fsf@Proteus> <87a68nfnp4.fsf@HIDDEN>
 <87bkt24tng.fsf@Proteus> <87zggmcxpb.fsf@Proteus>
 <875yjadt7j.fsf@HIDDEN> <87y1vvaysh.fsf@Proteus>
 <87r11nvw44.fsf@HIDDEN> <87h72ihpk7.fsf@Proteus>
 <87edxmw98w.fsf@HIDDEN> <87edxlfzwz.fsf@Proteus>
 <83bkspod15.fsf@HIDDEN>
Date: Fri, 12 Aug 2022 21:23:38 +0800
In-Reply-To: <83bkspod15.fsf@HIDDEN> (Eli Zaretskii's message of "Fri, 12 Aug
 2022 15:35:18 +0300")
Message-ID: <875yixwq79.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.91 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Mailer: WebService/1.1.20531
 mail.backend.jedi.jws.acl:role.jedi.acl.token.atz.jws.hermes.yahoo
Content-Length: 1130
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 56869
Cc: Joe Corneli <joseph.corneli@HIDDEN>, 56869 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

> The backtrace says:
>
>  . the main loop called some command
>  . that command signaled an error
>  . the error caused the Lisp debugger to be called
>  . the debugger was invoked and entered recursive-edit
>  . while waiting for user input, a timer fired
>  . the timer function called write-region
>  . write-region called lock-file
>  . lock-file called a Lisp function, probably to report some conflict
>    with another process(??) locking the file
>  . Emacs prompted the user, probably about the lock
>  . while waiting for user response, Emacs checked timers, and as
>    result called process_pending_signals
>  . one of the pending signals was SIGIO, so Emacs called read-socket,
>    which segfaulted inside GTK
>
> Does the above sound reasonable for your Emacs sessions?

It seems plausible, GTK aborted because it received an X event that it
couldn't find a corresponding device for.  So to really figure out what
event is causing the problem, you have to look inside GTK, because on
GTK builds it's reading events and not XTread_socket (which just calls
gtk_main_iteration.)




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#56869; Package emacs. Full text available.

Message received at 56869 <at> debbugs.gnu.org:


Received: (at 56869) by debbugs.gnu.org; 12 Aug 2022 12:36:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Aug 12 08:36:48 2022
Received: from localhost ([127.0.0.1]:55847 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oMTuB-0003Fj-Ml
	for submit <at> debbugs.gnu.org; Fri, 12 Aug 2022 08:36:47 -0400
Received: from sonic313-56.consmr.mail.ne1.yahoo.com ([66.163.185.31]:36844)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <luangruo@HIDDEN>) id 1oMTu9-0003FV-6C
 for 56869 <at> debbugs.gnu.org; Fri, 12 Aug 2022 08:36:46 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1660307797; bh=VDn+KBktTe0mCxbijpmFqbGMA8Wf3sFhuYFxCY8Ejbw=;
 h=From:To:Cc:Subject:References:Date:In-Reply-To:From:Subject:Reply-To;
 b=Fd4ZbqEJ/HTsfBfN1WsSLghTtLlJuXaDDEt8Lz+Y+mHMPt/v8XZ+QrlGCIrXhWzuzyO+UDc+fFrhH8oUBdI0TznDM2ePDNMI9rydTcclo7r1zDIOZmXJha4sXYOTa9TbfBLCQeLBGspS7cD+NcSsYLT4SdEOkHUQpxZbN1qpUEk+2g6D5kYV6AFj40433ECet4WiA38hhgjSiK6Z4mt4eiUikF1SxKgufOkc+RwxbmF8mYSLGIXP/k0yIQs7swF4y+ExcCmRkMp7DCqleQsVTJKVLejbgu79VE3fH2PpmxqyJVwKVOSgqBbJGZARnZnAGGMwh3z9P1BtUqOwzGx7xA==
X-SONIC-DKIM-SIGN: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1660307797; bh=DDP/OtdRh8JWHaMlos+ipHAxyY4kZu8UTCjnUU2m6E+=;
 h=X-Sonic-MF:From:To:Subject:Date:From:Subject;
 b=M61ybQc1eES0yugIZMP5lQmDGqrdf/WWFiIZtN40YitLlD9yhvBg1zV4XAgg4LLJXMcu/SZGkZuGxPv35jxjorQ1z0BxPWvTmKlYxkrNLEqFz9z4UroXDDDHMuo+AxE9c9om+OUZoDPAFJsK6nu51IUVPz3fRz6Mx+0YFN4H1wSjMtkxNrRTFW2D/14OckdEcHqXxPiQufAyZ5NHS8guaqc4pVJUJXD+3e99YJN4G9arxKCw01pyRVH/kK7PgFEX3SpVZcpqQM2MVIy9L2tUP2r9rwNM7FJ8jID6IEqk3l1kk4+ctzfqNv8OCocrxp38Ci+zN7DnI5hbWRqX9NwXqg==
X-YMail-OSG: hjd1DhAVM1nNNuIu1Cbqf2GYYqVb5BB46.Euq5wlu.WM_ZmzslIJl9xTVBz.5d6
 UkeWy_LczhogRenLkpGOMiCUprWOS8wmfZURY.gMVLMXLGAS.axIKVhfSTOxH5FL_w0381aat92E
 P6H_gmLYeVg5ZDsZUiRHxmxpckzm501k09r1IMH6sYb9yDAHWVu5Ajgb4VhcoPG1sT53xqThJyCF
 m9mM.nZq8Wn2TXKK3Zkv0NSZKdvZmr6.VGSVDIyWmiww5XjKiFdLDCZKcka956B28tl1mXZfWcaL
 l3FJEOH.75J7H5z2nt7c7.e4KrYBZuaZWM0iwq6QIh6crFy7msZBpd014a9oZyj1iTk9yadvIEe6
 eG3q_aTq_kSNERayeSiGg1sb2JPX1ID2Pvlimc4CRHgzUK_OBMpGQ72FQBdq45oHQG8vYSz2j3bX
 aj36mhdvJLZIuQ4s0wytV55XiiLiyVwLRuqoYRg3MQVwzaX7FffsghZoQPQy6PT6CsKnke0xDVrL
 okwFc0Jlr8Yi81pqjO3hPsI1z0b6UY5rsHfOqFUUT7oMulz4suiBzuXuXOWgMA_UwRpN04EuX_Ts
 iol_OHZzFgQvUmio1mB2LmFs3TMvS8shqPBjsrmzPmBNoKyfZgqMVwVjeJNeGU4TOdDYMpbjfflr
 31eTADt5fBzyni7.GEaUj_N9eeeknpBC00kjzOxOqSEqm7F.aiq3RwE0Cd8Ks1204mXYrM8YoIqh
 NOXYGOxh9LtwpNbPT7yFRl8FDoJBBOE.QkGWundFoeUHkN_dnaidzb17OyoSdw5YUS_YsufTYEST
 WNHltS7szWD9HS0igFCh04.dfzTuDPZsOKaZRn8gCQowpO0fW_QFXyklsECsWBOEuEqSaN.Ph9m_
 53K7pujN6xSiPnfq0ODZWpcIc2XMAw55HN4yYSm2YmgR7OHkYmnCE2eaCVu.XJz31gVNYKy4L6EK
 cqTXO2rKcHdmO1Z4T18ihg95Ivp4wZLZ5Y1TqQJJUA0.ZYF5jCQJRuW.hi7D3vDRWuKX5DIBKjYS
 k_dBWNWiSpLr_.M3xnaCLWMWSqV_aTtuU.4z5OibDFliIGmf94w64tox32M2k_U2OQbvUIx_b_2O
 nEao0pPe0MURvs1A.unR.RZbwMzETNHG8h1_TpCL3.KGproskorUfrAKhj5QxIrP4j5sYy294Z39
 znDK2wM9BX.EVJGj7ZMwN7x.qYbaS0JwkO6tkbYqVe_b3Q06wpwDed41LVWQNlp.arQQKN8I9wWs
 6lnRl.sxa6X93OclOAFt8SmkWptxU_7ayRW4ZtfVN5ggzQyBQtT56b4mhYV7tPfeFioZ7m_7H6ii
 W2xWBn0dWw8drVPZ7m5d5fKdXb1BOCsiX7R69Ra0UDnfHNPZAmzQgqk5V1op2N7p4BZhEq078HQ_
 7u7rMsUo6wYs6L8MFgWhjE.9puQ.4is80hcESb98_fqn6MBal9P_16R6dCuD5YcPuoBNcQaHSL5Z
 tHObX04NtSQKUH6XRSE7lYxS48Hv.dRRiUozq1LKQ3qRoLwd0DwoOTZgddq6AvTDgYMhI3HIDPvD
 FjU8AnWp6rncFLHRN.C5haNYg437uHFu0fIpwW.zOUX7Rq1Iw72h3edbRXCTX2uVqs50Mmj6h4gT
 rS9zouGcNOUk2PE3YJAkEuCKN7YjzX.ps5A.U_Far4C9jr1ZT1VjrbVTGKHGKERFbQc1jrRiw4Eu
 TdbBtfHjiGffdPrOqfNYnjswExUKS16dI10pap6Bpf7UMsnEZv4gK3pEZ3v.xcsOdu3LZHPPkjND
 vBndjF_h_hnTL_8aGuUKgm.8qUeVZbszF2G9dLGgXLDEy.qFRLxzIEhsMrd4Vju8psgepz79Ok3K
 hQcxiJZrBiqqkEzTUF0yQbJQ_5De0hFsbmcZzGYbyAbyt2DhnyDrzQUOicjXePJpiyp4RGlrOsks
 9EnzCFWNJIniXEPHxYEHxYfCaRi6YICkHqUttdXd5b2G8EU.n9GMbjfOywrcQ
X-Sonic-MF: <luangruo@HIDDEN>
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic313.consmr.mail.ne1.yahoo.com with HTTP; Fri, 12 Aug 2022 12:36:37 +0000
Received: by hermes--canary-production-sg3-6f58cd9b5-p4pb6 (Yahoo Inc. Hermes
 SMTP Server) with ESMTPA ID 12e21aa099c3c9428e87521d3efcd3ff; 
 Fri, 12 Aug 2022 12:36:31 +0000 (UTC)
From: Po Lu <luangruo@HIDDEN>
To: Joe Corneli <joseph.corneli@HIDDEN>
Subject: Re: bug#56869: 29.0.50; segfault, "assertion 'GDK_IS_DEVICE
 (device)' failed"
References: <87sfmgjelt.fsf@Proteus> <87a68nfnp4.fsf@HIDDEN>
 <87bkt24tng.fsf@Proteus> <87zggmcxpb.fsf@Proteus>
 <875yjadt7j.fsf@HIDDEN> <87y1vvaysh.fsf@Proteus>
 <87r11nvw44.fsf@HIDDEN> <87h72ihpk7.fsf@Proteus>
 <87edxmw98w.fsf@HIDDEN> <87edxlfzwz.fsf@Proteus>
Date: Fri, 12 Aug 2022 20:36:26 +0800
In-Reply-To: <87edxlfzwz.fsf@Proteus> (Joe Corneli's message of "Fri, 12 Aug
 2022 12:45:48 +0100")
Message-ID: <87a689wsdx.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.91 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Mailer: WebService/1.1.20531
 mail.backend.jedi.jws.acl:role.jedi.acl.token.atz.jws.hermes.yahoo
Content-Length: 1173
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 56869
Cc: 56869 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Joe Corneli <joseph.corneli@HIDDEN> writes:

> #0  0x00007ffff757464d in  () at /usr/lib/x86_64-linux-gnu/libgdk-3.so.0
> #1  0x00007ffff757e989 in  () at /usr/lib/x86_64-linux-gnu/libgdk-3.so.0
> #2  0x00007ffff757e4cc in  () at /usr/lib/x86_64-linux-gnu/libgdk-3.so.0
> #3  0x00007ffff75460e4 in gdk_display_get_event () at /usr/lib/x86_64-linux-gnu/libgdk-3.so.0
> #4  0x00007ffff757e0e6 in  () at /usr/lib/x86_64-linux-gnu/libgdk-3.so.0
> #5  0x00007ffff6f5617d in g_main_context_dispatch () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
> #6  0x00007ffff6f56400 in  () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
> #7  0x00007ffff6f564a3 in g_main_context_iteration () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
> #8  0x00007ffff78611d9 in gtk_main_iteration () at /usr/lib/x86_64-linux-gnu/libgtk-3.so.0

Thanks.  Unfortunately, you don't seem to have installed the right
debuginfo package for libgdk-3, so this information still doesn't help.

Could you try to install the `pk-debuginfo-install' utility (normally
provided by a `packagekit-tools' package) and run the following command
instead?

  pk-debuginfo-install <name-of-libgtk-3-package>




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#56869; Package emacs. Full text available.

Message received at 56869 <at> debbugs.gnu.org:


Received: (at 56869) by debbugs.gnu.org; 12 Aug 2022 12:35:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Aug 12 08:35:39 2022
Received: from localhost ([127.0.0.1]:55842 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oMTt5-0003Dx-9K
	for submit <at> debbugs.gnu.org; Fri, 12 Aug 2022 08:35:39 -0400
Received: from eggs.gnu.org ([209.51.188.92]:60346)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1oMTt1-0003Di-N0
 for 56869 <at> debbugs.gnu.org; Fri, 12 Aug 2022 08:35:38 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:42540)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1oMTsv-0002W1-GL; Fri, 12 Aug 2022 08:35:29 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-version:References:Subject:In-Reply-To:To:From:
 Date; bh=6tNBeQGZD6EDAW3snMKqICkKQ6DxJc1pAgLpYruDf9k=; b=FvOGxbftmHDk74o5br8D
 rjehtOS9KDgTRTDAI6fxKIrrZlHWJT3xOlilZyunzzr37r6Ps8CdMEldBnA+O3rqoDCEFuiwbN2Bg
 K/MCkspM3Utt9reCIl9esBZzeWOqpaiPFn+trlaA/14zCEz5JVmMf2S5WOoUkFmQXOeej1nh6B+UG
 rdXQUohuTLBwqXLDXpitAV2z1j9f1QInJLg6w09enn4uIxobl19O1TVohy1TAuIEU22WSI9xlvmgI
 F/w8LlgYo4GlwsDit8ohM+rmD9l9PEFwcgiaTgHlX+PuoTZqhqlhfd47ppZLcf+oohVC9RFoMqpez
 O69zT6aYiPwtPg==;
Received: from [87.69.77.57] (port=1296 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1oMTso-0004kx-EP; Fri, 12 Aug 2022 08:35:29 -0400
Date: Fri, 12 Aug 2022 15:35:18 +0300
Message-Id: <83bkspod15.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Joe Corneli <joseph.corneli@HIDDEN>
In-Reply-To: <87edxlfzwz.fsf@Proteus> (bug-gnu-emacs@HIDDEN)
Subject: Re: bug#56869: 29.0.50;
 segfault, "assertion 'GDK_IS_DEVICE (device)' failed"
References: <87sfmgjelt.fsf@Proteus> <87a68nfnp4.fsf@HIDDEN>
 <87bkt24tng.fsf@Proteus> <87zggmcxpb.fsf@Proteus>
 <875yjadt7j.fsf@HIDDEN> <87y1vvaysh.fsf@Proteus>
 <87r11nvw44.fsf@HIDDEN> <87h72ihpk7.fsf@Proteus>
 <87edxmw98w.fsf@HIDDEN> <87edxlfzwz.fsf@Proteus>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 56869
Cc: luangruo@HIDDEN, 56869 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Cc: 56869 <at> debbugs.gnu.org
> Date: Fri, 12 Aug 2022 12:45:48 +0100
> From:  Joe Corneli via "Bug reports for GNU Emacs,
>  the Swiss army knife of text editors" <bug-gnu-emacs@HIDDEN>
> 
> 
> Po Lu writes:
> 
> > Joe Corneli <joseph.corneli@HIDDEN> writes:
> >
> >> Now it’s produced the following, alongside the crash.  I’m happy to
> >> adapt the instrumentation further if this is not yet sufficiently
> >> useful!
> >
> > Could you please type "coredumpctl debug emacs", and then in the
> > debugger prompt, type "bt", and send the complete backtrace?
> 
> My core file was produced via running Emacs under GDB and running
> generate-core-file, hopefully the result is the same!  The backtrace is
> below.

The backtrace says:

 . the main loop called some command
 . that command signaled an error
 . the error caused the Lisp debugger to be called
 . the debugger was invoked and entered recursive-edit
 . while waiting for user input, a timer fired
 . the timer function called write-region
 . write-region called lock-file
 . lock-file called a Lisp function, probably to report some conflict
   with another process(??) locking the file
 . Emacs prompted the user, probably about the lock
 . while waiting for user response, Emacs checked timers, and as
   result called process_pending_signals
 . one of the pending signals was SIGIO, so Emacs called read-socket,
   which segfaulted inside GTK

Does the above sound reasonable for your Emacs sessions?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#56869; Package emacs. Full text available.

Message received at 56869 <at> debbugs.gnu.org:


Received: (at 56869) by debbugs.gnu.org; 12 Aug 2022 11:46:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Aug 12 07:46:03 2022
Received: from localhost ([127.0.0.1]:55781 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oMT74-0001wp-37
	for submit <at> debbugs.gnu.org; Fri, 12 Aug 2022 07:46:03 -0400
Received: from box.hyperreal.enterprises ([85.159.211.210]:56681)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <joseph.corneli@HIDDEN>)
 id 1oMT70-0001wJ-LJ
 for 56869 <at> debbugs.gnu.org; Fri, 12 Aug 2022 07:46:01 -0400
Received: from authenticated-user (box.hyperreal.enterprises [85.159.211.210])
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits))
 (No client certificate requested)
 by box.hyperreal.enterprises (Postfix) with ESMTPSA id 8E79543288;
 Fri, 12 Aug 2022 12:45:50 +0100 (BST)
DKIM-Signature: v=1; a=rsa-sha256; c=simple/simple; d=hyperreal.enterprises;
 s=mail; t=1660304750;
 bh=7jm8BtEkcC5AsTAtft0uwk3sCU/TAK59rU79eyYcLAQ=;
 h=References:From:To:Cc:Subject:In-reply-to:Date:From;
 b=MSrGMr2vPpA7s1xJJNhNiEpwFrp0kOQdThEISTrqeKKXny8oArSOhzTED+thGRDPA
 xEO6tCv28GqWovb/FtPsTT8UtpEC7pu+EYVNKUB7jd46lBQoES3od19fWJpiJrfyRH
 e2jh075ApKYxo9o011h+4s8Hfbh/iJj8CG8763kxC1cIRovrK2DKJOplDpYf72hYb+
 RQgHpK6KcMQAsNrljRZTgA/aQzdubr7KPZuJuqPT7hv1PVNVUWGug0nG7b7vF+w7Xw
 /mgOfzxa7jQiKKNO84b8QJAFUeCn4dn8dHztMk87yax/QUKloQAHUN+AMvPwzLbjki
 kslcYAvTBfNcg==
References: <87sfmgjelt.fsf@Proteus> <87a68nfnp4.fsf@HIDDEN>
 <87bkt24tng.fsf@Proteus> <87zggmcxpb.fsf@Proteus>
 <875yjadt7j.fsf@HIDDEN> <87y1vvaysh.fsf@Proteus>
 <87r11nvw44.fsf@HIDDEN> <87h72ihpk7.fsf@Proteus>
 <87edxmw98w.fsf@HIDDEN>
From: Joe Corneli <joseph.corneli@HIDDEN>
To: Po Lu <luangruo@HIDDEN>
Subject: Re: bug#56869: 29.0.50; segfault, "assertion 'GDK_IS_DEVICE
 (device)' failed"
In-reply-to: <87edxmw98w.fsf@HIDDEN>
Date: Fri, 12 Aug 2022 12:45:48 +0100
Message-ID: <87edxlfzwz.fsf@Proteus>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 56869
Cc: 56869 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


Po Lu writes:

> Joe Corneli <joseph.corneli@HIDDEN> writes:
>
>> Now it=E2=80=99s produced the following, alongside the crash.  I=E2=80=
=99m happy to
>> adapt the instrumentation further if this is not yet sufficiently
>> useful!
>
> Could you please type "coredumpctl debug emacs", and then in the
> debugger prompt, type "bt", and send the complete backtrace?

My core file was produced via running Emacs under GDB and running
generate-core-file, hopefully the result is the same!  The backtrace is
below.

joe@Proteus:~/emacs$ gdb src/emacs core.151436=20
GNU gdb (Ubuntu 9.2-0ubuntu1~20.04.1) 9.2
Copyright (C) 2020 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.htm=
l>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.
Type "show copying" and "show warranty" for details.
This GDB was configured as "x86_64-linux-gnu".
Type "show configuration" for configuration details.
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>.
Find the GDB manual and other documentation resources online at:
    <http://www.gnu.org/software/gdb/documentation/>.

For help, type "help".
Type "apropos word" to search for commands related to "word"...
Reading symbols from src/emacs...
[New LWP 151436]
[New LWP 151510]
[New LWP 151629]
[New LWP 151630]
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
Core was generated by `/home/joe/emacs/src/emacs'.
Program terminated with signal SIGSEGV, Segmentation fault.
#0  0x00007ffff757464d in ?? () from /usr/lib/x86_64-linux-gnu/libgdk-3.so.0
[Current thread is 1 (Thread 0x7ffff2947040 (LWP 151436))]
(gdb) bt
#0  0x00007ffff757464d in  () at /usr/lib/x86_64-linux-gnu/libgdk-3.so.0
#1  0x00007ffff757e989 in  () at /usr/lib/x86_64-linux-gnu/libgdk-3.so.0
#2  0x00007ffff757e4cc in  () at /usr/lib/x86_64-linux-gnu/libgdk-3.so.0
#3  0x00007ffff75460e4 in gdk_display_get_event () at /usr/lib/x86_64-linux=
-gnu/libgdk-3.so.0
#4  0x00007ffff757e0e6 in  () at /usr/lib/x86_64-linux-gnu/libgdk-3.so.0
#5  0x00007ffff6f5617d in g_main_context_dispatch () at /usr/lib/x86_64-lin=
ux-gnu/libglib-2.0.so.0
#6  0x00007ffff6f56400 in  () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#7  0x00007ffff6f564a3 in g_main_context_iteration () at /usr/lib/x86_64-li=
nux-gnu/libglib-2.0.so.0
#8  0x00007ffff78611d9 in gtk_main_iteration () at /usr/lib/x86_64-linux-gn=
u/libgtk-3.so.0
#9  0x00005555556f27eb in XTread_socket (terminal=3D0x555555f6fdc8, hold_qu=
it=3D0x7fffffff5950) at xterm.c:22621
#10 0x000055555574f5be in gobble_input () at keyboard.c:7327
#11 0x000055555574fa72 in handle_async_input () at keyboard.c:7558
#12 0x000055555574fa95 in process_pending_signals () at keyboard.c:7572
#13 0x000055555574fad9 in unblock_input_to (level=3D0) at keyboard.c:7587
#14 0x000055555574fb01 in unblock_input () at keyboard.c:7606
#15 0x0000555555749261 in timer_check () at keyboard.c:4697
#16 0x0000555555746c62 in readable_events (flags=3D1) at keyboard.c:3484
#17 0x000055555574f463 in get_input_pending (flags=3D1) at keyboard.c:7277
#18 0x00005555557577bd in detect_input_pending_run_timers (do_display=3Dtru=
e) at keyboard.c:10807
#19 0x0000555555877f1d in wait_reading_process_output
    (time_limit=3D0, nsecs=3D0, read_kbd=3D-1, do_display=3Dtrue, wait_for_=
cell=3D0x0, wait_proc=3D0x0, just_wait_proc=3D0) at process.c:5732
#20 0x0000555555747921 in kbd_buffer_get_event (kbp=3D0x7fffffff6038, used_=
mouse_menu=3D0x0, end_time=3D0x0) at keyboard.c:3963
#21 0x0000555555743532 in read_event_from_main_queue (end_time=3D0x0, local=
_getcjmp=3D0x7fffffff6450, used_mouse_menu=3D0x0) at keyboard.c:2230
#22 0x000055555574385f in read_decoded_event_from_main_queue (end_time=3D0x=
0, local_getcjmp=3D0x7fffffff6450, prev_event=3D0x30, used_mouse_menu=3D0x0)
    at keyboard.c:2294
#23 0x0000555555745209 in read_char (commandflag=3D0, map=3D0x0, prev_event=
=3D0x30, used_mouse_menu=3D0x0, end_time=3D0x0) at keyboard.c:2924
#24 0x0000555555846b4a in read_filtered_event (no_switch_frame=3Dtrue, asci=
i_required=3Dtrue, error_nonascii=3Dtrue, input_method=3Dfalse, seconds=3D0=
x0)
    at lread.c:712
#25 0x0000555555846dfc in Fread_char (prompt=3D0x0, inherit_input_method=3D=
0x0, seconds=3D0x0) at lread.c:820
#26 0x000055555580d96a in funcall_subr (subr=3D0x555555cdd7e0 <Sread_char>,=
 numargs=3D0, args=3D0x7ffff14665b0) at eval.c:3000
#27 0x0000555555864a2c in exec_byte_code (fun=3D0x7ffff1ea8c7d, args_templa=
te=3D1542, nargs=3D6, args=3D0x7ffff14667f8) at bytecode.c:809
#28 0x000055555580dc5b in fetch_and_exec_byte_code (fun=3D0x55556335414d, a=
rgs_template=3D514, nargs=3D2, args=3D0x7fffffff6dc8) at eval.c:3045
#29 0x000055555580e04f in funcall_lambda (fun=3D0x55556335414d, nargs=3D2, =
arg_vector=3D0x7fffffff6dc8) at eval.c:3117
#30 0x000055555580d4ba in funcall_general (fun=3D0x55556335414d, numargs=3D=
2, args=3D0x7fffffff6dc8) at eval.c:2908
#31 0x000055555580d71a in Ffuncall (nargs=3D3, args=3D0x7fffffff6dc0) at ev=
al.c:2958
#32 0x000055555577f8a0 in call2 (fn=3D0x2aaa9c6fc998, arg1=3D0x55556540b644=
, arg2=3D0x555556564ab4) at lisp.h:3246
#33 0x0000555555780f35 in lock_file (fn=3D0x55556540b644) at filelock.c:724
#34 0x0000555555781187 in Flock_file (file=3D0x55556540b644) at filelock.c:=
789
#35 0x000055555579e96e in write_region
    (start=3D0x6, end=3D0xbfda, filename=3D0x55556540b644, append=3D0x0, vi=
sit=3D0x2aaa9c21b758, lockname=3D0x55556540b644, mustbenew=3D0x0, desc=3D-1=
) at fileio.c:5322
#36 0x000055555579e356 in Fwrite_region (start=3D0x6, end=3D0xbfda, filenam=
e=3D0x55556540b644, append=3D0x0, visit=3D0x2aaa9c21b758, lockname=3D0x0, m=
ustbenew=3D0x0)
    at fileio.c:5197
#37 0x000055555580c21b in eval_sub (form=3D0x55555aff2f33) at eval.c:2485
#38 0x000055555580745a in Fprogn (body=3D0x0) at eval.c:451
#39 0x000055555580e3ac in funcall_lambda (fun=3D0x55555aff2953, nargs=3D3, =
arg_vector=3D0x7ffff1466538) at eval.c:3197
#40 0x000055555580d5b0 in funcall_general (fun=3D0x55555aff2953, numargs=3D=
3, args=3D0x7ffff1466538) at eval.c:2920
#41 0x0000555555864a4c in exec_byte_code (fun=3D0x55555b005b4d, args_templa=
te=3D513, nargs=3D1, args=3D0x7ffff1466540) at bytecode.c:811
#42 0x000055555580dc5b in fetch_and_exec_byte_code (fun=3D0x55555b0182c5, a=
rgs_template=3D0, nargs=3D0, args=3D0x7fffffff9b50) at eval.c:3045
#43 0x000055555580e04f in funcall_lambda (fun=3D0x55555b0182c5, nargs=3D0, =
arg_vector=3D0x7fffffff9b50) at eval.c:3117
#44 0x000055555580de55 in apply_lambda (fun=3D0x55555b0182c5, args=3D0x0, c=
ount=3D...) at eval.c:3067
#45 0x000055555580c2d7 in eval_sub (form=3D0x55555b0827c3) at eval.c:2508
#46 0x000055555580745a in Fprogn (body=3D0x0) at eval.c:451
#47 0x000055555580bcb1 in eval_sub (form=3D0x55555b0822a3) at eval.c:2414
#48 0x00005555558091e8 in Funwind_protect (args=3D0x55555b082303) at eval.c=
:1312
#49 0x000055555580bcb1 in eval_sub (form=3D0x55555b082313) at eval.c:2414
#50 0x000055555580745a in Fprogn (body=3D0x0) at eval.c:451
#51 0x0000555555808712 in FletX (args=3D0x55555b082333) at eval.c:969
#52 0x000055555580bcb1 in eval_sub (form=3D0x55555b082343) at eval.c:2414
#53 0x000055555580745a in Fprogn (body=3D0x0) at eval.c:451
#54 0x000055555580e3ac in funcall_lambda (fun=3D0x55555b081cd3, nargs=3D0, =
arg_vector=3D0x7ffff14664e0) at eval.c:3197
#55 0x000055555580d5b0 in funcall_general (fun=3D0x55555b081cd3, numargs=3D=
0, args=3D0x7ffff14664e0) at eval.c:2920
#56 0x000055555580d71a in Ffuncall (nargs=3D1, args=3D0x7ffff14664d8) at ev=
al.c:2958
#57 0x000055555580c729 in Fapply (nargs=3D2, args=3D0x7ffff14664d8) at eval=
.c:2582
#58 0x000055555580db66 in funcall_subr (subr=3D0x555555cdab60 <Sapply>, num=
args=3D2, args=3D0x7ffff14664d8) at eval.c:3023
#59 0x0000555555864a2c in exec_byte_code (fun=3D0x7ffff1ec1255, args_templa=
te=3D257, nargs=3D1, args=3D0x7ffff1466620) at bytecode.c:809
#60 0x000055555580dc5b in fetch_and_exec_byte_code (fun=3D0x7ffff257ab15, a=
rgs_template=3D257, nargs=3D1, args=3D0x7fffffffaa08) at eval.c:3045
#61 0x000055555580e04f in funcall_lambda (fun=3D0x7ffff257ab15, nargs=3D1, =
arg_vector=3D0x7fffffffaa08) at eval.c:3117
#62 0x000055555580d4ba in funcall_general (fun=3D0x7ffff257ab15, numargs=3D=
1, args=3D0x7fffffffaa08) at eval.c:2908
#63 0x000055555580d71a in Ffuncall (nargs=3D2, args=3D0x7fffffffaa00) at ev=
al.c:2958
#64 0x000055555573e080 in call1 (fn=3D0xf060, arg1=3D0x55555b0a3c6d) at lis=
p.h:3239
#65 0x000055555574910b in timer_check_2 (timers=3D0x555565432f53, idle_time=
rs=3D0x0) at keyboard.c:4636
#66 0x000055555574927f in timer_check () at keyboard.c:4702
#67 0x0000555555746c62 in readable_events (flags=3D1) at keyboard.c:3484
#68 0x000055555574f463 in get_input_pending (flags=3D1) at keyboard.c:7277
#69 0x00005555557577bd in detect_input_pending_run_timers (do_display=3Dtru=
e) at keyboard.c:10807
#70 0x0000555555877f1d in wait_reading_process_output
    (time_limit=3D105, nsecs=3D0, read_kbd=3D-1, do_display=3Dtrue, wait_fo=
r_cell=3D0x0, wait_proc=3D0x0, just_wait_proc=3D0) at process.c:5732
#71 0x00005555555af497 in sit_for (timeout=3D0x1a6, reading=3Dtrue, display=
_option=3D1) at dispnew.c:6238
#72 0x0000555555744dd3 in read_char (commandflag=3D1, map=3D0x5555611f9da3,=
 prev_event=3D0x0, used_mouse_menu=3D0x7fffffffb399, end_time=3D0x0) at key=
board.c:2832
#73 0x0000555555755ba3 in read_key_sequence
    (keybuf=3D0x7fffffffb5d0, prompt=3D0x0, dont_downcase_last=3Dfalse, can=
_return_switch_frame=3Dtrue, fix_current_buffer=3Dtrue, prevent_redisplay=
=3Dfalse)
    at keyboard.c:9984
#74 0x0000555555740e2e in command_loop_1 () at keyboard.c:1382
#75 0x000055555580995a in internal_condition_case (bfun=3D0x555555740a30 <c=
ommand_loop_1>, handlers=3D0x90, hfun=3D0x55555573fff9 <cmd_error>) at eval=
.c:1485
#76 0x00005555557406d1 in command_loop_2 (handlers=3D0x90) at keyboard.c:11=
32
#77 0x0000555555808f63 in internal_catch (tag=3D0x6750, func=3D0x5555557406=
a6 <command_loop_2>, arg=3D0x90) at eval.c:1208
#78 0x00005555557405f1 in command_loop () at keyboard.c:1102
#79 0x000055555573fb82 in recursive_edit_1 () at keyboard.c:719
#80 0x000055555573fd34 in Frecursive_edit () at keyboard.c:802
#81 0x000055555580d8ee in funcall_subr (subr=3D0x555555cd2920 <Srecursive_e=
dit>, numargs=3D0, args=3D0x7ffff1466458) at eval.c:2994
#82 0x0000555555864a2c in exec_byte_code (fun=3D0x7ffff1e32165, args_templa=
te=3D513, nargs=3D1, args=3D0x7ffff14667b0) at bytecode.c:809
#83 0x000055555580dc5b in fetch_and_exec_byte_code (fun=3D0x55555c6c441d, a=
rgs_template=3D128, nargs=3D2, args=3D0x7fffffffbef8) at eval.c:3045
#84 0x000055555580e04f in funcall_lambda (fun=3D0x55555c6c441d, nargs=3D2, =
arg_vector=3D0x7fffffffbef8) at eval.c:3117
#85 0x000055555580d4ba in funcall_general (fun=3D0x55555c6c441d, numargs=3D=
2, args=3D0x7fffffffbef8) at eval.c:2908
#86 0x000055555580d71a in Ffuncall (nargs=3D3, args=3D0x7fffffffbef0) at ev=
al.c:2958
#87 0x000055555580cb7e in Fapply (nargs=3D2, args=3D0x7fffffffbfa0) at eval=
.c:2629
#88 0x000055555580d184 in apply1 (fn=3D0x5490, arg=3D0x5555595d8ed3) at eva=
l.c:2845
#89 0x0000555555807167 in call_debugger (arg=3D0x5555595d8ed3) at eval.c:331
#90 0x000055555580aa9a in maybe_call_debugger (conditions=3D0x7ffff1ea3963,=
 sig=3D0x90, data=3D0x5555595d8f03) at eval.c:1984
#91 0x000055555580a2e0 in signal_or_quit (error_symbol=3D0x90, data=3D0x555=
5595d8f03, keyboard_quit=3Dfalse) at eval.c:1789
#92 0x0000555555809f67 in Fsignal (error_symbol=3D0x90, data=3D0x5555595d8f=
03) at eval.c:1689
#93 0x000055555580d934 in funcall_subr (subr=3D0x555555cdaa20 <Ssignal>, nu=
margs=3D2, args=3D0x7ffff1466318) at eval.c:2998
#94 0x0000555555864a2c in exec_byte_code (fun=3D0x7ffff1fb2dcd, args_templa=
te=3D128, nargs=3D2, args=3D0x7ffff14662b8) at bytecode.c:809
#95 0x000055555580dc5b in fetch_and_exec_byte_code (fun=3D0x7ffff1e7717d, a=
rgs_template=3D256, nargs=3D1, args=3D0x7fffffffc770) at eval.c:3045
#96 0x000055555580e04f in funcall_lambda (fun=3D0x7ffff1e7717d, nargs=3D1, =
arg_vector=3D0x7fffffffc770) at eval.c:3117
#97 0x000055555580de55 in apply_lambda (fun=3D0x7ffff1e7717d, args=3D0x5555=
58e9d483, count=3D...) at eval.c:3067
#98 0x000055555580c2d7 in eval_sub (form=3D0x555558e9d473) at eval.c:2508
#99 0x000055555580b785 in Feval (form=3D0x555558e9d473, lexical=3D0x0) at e=
val.c:2319
#100 0x000055555580d934 in funcall_subr (subr=3D0x555555cdab20 <Seval>, num=
args=3D1, args=3D0x7ffff1466148) at eval.c:2998
#101 0x0000555555864a2c in exec_byte_code (fun=3D0x5555586b7e25, args_templ=
ate=3D0, nargs=3D0, args=3D0x7ffff1466148) at bytecode.c:809
#102 0x000055555580dc5b in fetch_and_exec_byte_code (fun=3D0x555558ffa55d, =
args_template=3D0, nargs=3D0, args=3D0x7fffffffd3b0) at eval.c:3045
#103 0x000055555580e04f in funcall_lambda (fun=3D0x555558ffa55d, nargs=3D0,=
 arg_vector=3D0x7fffffffd3b0) at eval.c:3117
#104 0x000055555580d4ba in funcall_general (fun=3D0x555558ffa55d, numargs=
=3D0, args=3D0x7fffffffd3b0) at eval.c:2908
#105 0x000055555580d71a in Ffuncall (nargs=3D1, args=3D0x7fffffffd3a8) at e=
val.c:2958
#106 0x0000555555803033 in Ffuncall_interactively (nargs=3D1, args=3D0x7fff=
ffffd3a8) at callint.c:291
#107 0x000055555580db66 in funcall_subr (subr=3D0x555555cda2a0 <Sfuncall_in=
teractively>, numargs=3D1, args=3D0x7fffffffd3a8) at eval.c:3023
#108 0x000055555580d46e in funcall_general (fun=3D0x555555cda2a5 <Sfuncall_=
interactively+5>, numargs=3D1, args=3D0x7fffffffd3a8) at eval.c:2904
#109 0x000055555580d71a in Ffuncall (nargs=3D2, args=3D0x7fffffffd3a0) at e=
val.c:2958
#110 0x000055555580c729 in Fapply (nargs=3D3, args=3D0x7fffffffd3a0) at eva=
l.c:2582
#111 0x0000555555803420 in Fcall_interactively (function=3D0x3333630, recor=
d_flag=3D0x0, keys=3D0x55555f14a18d) at callint.c:384
#112 0x000055555580d96a in funcall_subr (subr=3D0x555555cda2e0 <Scall_inter=
actively>, numargs=3D3, args=3D0x7ffff1466070) at eval.c:3000
#113 0x0000555555864a2c in exec_byte_code (fun=3D0x7ffff1e8bbfd, args_templ=
ate=3D1025, nargs=3D1, args=3D0x7fffffffdac0) at bytecode.c:809
#114 0x000055555580dc5b in fetch_and_exec_byte_code (fun=3D0x7ffff1e8bbfd, =
args_template=3D1025, nargs=3D1, args=3D0x7fffffffdab8) at eval.c:3045
#115 0x000055555580e04f in funcall_lambda (fun=3D0x7ffff1e8bbfd, nargs=3D1,=
 arg_vector=3D0x7fffffffdab8) at eval.c:3117
#116 0x000055555580d4ba in funcall_general (fun=3D0x7ffff1e8bbfd, numargs=
=3D1, args=3D0x7fffffffdab8) at eval.c:2908
#117 0x000055555580d71a in Ffuncall (nargs=3D2, args=3D0x7fffffffdab0) at e=
val.c:2958
#118 0x000055555573e080 in call1 (fn=3D0x4950, arg1=3D0x3333630) at lisp.h:=
3239
#119 0x000055555574123e in command_loop_1 () at keyboard.c:1501
#120 0x000055555580995a in internal_condition_case (bfun=3D0x555555740a30 <=
command_loop_1>, handlers=3D0x90, hfun=3D0x55555573fff9 <cmd_error>) at eva=
l.c:1485
#121 0x00005555557406d1 in command_loop_2 (handlers=3D0x90) at keyboard.c:1=
132
#122 0x0000555555808f63 in internal_catch (tag=3D0xf360, func=3D0x555555740=
6a6 <command_loop_2>, arg=3D0x90) at eval.c:1208
#123 0x0000555555740661 in command_loop () at keyboard.c:1110
#124 0x000055555573fb82 in recursive_edit_1 () at keyboard.c:719
#125 0x000055555573fd34 in Frecursive_edit () at keyboard.c:802
#126 0x000055555573bea4 in main (argc=3D1, argv=3D0x7fffffffdfd8) at emacs.=
c:2517

--=20
Dr Joseph A. Corneli (https://github.com/holtzermann17)

HYPERREAL ENTERPRISES LTD is a private company limited by shares, incorpora=
ted
25th, June 2019 as Company Number 634284 on the Register of Companies for
Scotland (https://beta.companieshouse.gov.uk/company/SC634284).




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#56869; Package emacs. Full text available.

Message received at 56869 <at> debbugs.gnu.org:


Received: (at 56869) by debbugs.gnu.org; 12 Aug 2022 01:17:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Aug 11 21:17:53 2022
Received: from localhost ([127.0.0.1]:55241 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oMJJB-000863-3P
	for submit <at> debbugs.gnu.org; Thu, 11 Aug 2022 21:17:53 -0400
Received: from sonic311-25.consmr.mail.ne1.yahoo.com ([66.163.188.206]:45208)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <luangruo@HIDDEN>) id 1oMJJ8-00085o-Nu
 for 56869 <at> debbugs.gnu.org; Thu, 11 Aug 2022 21:17:52 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1660267062; bh=/8Lio/w5ziturycwzxZpRPknE6yUZCsyb4H27+DrWuE=;
 h=From:To:Cc:Subject:References:Date:In-Reply-To:From:Subject:Reply-To;
 b=n/W7NxdrWjBQrTy2YG8u1P+MRaNWLeqRd9XBymWN0NvKMMferjTRniLltHknk3FMsXd3af2+946VBdfR0lShM3MUErauzz07GG5/MUcAAURg27r28cAC5Bztv+7Af56zl2rhFA9grlENISYoEzvnzt5oyb0VHOWTxmo2JNhFatc54a6jV6be/ydX3bqUIZuM4R9CkAAin1KpUFZmk0ubmk11SY2HKZHqf/li12rIoMX805+zMII7Xn9pgqa6LYSPIaQYgl4SCxVg79xXOyn9bLYuaWAKqf7lWFusLHAHIjwEvC3sa2xHHbHRInnUKG8sXfknxBdNMu2kFcOh2ghdWA==
X-SONIC-DKIM-SIGN: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1660267062; bh=Tk4giVtuu+e/900nzIKQ+FIVEn+CjayRaKXVQKLI3Jy=;
 h=X-Sonic-MF:From:To:Subject:Date:From:Subject;
 b=Dp0o688Z6GnACF95TRLc/Uh3xeZTBIOPJWGGloGvLMzNcOWcNx0erM2NQb9mLLI0Cihttt5Ly98jRsIigD6MzE+PHxzoq6w69pQc+1xD/pFW99WLFqZHC3esVpTXY/r6B5KYYpMlAq8bp7kiRy7MchAE6p61g8ADp/uR69rGTgfflC0vl+4nPISEuqFWl+0viPZqn3uvem58Of5Zqrcqy51Nd5OY+LDvGdUtWY0fUlmJTvC++5dW0oUrwmhh6Tx3uj47ThFIkvp+HhOjiao5dIH+JZM6pRyEKhrwfcE5njNcS94tdjmNrIGV0AahRSH64nmUaP93mmjVuS0CQQeayQ==
X-YMail-OSG: 5dUEGykVM1mHELWN3JWwyd67Ob3VyypIu6sKLC.EJ65yY2aPxdykI6lY7VdIsqv
 dXLLmzniwqUgNadPHWioqOu8SHGoO_BD4tRZdpTwAguAOIogbvSYdgPjpfluIKTAMfb9csVoGlHD
 k_b_EmAdyuACFo7vIDCo40FAhXnpZdu1D43lrEWt66f2.GT3UiGbMqCMfRl6.WXEpJvfl3v2nmeo
 HnWtu4fXbuCNdsgcBRnf8E7mvl7RGLtXmOKAXAWvhSBItM.sVuUtDCpFOnHn8.dVw8Z_ojtvZQK6
 7b7fXb_vjXn60ezS6rXZNYD_Cs3pZfNrGDI3RUOTEJm.JpSZyboYgRM.r4ngYFqDXfEmtKOnOv74
 EX05OBtDXYgHnn5YsHiMv3C_wPo9ptTv6Pq9H136ZiwV1S.2NztpSjEg_g9ACJzOhrq0wdDN3gzW
 ZhnoDFUaQTt.xlSKYNIMy7cNSiGkDAOx.dytiqRxXExqPmV_riKN13fIGr9FPuOh17wWw9PMuvW7
 P7397w8SUvPNdpSXhV5QUWVjgpzh0Np8EOgiuXl5hH_qh94e9Up2GIXNncApS8OAyRMF1lxJMp22
 hKHHgZiAozwCEVRbr.x3oKrz8rJw9SoQ8HcojT3I4Bk.oYvzskzeR5vOMxKDk.5pNaN7L2Fpp22B
 gn0zPl659dWi5CLpHMTyIFWgkE7P2ta0Ex2gCAdIVZ.yk7i1iehdTgUIfl8cLS9NPxPG5PkgQd4U
 nyhke4Jj.wNkXc.un0ma6JbFSVMppQ2qdUFPJqt5flqxEjSotw9U2OKlBhKVwwOYL3qxEUjy16.b
 fPtfgJDBJkWmtWAPqsfijwzqqQHUnBKvAr1yHg2QrIjjQ2P70Aa0t306N90wjsulPdDDifvnn29L
 mf4QeTGMpUUUj2Eebd9Dci4oDH7ksNkqZWFWHS3aJYlxu6mIDnhXYnU_00NGl4C4KLs8qhcY98m1
 Jjq_RpUAiCvLbyEBbESCdYL5V8Uk5HnBA3Nn9eQdpVs.EIi1kuPjLAokmx9cNZQ_HKt4ZLjIZ7Kl
 BFACp8.nCH3TTiRjQnuBbPS8QpsxlAFJMDpUsg5GfJbpHCh.knANJjVRSKtUQw4GQyrfZLQWdK77
 U1wSnc1cnHCXlCnAPL.0VKte2Ybl9mFk4ZAf71Dso0hwBcJzuzZOIwuD3mBt_qyudvhJ.eqRZQW3
 G2QjWL0r_2OnALgMvpnRSeqZBYgMjZxZbepO553KfKp_1IhLqiwGBMCAV9Au4nETPxtzWZGEYmhY
 TEIz36lHMQwj1bhcvQ6nl9O4YIyeQpX5.Pftqm.tXOoLIPkDyDY2ITZ0MTGbYRXBuePDMmBvGuNL
 CJlxDw3APELKCmjp0pRkdAhpyY9fAFJy5dxMZDGpVSCFepU9f7lPgtYG9lKpwBWgC_105hfnhTrd
 QD1pdtrzTmmgbXb1rxHIPP3CLEpOh6KHxBq3wi0ki2FSHOC_BGxLX1hW4UYlgpNHv7cn3BNVnthP
 lELdTWZX_7r5EYQHaipuXVLyz7TiEn38y0cZITJ_RPQztFMMRBOdEu.e7jZpl8.8rr6pp9lIVtR2
 YN1IFdqejIG1pHIFdeZxQJNuQJ_KKhGRJccOj8.3BTKIwzHKreBj3Knj63WWBG8_XS8M4rCHx8KT
 J4EybptfH05ws77LqvJKKr8SuW7SiZ0RagUPMTJx.dufd7cOvymcluR4W0z7PSbw2J7udqKxrnPu
 6.lIPlWe1hj8F8sTWqbrAfTituq_v1PL9krudkSwMipuwUMJceJUpMj2pX7butDm9TX0blexJGQq
 W_HUmahaHo8E4ljpuG59.NLvbv2efb8I1QkxnMb.jCjp_2lZYJvgCw0WApeWlilg5jt3vPcdcxTr
 f5P_Ff8uAYz13uXNcIruOZLGzq4Qy5ePfMUbDAawCFd2VTYFz.SVcJwhmpI3OBk1Oqh73CeAawdh
 iNMbZ1KOjfjd45Tz28e7ghHWIQMFbe7wFIB1BaKipc0R20pCoGyck4Vlzww--
X-Sonic-MF: <luangruo@HIDDEN>
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic311.consmr.mail.ne1.yahoo.com with HTTP; Fri, 12 Aug 2022 01:17:42 +0000
Received: by hermes--canary-production-sg3-6f58cd9b5-vlgxl (Yahoo Inc. Hermes
 SMTP Server) with ESMTPA ID 0aec4408a324ad060c87fd9cda14be57; 
 Fri, 12 Aug 2022 01:17:39 +0000 (UTC)
From: Po Lu <luangruo@HIDDEN>
To: Joe Corneli <joseph.corneli@HIDDEN>
Subject: Re: bug#56869: 29.0.50; segfault, "assertion 'GDK_IS_DEVICE
 (device)' failed"
References: <87sfmgjelt.fsf@Proteus> <87a68nfnp4.fsf@HIDDEN>
 <87bkt24tng.fsf@Proteus> <87zggmcxpb.fsf@Proteus>
 <875yjadt7j.fsf@HIDDEN> <87y1vvaysh.fsf@Proteus>
 <87r11nvw44.fsf@HIDDEN> <87h72ihpk7.fsf@Proteus>
Date: Fri, 12 Aug 2022 09:17:35 +0800
In-Reply-To: <87h72ihpk7.fsf@Proteus> (Joe Corneli's message of "Thu, 11 Aug
 2022 14:34:16 +0100")
Message-ID: <87edxmw98w.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.91 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Mailer: WebService/1.1.20531
 mail.backend.jedi.jws.acl:role.jedi.acl.token.atz.jws.hermes.yahoo
Content-Length: 453
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 56869
Cc: 56869 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Joe Corneli <joseph.corneli@HIDDEN> writes:

> Now it=E2=80=99s produced the following, alongside the crash.  I=E2=80=99=
m happy to
> adapt the instrumentation further if this is not yet sufficiently
> useful!

Could you please type "coredumpctl debug emacs", and then in the
debugger prompt, type "bt", and send the complete backtrace?

In the meantime, I made an attempt to fix this on master based on some
serious guesswork.

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#56869; Package emacs. Full text available.

Message received at 56869 <at> debbugs.gnu.org:


Received: (at 56869) by debbugs.gnu.org; 11 Aug 2022 13:34:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Aug 11 09:34:29 2022
Received: from localhost ([127.0.0.1]:52055 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oM8KT-0006CI-BU
	for submit <at> debbugs.gnu.org; Thu, 11 Aug 2022 09:34:29 -0400
Received: from box.hyperreal.enterprises ([85.159.211.210]:47379)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <joseph.corneli@HIDDEN>)
 id 1oM8KQ-0006C5-UW
 for 56869 <at> debbugs.gnu.org; Thu, 11 Aug 2022 09:34:28 -0400
Received: from authenticated-user (box.hyperreal.enterprises [85.159.211.210])
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits))
 (No client certificate requested)
 by box.hyperreal.enterprises (Postfix) with ESMTPSA id B59FC4AE9B;
 Thu, 11 Aug 2022 14:34:20 +0100 (BST)
DKIM-Signature: v=1; a=rsa-sha256; c=simple/simple; d=hyperreal.enterprises;
 s=mail; t=1660224860;
 bh=fMJPE7W4gVO18bIMM8O/DDzq6zBwmuOStwUdg5sDEnE=;
 h=References:From:To:Cc:Subject:In-reply-to:Date:From;
 b=rbRK3phn1Rkx2U7vNozrOZXZ8/4XMpBLta4dQH2o69C3sY24HiZTNHSLHaf92k4x4
 uVrkEfzsR30/0UeCyEJ7z+T9P3syA0u2Nd8DVdYjPqJVaWiURlcQkKmQlQ/ZVlQgmi
 +GfH/5gwuyT4XN4Rzyuwmnto4gbbgyxvW/VXWojYZjnOzm9M9VyFXJotrsPej4qHK0
 ghsokH8FaLejWfMZX1mxMIndUK7OHeCLAl/dtsxcJMwufUDptoT3xdPUafcaQGQWTx
 cydf4eHWuPJogvnPfBdORFSroKcPNE5gQp8AP7chqtNjwLtjK61Dr1BzSxTZYef8h3
 1Iy9d6waxNYXg==
References: <87sfmgjelt.fsf@Proteus> <87a68nfnp4.fsf@HIDDEN>
 <87bkt24tng.fsf@Proteus> <87zggmcxpb.fsf@Proteus>
 <875yjadt7j.fsf@HIDDEN> <87y1vvaysh.fsf@Proteus>
 <87r11nvw44.fsf@HIDDEN>
From: Joe Corneli <joseph.corneli@HIDDEN>
To: Po Lu <luangruo@HIDDEN>
Subject: Re: bug#56869: 29.0.50; segfault, "assertion 'GDK_IS_DEVICE
 (device)' failed"
In-reply-to: <87r11nvw44.fsf@HIDDEN>
Date: Thu, 11 Aug 2022 14:34:16 +0100
Message-ID: <87h72ihpk7.fsf@Proteus>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 56869
Cc: 56869 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


Po Lu writes:

> Joe Corneli <joseph.corneli@HIDDEN> writes:

>> I hope that=E2=80=99s the correct protocol; haven=E2=80=99t re-encounter=
ed the crash
>> yet. More soon, if I do!

Now it=E2=80=99s produced the following, alongside the crash.  I=E2=80=99m =
happy to
adapt the instrumentation further if this is not yet sufficiently
useful!


(emacs:97833): Gdk-CRITICAL **: 14:12:42.787: gdk_device_get_n_axes: assert=
ion 'GDK_IS_DEVICE (device)' failed

(emacs:97833): Gdk-CRITICAL **: 14:12:42.787: gdk_event_set_source_device: =
assertion 'GDK_IS_DEVICE (device)' failed
Backtrace:
emacs(+0x2160fe)[0x5579104b00fe]
emacs(+0x1e4a98)[0x55791047ea98]
emacs(+0x21584d)[0x5579104af84d]
emacs(+0x21581d)[0x5579104af81d]
emacs(+0x215890)[0x5579104af890]
emacs(+0x215a3a)[0x5579104afa3a]
/lib/x86_64-linux-gnu/libpthread.so.0(+0x14420)[0x7f54e948a420]
/usr/lib/x86_64-linux-gnu/libgdk-3.so.0(+0x6664d)[0x7f54eaf6f64d]
/usr/lib/x86_64-linux-gnu/libgdk-3.so.0(+0x70989)[0x7f54eaf79989]
/usr/lib/x86_64-linux-gnu/libgdk-3.so.0(+0x704cc)[0x7f54eaf794cc]
/usr/lib/x86_64-linux-gnu/libgdk-3.so.0(gdk_display_get_event+0x44)[0x7f54e=
af410e4]
/usr/lib/x86_64-linux-gnu/libgdk-3.so.0(+0x700e6)[0x7f54eaf790e6]
/usr/lib/x86_64-linux-gnu/libglib-2.0.so.0(g_main_context_dispatch+0x27d)[0=
x7f54ea95117d]
/usr/lib/x86_64-linux-gnu/libglib-2.0.so.0(+0x52400)[0x7f54ea951400]
/usr/lib/x86_64-linux-gnu/libglib-2.0.so.0(g_main_context_iteration+0x33)[0=
x7f54ea9514a3]
/usr/lib/x86_64-linux-gnu/libgtk-3.so.0(gtk_main_iteration+0x19)[0x7f54eb25=
c1d9]
emacs(+0x19e7eb)[0x5579104387eb]
emacs(+0x1fb5be)[0x5579104955be]
emacs(+0x1fba72)[0x557910495a72]
emacs(+0x1fba95)[0x557910495a95]
emacs(+0x1fbad9)[0x557910495ad9]
emacs(+0x1fbb01)[0x557910495b01]
emacs(+0x1f5261)[0x55791048f261]
emacs(+0x1f2c62)[0x55791048cc62]
emacs(+0x1fb463)[0x557910495463]
emacs(+0x2037bd)[0x55791049d7bd]
emacs(+0x323f1d)[0x5579105bdf1d]
emacs(+0x5b497)[0x5579102f5497]
emacs(+0x1f0dd3)[0x55791048add3]
emacs(+0x201ba3)[0x55791049bba3]
emacs(+0x1ece2e)[0x557910486e2e]
emacs(+0x2b595a)[0x55791054f95a]
emacs(+0x1ec6d1)[0x5579104866d1]
emacs(+0x2b4f63)[0x55791054ef63]
emacs(+0x1ec5f1)[0x5579104865f1]
emacs(+0x1ebb82)[0x557910485b82]
emacs(+0x23a170)[0x5579104d4170]
emacs(+0x23b4c1)[0x5579104d54c1]
emacs(+0x2b9ab2)[0x557910553ab2]
emacs(+0x310a2c)[0x5579105aaa2c]
emacs(+0x2b9c5b)[0x557910553c5b]
...

[1]+  Segmentation fault      (core dumped) emacs

--=20
Dr Joseph A. Corneli (https://github.com/holtzermann17)

HYPERREAL ENTERPRISES LTD is a private company limited by shares, incorpora=
ted
25th, June 2019 as Company Number 634284 on the Register of Companies for
Scotland (https://beta.companieshouse.gov.uk/company/SC634284).




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#56869; Package emacs. Full text available.

Message received at 56869 <at> debbugs.gnu.org:


Received: (at 56869) by debbugs.gnu.org; 11 Aug 2022 11:49:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Aug 11 07:49:18 2022
Received: from localhost ([127.0.0.1]:51953 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oM6gf-0003UG-PG
	for submit <at> debbugs.gnu.org; Thu, 11 Aug 2022 07:49:18 -0400
Received: from sonic303-21.consmr.mail.ne1.yahoo.com ([66.163.188.147]:46848)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <luangruo@HIDDEN>) id 1oM6gd-0003U0-E3
 for 56869 <at> debbugs.gnu.org; Thu, 11 Aug 2022 07:49:16 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1660218548; bh=wPKhapt26HfJ30jN+tcZxIdTCVJB1eDsHm+4X4+2ZLY=;
 h=From:To:Cc:Subject:References:Date:In-Reply-To:From:Subject:Reply-To;
 b=hiMIEJbPZbUz+/CzkuPnt6L7Q13NrtNEIVrJ7PwK2JzKEBO9ZU2J1yjGY5upl1bkewYbZ4d4Fuaypt67s8r1lhlMEZCF/MtsE6Yr2XZ9n98vFm6ay4sOsNMIkaKtwRHWLqfBE47jIp/ytfFcziMlqx4uYjuXJDrmPpITTBqjJBgrQH4ECsXaMg8X5D31oshyWEVR8p6/TSaN0B5LA6002YO1CxJXvGhiETSJCU58sTAS5DZjOnVfd1Rk/Uo4KeizlCVvZ9WFi/SgNdZKHpJYb4I3bAOALawEb92VTWqzh6O1mrVD0vvIo0sf0PYr6aP0ZoRNXBxLZvIE0jqscWfMfg==
X-SONIC-DKIM-SIGN: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1660218548; bh=U3l+28d1rWIV+ebgOMr8Gg12J1WczEMQa0rKfP/OXNZ=;
 h=X-Sonic-MF:From:To:Subject:Date:From:Subject;
 b=TMS7szYtmgjVSAgWwZRoHDKFVcPdJQHfqGiX1uKVlOosk5G2u9meabVmeSJ2Ez+mF7YlcBXkZhWLO1yk5KV0vaFv4lzhpwWajHLWXi+oQ3G4mJfHB/bXFKK7/ENByMm3dvYWsbBBaKyRlCnobXMrTY6DXZ0qwMt4RqnFFu3sgqbUHVjcMNKdCcPIW1Bxgtbv1k4WiPtVq6AaKV7SZryGR9sxEgdOznG5Mz3WicppJ6Lv09+5ENcYkowTpBqJkX5phd/YgvdfSBLI9U/Iq1509UeGCYYTvGKtPZ0PjiEHOalLREkc2MaSDfyTn3rrcYP4GUZpAb2jc5KaY0FzlLSgFg==
X-YMail-OSG: ZkCKzBAVM1mfpo9unt1GjHnb2E.odUSZT1yVgnzY57YHtImLPTayhFMlR8htN8N
 1QIm2n6tEXiydkEgPQfDX.EJ6dsEeyYES610J6F_Qa4lzdis33eNNXGzDb5Ce_yBULh9kkH5MhEh
 tkyhX1D9lKB7mKdiaJkeH.ATCgnTgxVmf9KhF38obf6we4IaRvpAXjvYEcudueHGCBo4BlVMWMz6
 llDnlsUD7b8_0_tYs2rT0w861VkqHH7DO9IhhnoCHpX69jeIs5CDshvAwU9S2NURqLSnNJUSBFaA
 SN5o4L0NNfLGp6bL36FEN56we2RPmJ2atNEANIJendP2l3uXOrsIlJB3s3Gda.ExE2V2MHLy9h0O
 Qw7PeQMuZOUTF3OGf_Qs0LJ6SRmQuCKEiYtw1AwS3RI9OnJvqoBAqHRi.nt_ErmpnVcGcMttHzfg
 ieQYalpT2eJFJcwNt0TZKj89DW_nVEzQfSIxM83J84PTgojddd_iZGR6rzo0UglEj5OS3.sxcRSo
 0ha9OZe37fIuRJfoomPcWAr9s8vdsly1f0UDEDV7L8p5yHhnMWlaZ7UYo_jr7KLVuGtIlvKCKV0N
 phas0y46YjGyOe7iO4hw29BGwT23u9fYK96Ol3P7BJEtIK8sVPIIrxghex4mMqsgKqiCBHi71.9x
 cqtee5UpoDkRMwg_2jKqX7uIDdjehZ8DIMC0DFQlHR4g8XKsUrlRHtD7RfFbmzU9UZd5SMVFw2Iv
 HNaWlC1j_UtWlL964.lU.hmpBGdn9gbbSYKTjIN1WOStAMElXnz3s0GFxsaLTen.lYMLkb0Ispta
 F.tOFjnBUwhUEtbntdI04VvxOLgzuTWZ.h6w7rdfiAQhAw6nX30dIfrmwKO9SbguTkHC3NTCCti7
 TVme3sXfhaA1jTl0nmEctcb6B6__eyi2dPzuF68UfBZoyLGVlOCni1g3Y1XdfQmlPOQ61GhGvGvp
 YTQBIlFA8T01NBompDWn7QBwOnubVeVr83nlYWPfMTMW5eo6Zg2WKOoKhhuEyTdsjq_ACT0rYDXh
 3Sfw4GjEEVRxwopcmsrry3uZytqinqYDin5Gvyl3x2FPRw_Cyr8pbwDeT3Cr5xSEEs5gC17mL2Qs
 sLxidujUrW1UB_F8NxMxTqk7qVvJ464ot9Tqt6O3ouAwoddtjNGPdxdCX8jS_yldBPibpa4QCxkz
 jIpu088W3gUVJKdwUpDxlHWTMWYWhYnZtG8Yhw8HAG82XVrmYBKTs3B6Biu.fQ0nk0bzDgsVCAym
 MjNjFaxcP3G9Z_25ldgaA9wjApgBXp5lReFkSv7lUZ1fGHitV1DsCwY6HO9GUEwhU9UhX5b0rFtu
 _Zp6IeFdbywCXtVydiG2dO5l0VqUBliP04ni2.fC.HZMHfcvT9wX35wbMPBUeDstR3iSqw6i3Lkx
 lsB_Bpc2Ha.HO7wp7fanB6IrDqEpBLlcnUVrueZZHODGciqZFWCT2YFWYvi_vc7TlTjjExpUWSrp
 Rk7aqEjvDv0CtsaTiisb8DpICPTV5ZYyr88gRe3gHswDZKkn_2gzc.7WlvT4fKrupmmtFlGWXABv
 a6E3fAba29wt9BUp0ezqGZ.BqNUKZKY3vgiW3IjWNiKrOHsE03M3UPIfj4OCITES2CYExDMgwgm_
 tG3fVE_vPXNLoiP24L965tyFBhAkW0DQDhKTMAPD6mbZveKqkSmntpU3hgCpyDIKgSsxWIwU8Itv
 En_3IIF.o1BsIp_thRfiat5Vnm2Y5Dt8_gQ.IEaxqo9D1Mq8nI1uPfXzrsmmZZfkJGeNL45jaR7s
 DWAOJNRqM6eF0yxgHNISBSzrbNKtrvJGPGkl8Vihoz45SmNF_iNpY6TUZ.92_ShJ2eg076HNnjk4
 aZ_26XLIzYzYrBiX3fxzlgwOqaOnfC8WSXgh4FHwp.7Gy8E5OEJdEqQmKxDvCmp5.3j3Vltiy_Ir
 CmRU3KRmBmHvt597LSNzVEgks4.Nn6DTVpayDhrGEhVnoPdavxTeAPhcnqvmWveVDE7FVO50E2mB
 Mb_bISMFq6Po90sRacbAJZlAeOyW7o_u5vjr.fqdHaYuAl3oIwn9v3EHCGaP602OlgTodaia673v
 IPmcZIwBeBIqqiT7_KIEm4JGzfDTH4vxyRXVBenJZZqdvr7K8qpvvNTzbImW0IbV2.56W67X8QOR
 pmC4wybv1OagZJYXzVRBOhUv6V.FdaGDNVFihKI9imObHv2YgfnPcVlRvEXJfCvJ2XQKlu59aEql
 Dm4st.5OLaY2GYhSXReuxzKZXVmb4xhAw5BvuctlhS90gQnCZSDWQPZe1jLdp
X-Sonic-MF: <luangruo@HIDDEN>
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic303.consmr.mail.ne1.yahoo.com with HTTP; Thu, 11 Aug 2022 11:49:08 +0000
Received: by hermes--canary-production-sg3-6f58cd9b5-p4pb6 (Yahoo Inc. Hermes
 SMTP Server) with ESMTPA ID 09c68f357b6fa4c028cc3493f3f4a42d; 
 Thu, 11 Aug 2022 11:49:04 +0000 (UTC)
From: Po Lu <luangruo@HIDDEN>
To: Joe Corneli <joseph.corneli@HIDDEN>
Subject: Re: bug#56869: 29.0.50; segfault, "assertion 'GDK_IS_DEVICE
 (device)' failed"
References: <87sfmgjelt.fsf@Proteus> <87a68nfnp4.fsf@HIDDEN>
 <87bkt24tng.fsf@Proteus> <87zggmcxpb.fsf@Proteus>
 <875yjadt7j.fsf@HIDDEN> <87y1vvaysh.fsf@Proteus>
Date: Thu, 11 Aug 2022 19:48:59 +0800
In-Reply-To: <87y1vvaysh.fsf@Proteus> (Joe Corneli's message of "Thu, 11 Aug
 2022 10:56:46 +0100")
Message-ID: <87r11nvw44.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.91 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Mailer: WebService/1.1.20531
 mail.backend.jedi.jws.acl:role.jedi.acl.token.atz.jws.hermes.yahoo
Content-Length: 583
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 56869
Cc: 56869 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Joe Corneli <joseph.corneli@HIDDEN> writes:

> Got it now, I didn=E2=80=99t immediately understand.  I followed the
> instructions to install debugging symbols for Ubuntu, here,
> https://wiki.ubuntu.com/Debug%20Symbol%20Packages
> found via
> https://drgn.readthedocs.io/en/latest/getting_debugging_symbols.html
>
> and then installed these:
>
> sudo apt-get install pcb-rnd-hid-gtk2-gdk-dbgsym
> sudo apt-get install libgtkgl2.0-1-dbgsym
>
> I hope that=E2=80=99s the correct protocol; haven=E2=80=99t re-encountere=
d the crash
> yet.  More soon, if I do!

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#56869; Package emacs. Full text available.

Message received at 56869 <at> debbugs.gnu.org:


Received: (at 56869) by debbugs.gnu.org; 11 Aug 2022 09:57:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Aug 11 05:57:00 2022
Received: from localhost ([127.0.0.1]:51696 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oM4vz-0004OT-PW
	for submit <at> debbugs.gnu.org; Thu, 11 Aug 2022 05:57:00 -0400
Received: from box.hyperreal.enterprises ([85.159.211.210]:36155)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <joseph.corneli@HIDDEN>)
 id 1oM4vu-0004OA-Py
 for 56869 <at> debbugs.gnu.org; Thu, 11 Aug 2022 05:56:58 -0400
Received: from authenticated-user (box.hyperreal.enterprises [85.159.211.210])
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits))
 (No client certificate requested)
 by box.hyperreal.enterprises (Postfix) with ESMTPSA id C056644780;
 Thu, 11 Aug 2022 10:56:47 +0100 (BST)
DKIM-Signature: v=1; a=rsa-sha256; c=simple/simple; d=hyperreal.enterprises;
 s=mail; t=1660211807;
 bh=zS851VNsUkZzB0guvGOb15fq8QRdQBOKqr79wkithmI=;
 h=References:From:To:Cc:Subject:In-reply-to:Date:From;
 b=i37/hlByjQHF0dJI9iv+6j5pe9soS2IMiYGziz9bY0/WoVRBLHKkcgjtYc1WdVuFq
 j3QQ9dHYZCIEvHrXiVtG1x/5nXwR91INU3gimNo/ouXJmnMKhJWqhM5Bsqk/8P9zCG
 caYWjmpBF/s4SlhIoEfpGqUE2Cgyu0I8Dt9P5CIyTHOXQFlR8Jo5d3Xl7hbk0rw8tw
 C2XzC6UNNALZxxOzd0fjnFaqPEw3ccalsTE6dbblAmqqgIQHq8WSkWZ57KEE/Pn/LN
 2h5P+53cgXtI5LlJ6ufRocK5uUqXW/lOTgmO3mk8XQv5jR9Ezn+/E01KPvGseEHBmy
 0rCHGeoPguC4w==
References: <87sfmgjelt.fsf@Proteus> <87a68nfnp4.fsf@HIDDEN>
 <87bkt24tng.fsf@Proteus> <87zggmcxpb.fsf@Proteus>
 <875yjadt7j.fsf@HIDDEN>
From: Joe Corneli <joseph.corneli@HIDDEN>
To: Po Lu <luangruo@HIDDEN>
Subject: Re: bug#56869: 29.0.50; segfault, "assertion 'GDK_IS_DEVICE
 (device)' failed"
In-reply-to: <875yjadt7j.fsf@HIDDEN>
Date: Thu, 11 Aug 2022 10:56:46 +0100
Message-ID: <87y1vvaysh.fsf@Proteus>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 56869
Cc: 56869 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


Po Lu writes:

> I'm sorry, but those trace messages don't really help.  Please install
> the debugging symbols for GDK (usually available in a separate
> "debuginfo" package repository on GNU/Linux systems), so we can find out
> exactly what event is causing the crash.

Got it now, I didn=E2=80=99t immediately understand.  I followed the
instructions to install debugging symbols for Ubuntu, here,
https://wiki.ubuntu.com/Debug%20Symbol%20Packages
found via
https://drgn.readthedocs.io/en/latest/getting_debugging_symbols.html

and then installed these:

sudo apt-get install pcb-rnd-hid-gtk2-gdk-dbgsym
sudo apt-get install libgtkgl2.0-1-dbgsym

I hope that=E2=80=99s the correct protocol; haven=E2=80=99t re-encountered =
the crash
yet.  More soon, if I do!

--=20
Dr Joseph A. Corneli (https://github.com/holtzermann17)

HYPERREAL ENTERPRISES LTD is a private company limited by shares, incorpora=
ted
25th, June 2019 as Company Number 634284 on the Register of Companies for
Scotland (https://beta.companieshouse.gov.uk/company/SC634284).




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#56869; Package emacs. Full text available.

Message received at 56869 <at> debbugs.gnu.org:


Received: (at 56869) by debbugs.gnu.org; 3 Aug 2022 01:14:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Aug 02 21:14:29 2022
Received: from localhost ([127.0.0.1]:45545 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oJ2xx-0002Q7-Hm
	for submit <at> debbugs.gnu.org; Tue, 02 Aug 2022 21:14:29 -0400
Received: from sonic302-20.consmr.mail.ne1.yahoo.com ([66.163.186.146]:33595)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <luangruo@HIDDEN>) id 1oJ2xv-0002Pu-RZ
 for 56869 <at> debbugs.gnu.org; Tue, 02 Aug 2022 21:14:29 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1659489261; bh=YtWfI1LGvGfe2blnW51UDLWBHvrXlra0Pkv5pMVxRPA=;
 h=From:To:Cc:Subject:References:Date:In-Reply-To:From:Subject:Reply-To;
 b=DPZ35VGiPeT6/N35GhODAd/ZeVqfEtGQg2ra4OlfHZJjkvEPcLte8RWoo5FVRocKJHHd1gTfFrDn2/OYjsLEOVhgIqlDO0yiSOSld3cRTaD1xYYKr+5h9t2UKbdi2eSjo5EDaK1XLoa1MxzmO1FqVZFcz7P33ffRX+N4CgaSlnW8IFhRSbbj7guBhdTLAokdrpQ07jArU11+s47gJmpMH0oKLAnpqu+Ub5fXLTVzrAkX4cUbzxG1TdAiImrZ20lyKb9CZzXNf7mDvoVeakxa8KJ7qLzlb2soQF8DJlypj2yME2bfUufLOZM23/m0ywVmY3Kz1wqZYTsbn+rM6bCbAw==
X-SONIC-DKIM-SIGN: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1659489261; bh=KSrQtcyvUf02wlBDLHTjm+9QLBlnA6Q4rJn5JFpmJ6L=;
 h=X-Sonic-MF:From:To:Subject:Date:From:Subject;
 b=DTLMIpDHsnIjf2cVQyFWr6vhtjB9IxHJSj8ImHUdosfwW69eoe5Pi4JoLv25e8pcag/IZC7Bo7MXgf3sy3IV+8VamojXP6Kc8E6s9liX2vG8zpX1iSDAQAC2sNOSRcCn85Ab7CntjcAQCwlUrDIftE8ke33I4zwdGRnonhERdDEfj63RmxTwJtyvpUvGT2yd0MEB8BhOdcLoCxdeLJvTpWAKlmpD/lUQVEbkU8yY0igOZ8FwZG+kq8rfyGwoKLhr+jHF49w6gq+za1/udoZ5/DvLG/pLwBnhK7lY1MNNNSU23M7MQwwlYUf3mCKtMQ5Y2buy4WSyjZUxx4BKDPa7Dg==
X-YMail-OSG: X6IXdaQVM1lPQbkb1KmkJe75PFO4CG4G0dhCVtt8LTcPelUU_ASpbToPDy.UxIl
 iZPyN1uPvUZAR2J8_VX2CyE7NSqKoXrw1qDFxg6rjKywjKv5z6_f3xdJ12_4FrTBsEn.dGjTkNPm
 7rn4_a32mSldGt0iEg7yjf2oSjD.qKb5X_QQ4q1UwLBEk5JJmueOWR_gAdn7ujZTgTp6BQfFIexf
 KbdAvIjRYVR0jF84N22qQvRp2dhOWmkhUxRlE9blsm4NfLfrHAZUJy0lBvw2lQg2EjdILq2YkMaW
 2UaMCU7BG4qiq9yIM4JbHfx3RAs7LzMP1o2f6mPqkQWo2JITDVI6u3ZkPWKbxAzlZJ27DlSX.VZP
 ztuaE4.xtTRBilt03eM91Qeh.AeBDyhW3ejgtgNOCyMZXHK5y55gavnkhyONso2jfewT.zjv0auh
 Q1JsZjVIfrimJzAHaCeQSML2zDh7oUTT3dQf_ln8HrJCdTjBUPd70TJ7IkGaZmOfyslqlSfWCnz.
 ANrJNBo7OCLjy_Ppm9G4GlqvgxNfBb4b7YOuTilDYHphekBEqu3FSCmo1bmr6I4qzi5BukrWaBu5
 iZFA4wOm0ZM3TlofQr9lvijYQgLiGy4twBx3gjmUibVx.Dn5qj_bb0nekZtu3gMcK3VLTcIh6Qa7
 eptrlp4IuA1olChmJw_oPZXzvUXLzMUcDjMZJQEiXD.E5pvreu44fE_G.v.7FxHFavgv2VG75wVN
 bnPslHIukM6Tnu6g581cnIDvSNfK5EDcxUNNtH9Xp3qFsP3q8HlQ4nt2bRqCCksFXsPyc04c4qWE
 mxsEQkpfgdsvGZojF4fIIv2Z8XUmtmp4507KVDu2LmgfubBY0W62yIOrzpL5hO5DAw_uiRw.Y3yD
 8hqjWwZ8n0i8i8OZT0BZGk6LDaR7so4hELzGi5nAedVhYm2hBKngd8a4GjyLgi1HmBfnArqvWULo
 4X4.8C5x.BPjEjltxID4x9FDnP3b.xmI06iEX9EnkXx1.5xf.edD_93bAXslV5R5Nb86hQcOWbB9
 acAagvmZEps02a81NCWY2gO6AzK4.xkESK1oV5Vd80ftJTZDA5ap4L3r4DnKJj36BuI3sQiWFdLH
 nwd6Hz14y.88WosDd7jKZDX0SgXuin7GBqmFlwqvaq1ljWGtauIBfVYAHGpYFIJGiJSfkaQEYQpD
 Z1cNVqOp6rDTfF5B5ggegsa5goVyC7cjXaFVVfQr6sHjq_pfOJNqR_7dzE_mDZTFPGoCVGunIOsT
 zSzOp2Mmn810M5F8woo3I40IwZxYmE1azdPaYC_qNZ6AxmJcNisrZ_pEFpvDTePGltldCXPIoO62
 G9ErEz4bjQ1.hvkFrcDJhOrtdt87LLge8CnnldIVbdQDe4IhXdCtRYjcSJ8xwW8pGU8H5VEtXlVE
 PcXUJ7IaZ8v_U8SrE5Dg4cVmBm0kXCAPL9ym2e_hFr6KDI8DVlps0BIIS5OWF2BtjpqeJjhDGx58
 RmyFY7H2ixJHySymKcefn2.RW2aGWIsRy9x_goz1ODvFfVqcEbzvpZGEQrxWT4bH6FnlgllJ9M9l
 XYIHX1JahDQ.mOPtuqGAVceh1pHBr5LAETSImnj9O_ZyOKwYWen0VSJrLz2kjN6IkqSdy1KAwAaI
 KDqTmZGg31AGn.QtPJBzuQRhrDOtPiX9k08V6Zgf3RHF7k_1o0RtVvv3smI_2bXxT3r6mvGvkhha
 4IZSkpPrCCg3oiWjxdNX6IjqpGSgXWRu3eoHGI6WsC0hPFxfucGYtE2DIz435VNrf1cz6UvP8f1M
 9VvMNXqtCBCY.GsJm7DEZfFc7GkSNzYMfnrJXX2dxxSjLBRdX_1RDQOaxJ0eDH7n3zVlAbHC2rGt
 MHlfLQxHZ4au5b.swXVvLYCqyjj0dsFhFG3qrEyM3sKJzx.GND4So99ipCjUnAYlODk_FFEintVH
 pt1fXzkHA49aEvD_cXnaC_Pzt0uOJ4ck.8_RsVTMGWadupHO4QPqJ7ak6zk6kxMKN7T00roLAqV.
 ImpwoCoIwh0Zl2CJFa001KHj3BZKdYB7Z4uQjwHTnc5Wtani1UsRBz7uGSkldFK_.h1zq6FMhSwB
 H7bjP_RjYxF0zW5KjXAAbUebi7KJptnR.Tzno5Qba0mYAt5WrVNaj4dWRP.u0Lw0PDokebpdFiTb
 aM3MO4eCVLC7D_X9hyWuq19bHHcGEBYhtVR13_ClmF47P1V5kx_FEUY9CPsME0Hu9odI6hlNhkVe
 bz00lussqXWrm3I5HzvPvYt2Sx7Wd_4_S_l9UDcRliMC5pGtaJrGW2A--
X-Sonic-MF: <luangruo@HIDDEN>
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic302.consmr.mail.ne1.yahoo.com with HTTP; Wed, 3 Aug 2022 01:14:21 +0000
Received: by hermes--canary-production-sg3-854c886654-qwxz7 (Yahoo Inc. Hermes
 SMTP Server) with ESMTPA ID bf3c4233f28bf1f8704c587af8070f92; 
 Wed, 03 Aug 2022 01:14:14 +0000 (UTC)
From: Po Lu <luangruo@HIDDEN>
To: Joe Corneli <joseph.corneli@HIDDEN>
Subject: Re: bug#56869: 29.0.50; segfault, "assertion 'GDK_IS_DEVICE
 (device)' failed"
References: <87sfmgjelt.fsf@Proteus> <87a68nfnp4.fsf@HIDDEN>
 <87bkt24tng.fsf@Proteus> <87zggmcxpb.fsf@Proteus>
Date: Wed, 03 Aug 2022 09:14:08 +0800
In-Reply-To: <87zggmcxpb.fsf@Proteus> (Joe Corneli's message of "Tue, 02 Aug
 2022 19:22:24 +0100")
Message-ID: <875yjadt7j.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.91 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Mailer: WebService/1.1.20491
 mail.backend.jedi.jws.acl:role.jedi.acl.token.atz.jws.hermes.yahoo
Content-Length: 753
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 56869
Cc: 56869 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Joe Corneli <joseph.corneli@HIDDEN> writes:

>> I=E2=80=99ve tried running things like this:
>>
>> joe@Proteus:~/emacs$ export GDK_DEBUG=3Devents
>> joe@Proteus:~/emacs$ export GTK_DEBUG=3Dmisc
>> joe@Proteus:~/emacs$ emacs &
>>
>> (I tried with the "all" option, but it slowed Emacs down too much.)
>
> Now got these messages out, leading up to and just before the crash.
> I=E2=80=99m not sure what can be learned from this, so I pasted a lot of =
mostly
> repetitive context.

I'm sorry, but those trace messages don't really help.  Please install
the debugging symbols for GDK (usually available in a separate
"debuginfo" package repository on GNU/Linux systems), so we can find out
exactly what event is causing the crash.

Thanks.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#56869; Package emacs. Full text available.

Message received at 56869 <at> debbugs.gnu.org:


Received: (at 56869) by debbugs.gnu.org; 2 Aug 2022 18:22:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Aug 02 14:22:39 2022
Received: from localhost ([127.0.0.1]:45037 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oIwXO-0005rL-37
	for submit <at> debbugs.gnu.org; Tue, 02 Aug 2022 14:22:39 -0400
Received: from box.hyperreal.enterprises ([85.159.211.210]:52047)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <joseph.corneli@HIDDEN>)
 id 1oIwXL-0005r8-AX
 for 56869 <at> debbugs.gnu.org; Tue, 02 Aug 2022 14:22:37 -0400
Received: from authenticated-user (box.hyperreal.enterprises [85.159.211.210])
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits))
 (No client certificate requested)
 by box.hyperreal.enterprises (Postfix) with ESMTPSA id 151534ADB5;
 Tue,  2 Aug 2022 19:22:27 +0100 (BST)
DKIM-Signature: v=1; a=rsa-sha256; c=simple/simple; d=hyperreal.enterprises;
 s=mail; t=1659464548;
 bh=UFPez3uw4RQ5fvWtdsptiVTTrFSYk4+jNR6yGmXypRw=;
 h=References:From:To:Cc:Subject:In-reply-to:Date:From;
 b=JjCFb4oa3+f3WSNi4vRZIQZ+lpb3vPW8kv+ePDbVNyDBor5PUEHASOIkQmxcw58tK
 og7Vq37QFUf0nETmI/l7m382wgcMQQvoSsbvtbxeiPjO3iaC270g48xELm5f0yqlpn
 3L7RDW/VRRWMhZjlo4yn56K3P4HLvNnFjzNUfOgRhwzy26emC40zwM8ZFtdQyvTHp8
 P+Nx02GnIVo0iL/qcNvNllB1hNnFpfVhhz67PRE5/6xjSBSQu95LumNa8ya3T6vmXP
 ZwzQbcJ9j5HzyCoeJJ74XgJDfCVhQIkbT4DSD4/XZA4mAKYRjUVAFUAREwctsYysq5
 9QXlsqNkgdY8A==
References: <87sfmgjelt.fsf@Proteus> <87a68nfnp4.fsf@HIDDEN>
 <87bkt24tng.fsf@Proteus>
From: Joe Corneli <joseph.corneli@HIDDEN>
To: Po Lu <luangruo@HIDDEN>
Subject: Re: bug#56869: 29.0.50; segfault, "assertion 'GDK_IS_DEVICE
 (device)' failed"
In-reply-to: <87bkt24tng.fsf@Proteus>
Date: Tue, 02 Aug 2022 19:22:24 +0100
Message-ID: <87zggmcxpb.fsf@Proteus>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 56869
Cc: 56869 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

> I=E2=80=99ve tried running things like this:
>
> joe@Proteus:~/emacs$ export GDK_DEBUG=3Devents
> joe@Proteus:~/emacs$ export GTK_DEBUG=3Dmisc
> joe@Proteus:~/emacs$ emacs &
>
> (I tried with the "all" option, but it slowed Emacs down too much.)

Now got these messages out, leading up to and just before the crash.
I=E2=80=99m not sure what can be learned from this, so I pasted a lot of mo=
stly
repetitive context.

...
Gdk-Message: 18:00:01.158: property notify:	window: 27263299, atom(373): "_=
NET_WM_ICON"
Gdk-Message: 18:00:01.158: property notify:	window: 27263299, atom(35): "WM=
_HINTS"
Gdk-Message: 18:00:01.158: property notify:	window: 27263299, atom(375): "_=
NET_WM_NAME"
Gdk-Message: 18:00:01.158: property notify:	window: 27263299, atom(39): "WM=
_NAME"
Gdk-Message: 18:00:01.158: property notify:	window: 27263299, atom(374): "_=
NET_WM_ICON_NAME"
Gdk-Message: 18:00:01.158: property notify:	window: 27263299, atom(37): "WM=
_ICON_NAME"
Gdk-Message: 18:00:01.158: property notify:	window: 27263299, atom(37): "WM=
_ICON_NAME"
Gdk-Message: 18:00:01.158: property notify:	window: 27263299, atom(374): "_=
NET_WM_ICON_NAME"
Gdk-Message: 18:00:01.161: configure notify:	window: 27263299  x,y: 5 5	w,h=
: 952 1046  b-w: 0  above: 0	 ovr: 0
Gdk-Message: 18:00:02.375: property notify:	window: 27263299, atom(373): "_=
NET_WM_ICON"
Gdk-Message: 18:00:02.375: property notify:	window: 27263299, atom(35): "WM=
_HINTS"
Gdk-Message: 18:00:03.048: property notify:	window: 27263299, atom(375): "_=
NET_WM_NAME"
Gdk-Message: 18:00:03.048: property notify:	window: 27263299, atom(39): "WM=
_NAME"
Gdk-Message: 18:00:03.048: property notify:	window: 27263299, atom(374): "_=
NET_WM_ICON_NAME"
Gdk-Message: 18:00:03.048: property notify:	window: 27263299, atom(37): "WM=
_ICON_NAME"
Gdk-Message: 18:00:03.048: property notify:	window: 27263299, atom(37): "WM=
_ICON_NAME"
Gdk-Message: 18:00:03.048: property notify:	window: 27263299, atom(374): "_=
NET_WM_ICON_NAME"
Gdk-Message: 18:00:04.781: property notify:	window: 27263299, atom(375): "_=
NET_WM_NAME"
Gdk-Message: 18:00:04.781: property notify:	window: 27263299, atom(39): "WM=
_NAME"
Gdk-Message: 18:00:04.781: property notify:	window: 27263299, atom(374): "_=
NET_WM_ICON_NAME"
Gdk-Message: 18:00:04.781: property notify:	window: 27263299, atom(37): "WM=
_ICON_NAME"
Gdk-Message: 18:00:04.781: property notify:	window: 27263299, atom(37): "WM=
_ICON_NAME"
Gdk-Message: 18:00:04.781: property notify:	window: 27263299, atom(374): "_=
NET_WM_ICON_NAME"
Gdk-Message: 18:00:10.965: property notify:	window: 27263299, atom(373): "_=
NET_WM_ICON"
Gdk-Message: 18:00:10.966: property notify:	window: 27263299, atom(35): "WM=
_HINTS"
Gdk-Message: 18:00:11.013: property notify:	window: 27263299, atom(373): "_=
NET_WM_ICON"
Gdk-Message: 18:00:11.013: property notify:	window: 27263299, atom(35): "WM=
_HINTS"
Gdk-Message: 18:00:11.013: property notify:	window: 27263299, atom(375): "_=
NET_WM_NAME"
Gdk-Message: 18:00:11.013: property notify:	window: 27263299, atom(39): "WM=
_NAME"
Gdk-Message: 18:00:11.013: property notify:	window: 27263299, atom(374): "_=
NET_WM_ICON_NAME"
Gdk-Message: 18:00:11.013: property notify:	window: 27263299, atom(37): "WM=
_ICON_NAME"
Gdk-Message: 18:00:11.013: property notify:	window: 27263299, atom(37): "WM=
_ICON_NAME"
Gdk-Message: 18:00:11.013: property notify:	window: 27263299, atom(374): "_=
NET_WM_ICON_NAME"
Gdk-Message: 18:00:11.750: property notify:	window: 27263299, atom(373): "_=
NET_WM_ICON"
Gdk-Message: 18:00:11.751: property notify:	window: 27263299, atom(35): "WM=
_HINTS"
Gdk-Message: 18:00:11.753: configure notify:	window: 27263299  x,y: 5 5	w,h=
: 952 1046  b-w: 0  above: 0	 ovr: 0
Gdk-Message: 18:00:11.832: property notify:	window: 27263299, atom(375): "_=
NET_WM_NAME"
Gdk-Message: 18:00:11.832: property notify:	window: 27263299, atom(39): "WM=
_NAME"
Gdk-Message: 18:00:11.832: property notify:	window: 27263299, atom(374): "_=
NET_WM_ICON_NAME"
Gdk-Message: 18:00:11.832: property notify:	window: 27263299, atom(37): "WM=
_ICON_NAME"
Gdk-Message: 18:00:11.832: property notify:	window: 27263299, atom(37): "WM=
_ICON_NAME"
Gdk-Message: 18:00:11.832: property notify:	window: 27263299, atom(374): "_=
NET_WM_ICON_NAME"
Gdk-Message: 18:00:15.360: property notify:	window: 27263299, atom(373): "_=
NET_WM_ICON"
Gdk-Message: 18:00:15.361: property notify:	window: 27263299, atom(35): "WM=
_HINTS"
Gdk-Message: 18:01:15.842: focus out:		window: 27263299, detail: NotifyAnce=
stor, mode: NotifyGrab
Gdk-Message: 18:01:15.842: focus out:		window: 27263299, detail: NotifyNonl=
inear, mode: NotifyWhileGrabbed
Gdk-Message: 18:01:15.843: property notify:	window: 27263299, atom(378): "_=
NET_WM_STATE"
Gdk-Message: 18:01:15.843: property notify:	window: 27263299, atom(453): "W=
M_STATE"
Gdk-Message: 18:01:45.371: property notify:	window: 27263299, atom(453): "W=
M_STATE"
Gdk-Message: 18:01:45.371: visibility notify:	window: 27263299	 full
Gdk-Message: 18:01:45.409: expose:		window: 27263303  0	x,y: 0 0  w,h: 952 =
1046
Gdk-Message: 18:01:45.409: enter notify:	window 27263299
	subwindow:0
	device: 2
	source device: 2
	notify type: 4
	crossing mode: 0
Gdk-Message: 18:01:45.409: enter notify:	window 27263303
	subwindow:0
	device: 2
	source device: 2
	notify type: 3
	crossing mode: 0
Gdk-Message: 18:01:45.411: focus out:		window: 27263299, detail: NotifyNonl=
inear, mode: NotifyWhileGrabbed
Gdk-Message: 18:01:45.411: property notify:	window: 27263299, atom(378): "_=
NET_WM_STATE"
Gdk-Message: 18:01:45.411: property notify:	window: 27264399, atom(68): "WM=
_TRANSIENT_FOR"
Gdk-Message: 18:01:45.466: focus out:		window: 27263299, detail: NotifyAnce=
stor, mode: NotifyUngrab
Gdk-Message: 18:01:47.693: leave notify:	window 27263303
	subwindow:0
	device: 2
	source device: 12
	notify type: 0
	crossing mode: 0
Gdk-Message: 18:01:47.693: leave notify:	window 27263299
	subwindow:0
	device: 2
	source device: 12
	notify type: 1
	crossing mode: 0
Gdk-Message: 18:01:47.693: property notify:	window: 27264399, atom(68): "WM=
_TRANSIENT_FOR"
Gdk-Message: 18:02:16.839: focus out:		window: 27263299, detail: NotifyAnce=
stor, mode: NotifyGrab
Gdk-Message: 18:02:16.854: focus out:		window: 27263299, detail: NotifyNonl=
inear, mode: NotifyWhileGrabbed
Gdk-Message: 18:02:16.856: property notify:	window: 27263299, atom(378): "_=
NET_WM_STATE"
Gdk-Message: 18:02:16.856: property notify:	window: 27263299, atom(453): "W=
M_STATE"
Gdk-Message: 18:02:24.691: property notify:	window: 27263299, atom(372): "_=
NET_WM_DESKTOP"
Gdk-Message: 18:07:44.213: property notify:	window: 27263299, atom(453): "W=
M_STATE"
Gdk-Message: 18:07:44.213: visibility notify:	window: 27263299	 full
Gdk-Message: 18:07:44.213: visibility notify:	window: 27263303	 full
Gdk-Message: 18:07:44.226: expose:		window: 27263303  0	x,y: 0 0  w,h: 952 =
1046
Gdk-Message: 18:07:44.226: enter notify:	window 27263299
	subwindow:0
	device: 2
	source device: 2
	notify type: 1
	crossing mode: 0
Gdk-Message: 18:07:44.227: enter notify:	window 27263303
	subwindow:0
	device: 2
	source device: 2
	notify type: 0
	crossing mode: 0
Gdk-Message: 18:07:44.229: focus out:		window: 27263299, detail: NotifyNonl=
inear, mode: NotifyWhileGrabbed
Gdk-Message: 18:07:44.229: property notify:	window: 27263299, atom(378): "_=
NET_WM_STATE"
Gdk-Message: 18:07:44.229: property notify:	window: 27264399, atom(68): "WM=
_TRANSIENT_FOR"
Gdk-Message: 18:07:44.318: focus out:		window: 27263299, detail: NotifyAnce=
stor, mode: NotifyUngrab
Gdk-Message: 18:07:47.327: leave notify:	window 27263303
	subwindow:0
	device: 2
	source device: 12
	notify type: 0
	crossing mode: 0
Gdk-Message: 18:07:47.327: leave notify:	window 27263299
	subwindow:0
	device: 2
	source device: 12
	notify type: 1
	crossing mode: 0
Gdk-Message: 18:07:47.328: property notify:	window: 27264399, atom(68): "WM=
_TRANSIENT_FOR"
Gdk-Message: 18:07:54.903: focus out:		window: 27263299, detail: NotifyNonl=
inear, mode: NotifyNormal
Gdk-Message: 18:07:54.904: property notify:	window: 27263299, atom(378): "_=
NET_WM_STATE"
Gdk-Message: 18:08:26.175: property notify:	window: 27263299, atom(453): "W=
M_STATE"
Gdk-Message: 18:08:49.392: property notify:	window: 27263299, atom(453): "W=
M_STATE"
Gdk-Message: 18:08:49.392: visibility notify:	window: 27263299	 full
Gdk-Message: 18:08:49.392: visibility notify:	window: 27263303	 full
Gdk-Message: 18:08:49.398: expose:		window: 27263303  0	x,y: 0 0  w,h: 952 =
1046
Gdk-Message: 18:08:50.733: focus out:		window: 27263299, detail: NotifyNonl=
inear, mode: NotifyWhileGrabbed
Gdk-Message: 18:08:50.733: property notify:	window: 27263299, atom(378): "_=
NET_WM_STATE"
Gdk-Message: 18:08:50.813: focus out:		window: 27263299, detail: NotifyAnce=
stor, mode: NotifyUngrab
Gdk-Message: 18:08:51.213: property notify:	window: 27263299, atom(373): "_=
NET_WM_ICON"
Gdk-Message: 18:08:51.214: property notify:	window: 27263299, atom(35): "WM=
_HINTS"
Gdk-Message: 18:08:51.214: property notify:	window: 27263299, atom(373): "_=
NET_WM_ICON"
Gdk-Message: 18:08:51.214: property notify:	window: 27263299, atom(35): "WM=
_HINTS"
Gdk-Message: 18:08:51.228: property notify:	window: 27263299, atom(375): "_=
NET_WM_NAME"
Gdk-Message: 18:08:51.228: property notify:	window: 27263299, atom(39): "WM=
_NAME"
Gdk-Message: 18:08:51.228: property notify:	window: 27263299, atom(374): "_=
NET_WM_ICON_NAME"
Gdk-Message: 18:08:51.228: property notify:	window: 27263299, atom(37): "WM=
_ICON_NAME"
Gdk-Message: 18:08:51.228: property notify:	window: 27263299, atom(37): "WM=
_ICON_NAME"
Gdk-Message: 18:08:51.228: property notify:	window: 27263299, atom(374): "_=
NET_WM_ICON_NAME"
Gdk-Message: 18:08:52.136: property notify:	window: 27263299, atom(373): "_=
NET_WM_ICON"
Gdk-Message: 18:08:52.137: property notify:	window: 27263299, atom(35): "WM=
_HINTS"
Gdk-Message: 18:08:52.137: property notify:	window: 27263299, atom(373): "_=
NET_WM_ICON"
Gdk-Message: 18:08:52.137: property notify:	window: 27263299, atom(35): "WM=
_HINTS"
Gdk-Message: 18:08:52.138: configure notify:	window: 27263299  x,y: 5 5	w,h=
: 952 1046  b-w: 0  above: 0	 ovr: 0
Gdk-Message: 18:08:52.172: property notify:	window: 27263299, atom(375): "_=
NET_WM_NAME"
Gdk-Message: 18:08:52.172: property notify:	window: 27263299, atom(39): "WM=
_NAME"
Gdk-Message: 18:08:52.172: property notify:	window: 27263299, atom(374): "_=
NET_WM_ICON_NAME"
Gdk-Message: 18:08:52.172: property notify:	window: 27263299, atom(37): "WM=
_ICON_NAME"
Gdk-Message: 18:08:52.172: property notify:	window: 27263299, atom(37): "WM=
_ICON_NAME"
Gdk-Message: 18:08:52.172: property notify:	window: 27263299, atom(374): "_=
NET_WM_ICON_NAME"
Gdk-Message: 18:09:04.869: focus out:		window: 27263299, detail: NotifyAnce=
stor, mode: NotifyGrab
Gdk-Message: 18:09:04.872: focus out:		window: 27263299, detail: NotifyNonl=
inear, mode: NotifyWhileGrabbed
Gdk-Message: 18:09:04.872: property notify:	window: 27263299, atom(378): "_=
NET_WM_STATE"
Gdk-Message: 18:09:04.873: property notify:	window: 27263299, atom(453): "W=
M_STATE"
Gdk-Message: 18:09:59.215: selection clear:	window: 27263303
Gdk-Message: 18:09:59.215: selection clear:	window: 27263303
Gdk-Message: 18:10:23.335: property notify:	window: 27263299, atom(453): "W=
M_STATE"
Gdk-Message: 18:10:23.336: visibility notify:	window: 27263299	 full
Gdk-Message: 18:10:23.336: visibility notify:	window: 27263303	 full
Gdk-Message: 18:10:23.368: expose:		window: 27263303  0	x,y: 0 0  w,h: 952 =
1046
Gdk-Message: 18:10:23.370: focus out:		window: 27263299, detail: NotifyNonl=
inear, mode: NotifyWhileGrabbed
Gdk-Message: 18:10:23.371: property notify:	window: 27263299, atom(378): "_=
NET_WM_STATE"
Gdk-Message: 18:10:23.439: focus out:		window: 27263299, detail: NotifyAnce=
stor, mode: NotifyUngrab
Gdk-Message: 18:10:26.426: focus out:		window: 27263299, detail: NotifyAnce=
stor, mode: NotifyGrab
Gdk-Message: 18:10:26.429: focus out:		window: 27263299, detail: NotifyNonl=
inear, mode: NotifyWhileGrabbed
Gdk-Message: 18:10:26.429: property notify:	window: 27263299, atom(378): "_=
NET_WM_STATE"
Gdk-Message: 18:10:26.429: property notify:	window: 27263299, atom(453): "W=
M_STATE"
Gdk-Message: 18:14:18.716: property notify:	window: 27263299, atom(453): "W=
M_STATE"
Gdk-Message: 18:14:18.716: visibility notify:	window: 27263299	 full
Gdk-Message: 18:14:18.716: visibility notify:	window: 27263303	 full
Gdk-Message: 18:14:18.742: expose:		window: 27263303  0	x,y: 0 0  w,h: 952 =
1046
Gdk-Message: 18:14:18.742: enter notify:	window 27263299
	subwindow:0
	device: 2
	source device: 2
	notify type: 1
	crossing mode: 0
Gdk-Message: 18:14:18.743: enter notify:	window 27263303
	subwindow:0
	device: 2
	source device: 2
	notify type: 0
	crossing mode: 0
Gdk-Message: 18:14:18.745: focus out:		window: 27263299, detail: NotifyNonl=
inear, mode: NotifyWhileGrabbed
Gdk-Message: 18:14:18.745: property notify:	window: 27263299, atom(378): "_=
NET_WM_STATE"
Gdk-Message: 18:14:18.746: property notify:	window: 27264399, atom(68): "WM=
_TRANSIENT_FOR"
Gdk-Message: 18:14:18.807: focus out:		window: 27263299, detail: NotifyAnce=
stor, mode: NotifyUngrab
Gdk-Message: 18:14:19.819: focus out:		window: 27263299, detail: NotifyAnce=
stor, mode: NotifyGrab
Gdk-Message: 18:14:19.823: focus out:		window: 27263299, detail: NotifyNonl=
inear, mode: NotifyWhileGrabbed
Gdk-Message: 18:14:19.823: property notify:	window: 27263299, atom(378): "_=
NET_WM_STATE"
Gdk-Message: 18:14:19.894: focus out:		window: 27263303, detail: NotifyPoin=
ter, mode: NotifyUngrab
Gdk-Message: 18:14:19.899: focus out:		window: 27263299, detail: NotifyPoin=
ter, mode: NotifyUngrab
Gdk-Message: 18:14:20.436: focus out:		window: 27263299, detail: NotifyPoin=
ter, mode: NotifyGrab
Gdk-Message: 18:14:20.438: focus out:		window: 27263299, detail: NotifyNonl=
inear, mode: NotifyWhileGrabbed
Gdk-Message: 18:14:20.438: property notify:	window: 27263299, atom(378): "_=
NET_WM_STATE"
Gdk-Message: 18:14:20.535: focus out:		window: 27263299, detail: NotifyAnce=
stor, mode: NotifyUngrab
Gdk-Message: 18:14:21.099: focus out:		window: 27263299, detail: NotifyAnce=
stor, mode: NotifyGrab
Gdk-Message: 18:14:21.100: focus out:		window: 27263299, detail: NotifyNonl=
inear, mode: NotifyWhileGrabbed
Gdk-Message: 18:14:21.100: property notify:	window: 27263299, atom(378): "_=
NET_WM_STATE"
Gdk-Message: 18:14:21.225: focus out:		window: 27263303, detail: NotifyPoin=
ter, mode: NotifyUngrab
Gdk-Message: 18:14:21.225: focus out:		window: 27263299, detail: NotifyPoin=
ter, mode: NotifyUngrab
Gdk-Message: 18:14:24.322: focus out:		window: 27263299, detail: NotifyPoin=
ter, mode: NotifyGrab
Gdk-Message: 18:14:24.323: focus out:		window: 27263299, detail: NotifyNonl=
inear, mode: NotifyWhileGrabbed
Gdk-Message: 18:14:24.323: property notify:	window: 27263299, atom(378): "_=
NET_WM_STATE"
Gdk-Message: 18:14:24.399: focus out:		window: 27263299, detail: NotifyAnce=
stor, mode: NotifyUngrab
Gdk-Message: 18:14:32.103: property notify:	window: 27263299, atom(375): "_=
NET_WM_NAME"
Gdk-Message: 18:14:32.103: property notify:	window: 27263299, atom(39): "WM=
_NAME"
Gdk-Message: 18:14:32.104: property notify:	window: 27263299, atom(374): "_=
NET_WM_ICON_NAME"
Gdk-Message: 18:14:32.104: property notify:	window: 27263299, atom(37): "WM=
_ICON_NAME"
Gdk-Message: 18:14:32.104: property notify:	window: 27263299, atom(37): "WM=
_ICON_NAME"
Gdk-Message: 18:14:32.104: property notify:	window: 27263299, atom(374): "_=
NET_WM_ICON_NAME"
Gdk-Message: 18:14:36.287: focus out:		window: 27263299, detail: NotifyAnce=
stor, mode: NotifyGrab
Gdk-Message: 18:14:36.288: leave notify:	window 27263303
	subwindow:0
	device: 2
	source device: 2
	notify type: 3
	crossing mode: 0
Gdk-Message: 18:14:36.289: leave notify:	window 27263299
	subwindow:0
	device: 2
	source device: 2
	notify type: 4
	crossing mode: 0
Gdk-Message: 18:14:36.290: focus out:		window: 27263299, detail: NotifyNonl=
inear, mode: NotifyWhileGrabbed
Gdk-Message: 18:14:36.291: property notify:	window: 27263299, atom(378): "_=
NET_WM_STATE"
Gdk-Message: 18:14:36.291: property notify:	window: 27263299, atom(453): "W=
M_STATE"
Gdk-Message: 18:14:36.291: property notify:	window: 27264399, atom(68): "WM=
_TRANSIENT_FOR"
Gdk-Message: 18:18:01.167: property notify:	window: 27263299, atom(453): "W=
M_STATE"
Gdk-Message: 18:18:01.167: visibility notify:	window: 27263299	 full
Gdk-Message: 18:18:01.167: visibility notify:	window: 27263303	 full
Gdk-Message: 18:18:01.181: expose:		window: 27263303  0	x,y: 0 0  w,h: 952 =
1046
Gdk-Message: 18:18:01.184: focus out:		window: 27263299, detail: NotifyNonl=
inear, mode: NotifyWhileGrabbed
Gdk-Message: 18:18:01.184: property notify:	window: 27263299, atom(378): "_=
NET_WM_STATE"
Gdk-Message: 18:18:01.257: focus out:		window: 27263299, detail: NotifyAnce=
stor, mode: NotifyUngrab
Gdk-Message: 18:18:02.325: property notify:	window: 27263299, atom(373): "_=
NET_WM_ICON"
Gdk-Message: 18:18:02.327: property notify:	window: 27263299, atom(35): "WM=
_HINTS"
Gdk-Message: 18:18:02.365: property notify:	window: 27263299, atom(373): "_=
NET_WM_ICON"
Gdk-Message: 18:18:02.365: property notify:	window: 27263299, atom(35): "WM=
_HINTS"
Gdk-Message: 18:18:02.365: property notify:	window: 27263299, atom(375): "_=
NET_WM_NAME"
Gdk-Message: 18:18:02.365: property notify:	window: 27263299, atom(39): "WM=
_NAME"
Gdk-Message: 18:18:02.365: property notify:	window: 27263299, atom(374): "_=
NET_WM_ICON_NAME"
Gdk-Message: 18:18:02.365: property notify:	window: 27263299, atom(37): "WM=
_ICON_NAME"
Gdk-Message: 18:18:02.365: property notify:	window: 27263299, atom(37): "WM=
_ICON_NAME"
Gdk-Message: 18:18:02.365: property notify:	window: 27263299, atom(374): "_=
NET_WM_ICON_NAME"
Gdk-Message: 18:18:03.340: property notify:	window: 27263299, atom(373): "_=
NET_WM_ICON"
Gdk-Message: 18:18:03.340: property notify:	window: 27263299, atom(35): "WM=
_HINTS"
Gdk-Message: 18:18:03.340: property notify:	window: 27263299, atom(375): "_=
NET_WM_NAME"
Gdk-Message: 18:18:03.340: property notify:	window: 27263299, atom(39): "WM=
_NAME"
Gdk-Message: 18:18:03.340: property notify:	window: 27263299, atom(374): "_=
NET_WM_ICON_NAME"
Gdk-Message: 18:18:03.340: property notify:	window: 27263299, atom(37): "WM=
_ICON_NAME"
Gdk-Message: 18:18:03.340: property notify:	window: 27263299, atom(37): "WM=
_ICON_NAME"
Gdk-Message: 18:18:03.340: property notify:	window: 27263299, atom(374): "_=
NET_WM_ICON_NAME"
Gdk-Message: 18:18:03.341: configure notify:	window: 27263299  x,y: 5 5	w,h=
: 952 1046  b-w: 0  above: 0	 ovr: 0
Gdk-Message: 18:18:04.176: property notify:	window: 27263299, atom(375): "_=
NET_WM_NAME"
Gdk-Message: 18:18:04.176: property notify:	window: 27263299, atom(39): "WM=
_NAME"
Gdk-Message: 18:18:04.176: property notify:	window: 27263299, atom(374): "_=
NET_WM_ICON_NAME"
Gdk-Message: 18:18:04.176: property notify:	window: 27263299, atom(37): "WM=
_ICON_NAME"
Gdk-Message: 18:18:04.176: property notify:	window: 27263299, atom(37): "WM=
_ICON_NAME"
Gdk-Message: 18:18:04.176: property notify:	window: 27263299, atom(374): "_=
NET_WM_ICON_NAME"
Gdk-Message: 18:18:07.028: focus out:		window: 27263299, detail: NotifyAnce=
stor, mode: NotifyGrab
Gdk-Message: 18:18:07.030: focus out:		window: 27263299, detail: NotifyNonl=
inear, mode: NotifyWhileGrabbed
Gdk-Message: 18:18:07.031: property notify:	window: 27263299, atom(378): "_=
NET_WM_STATE"
Gdk-Message: 18:18:07.031: property notify:	window: 27263299, atom(453): "W=
M_STATE"
Gdk-Message: 18:27:06.325: property notify:	window: 27263299, atom(453): "W=
M_STATE"
Gdk-Message: 18:27:06.325: visibility notify:	window: 27263299	 full
Gdk-Message: 18:27:06.325: visibility notify:	window: 27263303	 full
Gdk-Message: 18:27:06.351: expose:		window: 27263303  0	x,y: 0 0  w,h: 952 =
1046
Gdk-Message: 18:27:06.353: focus out:		window: 27263299, detail: NotifyNonl=
inear, mode: NotifyWhileGrabbed
Gdk-Message: 18:27:06.353: property notify:	window: 27263299, atom(378): "_=
NET_WM_STATE"
Gdk-Message: 18:27:06.490: focus out:		window: 27263299, detail: NotifyAnce=
stor, mode: NotifyUngrab
Gdk-Message: 18:27:08.255: enter notify:	window 27263299
	subwindow:0
	device: 2
	source device: 12
	notify type: 4
	crossing mode: 0
Gdk-Message: 18:27:08.255: enter notify:	window 27263303
	subwindow:0
	device: 2
	source device: 12
	notify type: 3
	crossing mode: 0
Gdk-Message: 18:27:08.255: property notify:	window: 27264399, atom(68): "WM=
_TRANSIENT_FOR"
Gdk-Message: 18:27:08.396: leave notify:	window 27263303
	subwindow:0
	device: 2
	source device: 12
	notify type: 3
	crossing mode: 0
Gdk-Message: 18:27:08.396: leave notify:	window 27263299
	subwindow:0
	device: 2
	source device: 12
	notify type: 4
	crossing mode: 0
Gdk-Message: 18:27:08.396: property notify:	window: 27264399, atom(68): "WM=
_TRANSIENT_FOR"
Gdk-Message: 18:27:08.903: focus out:		window: 27263299, detail: NotifyNonl=
inear, mode: NotifyNormal
Gdk-Message: 18:27:08.904: property notify:	window: 27263299, atom(378): "_=
NET_WM_STATE"
Gdk-Message: 18:28:08.275: property notify:	window: 27263299, atom(453): "W=
M_STATE"
Gdk-Message: 18:39:32.409: property notify:	window: 27263299, atom(453): "W=
M_STATE"
Gdk-Message: 18:39:32.409: visibility notify:	window: 27263299	 full
Gdk-Message: 18:39:32.409: visibility notify:	window: 27263303	 full
Gdk-Message: 18:39:32.420: expose:		window: 27263303  0	x,y: 0 0  w,h: 952 =
1046
Gdk-Message: 18:39:32.420: enter notify:	window 27263299
	subwindow:0
	device: 2
	source device: 2
	notify type: 4
	crossing mode: 0
Gdk-Message: 18:39:32.421: enter notify:	window 27263303
	subwindow:0
	device: 2
	source device: 2
	notify type: 3
	crossing mode: 0
Gdk-Message: 18:39:32.422: property notify:	window: 27264399, atom(68): "WM=
_TRANSIENT_FOR"
Gdk-Message: 18:39:32.525: focus out:		window: 27263303, detail: NotifyPoin=
ter, mode: NotifyUngrab
Gdk-Message: 18:39:32.526: focus out:		window: 27263299, detail: NotifyPoin=
ter, mode: NotifyUngrab
Gdk-Message: 18:39:36.124: leave notify:	window 27263303
	subwindow:0
	device: 2
	source device: 12
	notify type: 3
	crossing mode: 0
Gdk-Message: 18:39:36.124: leave notify:	window 27263299
	subwindow:0
	device: 2
	source device: 12
	notify type: 4
	crossing mode: 0
Gdk-Message: 18:39:36.124: property notify:	window: 27264399, atom(68): "WM=
_TRANSIENT_FOR"
Gdk-Message: 18:40:09.135: property notify:	window: 27263299, atom(453): "W=
M_STATE"
Gdk-Message: 18:46:20.585: property notify:	window: 27263299, atom(453): "W=
M_STATE"
Gdk-Message: 18:46:20.585: visibility notify:	window: 27263299	 full
Gdk-Message: 18:46:20.585: visibility notify:	window: 27263303	 full
Gdk-Message: 18:46:20.623: expose:		window: 27263303  0	x,y: 0 0  w,h: 952 =
1046
Gdk-Message: 18:46:20.623: enter notify:	window 27263299
	subwindow:0
	device: 2
	source device: 2
	notify type: 4
	crossing mode: 0
Gdk-Message: 18:46:20.624: enter notify:	window 27263303
	subwindow:0
	device: 2
	source device: 2
	notify type: 3
	crossing mode: 0
Gdk-Message: 18:46:20.626: property notify:	window: 27264399, atom(68): "WM=
_TRANSIENT_FOR"
Gdk-Message: 18:46:20.698: focus out:		window: 27263303, detail: NotifyPoin=
ter, mode: NotifyUngrab
Gdk-Message: 18:46:20.698: focus out:		window: 27263299, detail: NotifyPoin=
ter, mode: NotifyUngrab
Gdk-Message: 18:46:21.055: focus out:		window: 27263299, detail: NotifyPoin=
ter, mode: NotifyGrab
Gdk-Message: 18:46:21.055: leave notify:	window 27263303
	subwindow:0
	device: 2
	source device: 2
	notify type: 3
	crossing mode: 0
Gdk-Message: 18:46:21.055: leave notify:	window 27263299
	subwindow:0
	device: 2
	source device: 2
	notify type: 4
	crossing mode: 0
Gdk-Message: 18:46:21.055: property notify:	window: 27263299, atom(453): "W=
M_STATE"
Gdk-Message: 18:46:21.056: property notify:	window: 27264399, atom(68): "WM=
_TRANSIENT_FOR"
Gdk-Message: 19:06:47.648: property notify:	window: 27263299, atom(453): "W=
M_STATE"
Gdk-Message: 19:06:47.648: visibility notify:	window: 27263299	 full
Gdk-Message: 19:06:47.648: visibility notify:	window: 27263303	 full
Gdk-Message: 19:06:47.660: expose:		window: 27263303  0	x,y: 0 0  w,h: 952 =
1046
Gdk-Message: 19:06:47.660: enter notify:	window 27263299
	subwindow:0
	device: 2
	source device: 2
	notify type: 4
	crossing mode: 0
Gdk-Message: 19:06:47.661: enter notify:	window 27263303
	subwindow:0
	device: 2
	source device: 2
	notify type: 3
	crossing mode: 0
Gdk-Message: 19:06:47.774: focus out:		window: 27263303, detail: NotifyPoin=
ter, mode: NotifyUngrab
Gdk-Message: 19:06:47.775: focus out:		window: 27263299, detail: NotifyPoin=
ter, mode: NotifyUngrab
Gdk-Message: 19:06:48.310: focus out:		window: 27263299, detail: NotifyPoin=
ter, mode: NotifyGrab
Gdk-Message: 19:06:48.310: leave notify:	window 27263303
	subwindow:0
	device: 2
	source device: 2
	notify type: 3
	crossing mode: 0
Gdk-Message: 19:06:48.310: leave notify:	window 27263299
	subwindow:0
	device: 2
	source device: 2
	notify type: 4
	crossing mode: 0
Gdk-Message: 19:06:48.311: property notify:	window: 27263299, atom(453): "W=
M_STATE"
Gdk-Message: 19:08:07.057: property notify:	window: 27263299, atom(453): "W=
M_STATE"
Gdk-Message: 19:08:07.057: visibility notify:	window: 27263299	 full
Gdk-Message: 19:08:07.058: visibility notify:	window: 27263303	 full
Gdk-Message: 19:08:07.073: expose:		window: 27263303  0	x,y: 0 0  w,h: 952 =
1046
Gdk-Message: 19:08:07.073: enter notify:	window 27263299
	subwindow:0
	device: 2
	source device: 2
	notify type: 4
	crossing mode: 0
Gdk-Message: 19:08:07.074: enter notify:	window 27263303
	subwindow:0
	device: 2
	source device: 2
	notify type: 3
	crossing mode: 0
Gdk-Message: 19:08:07.237: focus out:		window: 27263303, detail: NotifyPoin=
ter, mode: NotifyUngrab
Gdk-Message: 19:08:07.237: focus out:		window: 27263299, detail: NotifyPoin=
ter, mode: NotifyUngrab
Gdk-Message: 19:08:07.507: focus out:		window: 27263299, detail: NotifyPoin=
ter, mode: NotifyGrab
Gdk-Message: 19:08:07.507: leave notify:	window 27263303
	subwindow:0
	device: 2
	source device: 2
	notify type: 3
	crossing mode: 0
Gdk-Message: 19:08:07.507: leave notify:	window 27263299
	subwindow:0
	device: 2
	source device: 2
	notify type: 4
	crossing mode: 0
Gdk-Message: 19:08:07.508: property notify:	window: 27263299, atom(453): "W=
M_STATE"
Gdk-Message: 19:08:11.169: property notify:	window: 27263299, atom(453): "W=
M_STATE"
Gdk-Message: 19:08:11.169: visibility notify:	window: 27263299	 full
Gdk-Message: 19:08:11.169: visibility notify:	window: 27263303	 full
Gdk-Message: 19:08:11.204: expose:		window: 27263303  0	x,y: 0 0  w,h: 952 =
1046
Gdk-Message: 19:08:11.204: enter notify:	window 27263299
	subwindow:0
	device: 2
	source device: 2
	notify type: 4
	crossing mode: 0
Gdk-Message: 19:08:11.205: enter notify:	window 27263303
	subwindow:0
	device: 2
	source device: 2
	notify type: 3
	crossing mode: 0
Gdk-Message: 19:08:11.336: focus out:		window: 27263303, detail: NotifyPoin=
ter, mode: NotifyUngrab
Gdk-Message: 19:08:11.336: focus out:		window: 27263299, detail: NotifyPoin=
ter, mode: NotifyUngrab
Gdk-Message: 19:08:11.660: focus out:		window: 27263299, detail: NotifyPoin=
ter, mode: NotifyGrab
Gdk-Message: 19:08:11.660: leave notify:	window 27263303
	subwindow:0
	device: 2
	source device: 2
	notify type: 3
	crossing mode: 0
Gdk-Message: 19:08:11.660: leave notify:	window 27263299
	subwindow:0
	device: 2
	source device: 2
	notify type: 4
	crossing mode: 0
Gdk-Message: 19:08:11.660: property notify:	window: 27263299, atom(453): "W=
M_STATE"
Gdk-Message: 19:12:39.249: property notify:	window: 27263299, atom(453): "W=
M_STATE"
Gdk-Message: 19:12:39.249: visibility notify:	window: 27263299	 full
Gdk-Message: 19:12:39.249: visibility notify:	window: 27263303	 full
Gdk-Message: 19:12:39.256: expose:		window: 27263303  0	x,y: 0 0  w,h: 952 =
1046
Gdk-Message: 19:12:41.950: focus out:		window: 27263299, detail: NotifyNonl=
inear, mode: NotifyWhileGrabbed
Gdk-Message: 19:12:41.950: property notify:	window: 27263299, atom(378): "_=
NET_WM_STATE"
Gdk-Message: 19:12:42.067: focus out:		window: 27263299, detail: NotifyAnce=
stor, mode: NotifyUngrab
Gdk-Message: 19:12:43.752: enter notify:	window 27263299
	subwindow:0
	device: 2
	source device: 12
	notify type: 4
	crossing mode: 0
Gdk-Message: 19:12:43.752: enter notify:	window 27263303
	subwindow:0
	device: 2
	source device: 12
	notify type: 3
	crossing mode: 0
Gdk-Message: 19:12:43.752: property notify:	window: 27264399, atom(68): "WM=
_TRANSIENT_FOR"
Gdk-Message: 19:12:44.308: leave notify:	window 27263303
	subwindow:0
	device: 2
	source device: 2
	notify type: 0
	crossing mode: 1
Gdk-Message: 19:12:44.308: enter notify:	window 27263299
	subwindow:0
	device: 2
	source device: 2
	notify type: 2
	crossing mode: 1
Gdk-Message: 19:12:44.308: leave notify:	window 27263299
	subwindow:0
	device: 2
	source device: 2
	notify type: 2
	crossing mode: 2
Gdk-Message: 19:12:44.308: enter notify:	window 27263303
	subwindow:0
	device: 2
	source device: 2
	notify type: 0
	crossing mode: 2
Gdk-Message: 19:12:44.309: button press:	window 27263303
	device:2
	source device:12
	button number: 1
	x,y: 641.69 558.57
Gdk-Message: 19:12:44.309: property notify:	window: 27263299, atom(401): "_=
NET_WM_USER_TIME"
Gdk-Message: 19:12:44.396: button release:	window 27263303
	device:2
	source device:12
	button number: 1
	x,y: 641.69 558.57
Gdk-Message: 19:12:44.591: leave notify:	window 27263303
	subwindow:0
	device: 2
	source device: 2
	notify type: 0
	crossing mode: 1
Gdk-Message: 19:12:44.591: enter notify:	window 27263299
	subwindow:0
	device: 2
	source device: 2
	notify type: 2
	crossing mode: 1
Gdk-Message: 19:12:44.591: leave notify:	window 27263299
	subwindow:0
	device: 2
	source device: 2
	notify type: 2
	crossing mode: 2
Gdk-Message: 19:12:44.591: enter notify:	window 27263303
	subwindow:0
	device: 2
	source device: 2
	notify type: 0
	crossing mode: 2
Gdk-Message: 19:12:44.592: button press:	window 27263303
	device:2
	source device:12
	button number: 1
	x,y: 641.69 558.57
Gdk-Message: 19:12:44.592: property notify:	window: 27263299, atom(401): "_=
NET_WM_USER_TIME"
Gdk-Message: 19:12:44.629: button release:	window 27263303
	device:2
	source device:12
	button number: 1
	x,y: 641.69 558.57
Gdk-Message: 19:12:44.797: leave notify:	window 27263303
	subwindow:0
	device: 2
	source device: 2
	notify type: 0
	crossing mode: 1
Gdk-Message: 19:12:44.798: enter notify:	window 27263299
	subwindow:0
	device: 2
	source device: 2
	notify type: 2
	crossing mode: 1
Gdk-Message: 19:12:44.798: leave notify:	window 27263299
	subwindow:0
	device: 2
	source device: 2
	notify type: 2
	crossing mode: 2
Gdk-Message: 19:12:44.798: enter notify:	window 27263303
	subwindow:0
	device: 2
	source device: 2
	notify type: 0
	crossing mode: 2
Gdk-Message: 19:12:44.799: button press:	window 27263303
	device:2
	source device:12
	button number: 1
	x,y: 641.69 558.57
Gdk-Message: 19:12:44.799: property notify:	window: 27263299, atom(401): "_=
NET_WM_USER_TIME"
Gdk-Message: 19:12:44.842: button release:	window 27263303
	device:2
	source device:12
	button number: 1
	x,y: 641.69 558.57
Gdk-Message: 19:12:45.532: focus out:		window: 27263299, detail: NotifyAnce=
stor, mode: NotifyGrab
Gdk-Message: 19:12:45.533: focus out:		window: 27263299, detail: NotifyNonl=
inear, mode: NotifyWhileGrabbed
Gdk-Message: 19:12:45.533: property notify:	window: 27263299, atom(378): "_=
NET_WM_STATE"
Gdk-Message: 19:12:45.669: focus out:		window: 27263303, detail: NotifyPoin=
ter, mode: NotifyUngrab
Gdk-Message: 19:12:45.669: focus out:		window: 27263299, detail: NotifyPoin=
ter, mode: NotifyUngrab

(emacs:160737): Gdk-CRITICAL **: 19:12:45.669: gdk_device_get_n_axes: asser=
tion 'GDK_IS_DEVICE (device)' failed

(emacs:160737): Gdk-CRITICAL **: 19:12:45.669: gdk_event_set_source_device:=
 assertion 'GDK_IS_DEVICE (device)' failed


--=20
Dr Joseph A. Corneli (https://github.com/holtzermann17)

HYPERREAL ENTERPRISES LTD is a private company limited by shares, incorpora=
ted
25th, June 2019 as Company Number 634284 on the Register of Companies for
Scotland (https://beta.companieshouse.gov.uk/company/SC634284).




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#56869; Package emacs. Full text available.

Message received at 56869 <at> debbugs.gnu.org:


Received: (at 56869) by debbugs.gnu.org; 2 Aug 2022 14:17:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Aug 02 10:17:18 2022
Received: from localhost ([127.0.0.1]:44640 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oIshy-0007my-HQ
	for submit <at> debbugs.gnu.org; Tue, 02 Aug 2022 10:17:18 -0400
Received: from box.hyperreal.enterprises ([85.159.211.210]:52791)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <joseph.corneli@HIDDEN>)
 id 1oIshv-0007mb-Ot
 for 56869 <at> debbugs.gnu.org; Tue, 02 Aug 2022 10:17:17 -0400
Received: from authenticated-user (box.hyperreal.enterprises [85.159.211.210])
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits))
 (No client certificate requested)
 by box.hyperreal.enterprises (Postfix) with ESMTPSA id 5B75F43743;
 Tue,  2 Aug 2022 15:17:09 +0100 (BST)
DKIM-Signature: v=1; a=rsa-sha256; c=simple/simple; d=hyperreal.enterprises;
 s=mail; t=1659449829;
 bh=knRIddjqMzLLJRdhbjnSDQYr7t/uLwZZnKt6hSoTNro=;
 h=References:From:To:Cc:Subject:In-reply-to:Date:From;
 b=lQ2omLkhNfdFUztl6nA02Kb9u/Me5RneaBG4cZUTtw/unyM+y4vaviTdEug402sR3
 GveuBC87g6/H6wG7DaGbZo3bFDU7tecC3++DNWPESgt0vahGTLC4DV0ay78pTw5LbS
 EQpKgzAIIOiGVkedrPN/lkGF1lqljIIPAmXu9FoG5oiuARY4m72q5xOjGSuBHtoX8u
 /BBkdJv3sumb/MRgg44CkVOWFCxMe4XPXNDpLRrUpMuRh92FR/VKmx8HSc5Vhz1VAd
 DWtH+OZZMOcx4AWyMH9a0RMyTDOoLTWODy56g2u2RUG9FIRaxJ2MC1AM5WBu/1CIbL
 0Y95OMPsvOfGQ==
References: <87sfmgjelt.fsf@Proteus> <87a68nfnp4.fsf@HIDDEN>
From: Joe Corneli <joseph.corneli@HIDDEN>
To: Po Lu <luangruo@HIDDEN>
Subject: Re: bug#56869: 29.0.50; segfault, "assertion 'GDK_IS_DEVICE
 (device)' failed"
In-reply-to: <87a68nfnp4.fsf@HIDDEN>
Date: Tue, 02 Aug 2022 15:17:07 +0100
Message-ID: <87bkt24tng.fsf@Proteus>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 56869
Cc: 56869 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


Po Lu writes:

> Could you please install debuginfo for GDK and see where in GDK the
> crash happens?

I=E2=80=99ve tried running things like this:

joe@Proteus:~/emacs$ export GDK_DEBUG=3Devents
joe@Proteus:~/emacs$ export GTK_DEBUG=3Dmisc
joe@Proteus:~/emacs$ emacs &

(I tried with the "all" option, but it slowed Emacs down too much.)

If I should do something else to get better debugging info out please
advise, otherwise I shall carry on like this, and may see the crash
again before long, with some further information.


--=20
Dr Joseph A. Corneli (https://github.com/holtzermann17)

HYPERREAL ENTERPRISES LTD is a private company limited by shares, incorpora=
ted
25th, June 2019 as Company Number 634284 on the Register of Companies for
Scotland (https://beta.companieshouse.gov.uk/company/SC634284).




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#56869; Package emacs. Full text available.
Added tag(s) moreinfo. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 56869 <at> debbugs.gnu.org:


Received: (at 56869) by debbugs.gnu.org; 2 Aug 2022 01:18:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Aug 01 21:18:20 2022
Received: from localhost ([127.0.0.1]:41907 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oIgY8-0005Sx-4y
	for submit <at> debbugs.gnu.org; Mon, 01 Aug 2022 21:18:20 -0400
Received: from sonic317-33.consmr.mail.ne1.yahoo.com ([66.163.184.44]:42737)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <luangruo@HIDDEN>) id 1oIgY5-0005Sf-Gp
 for 56869 <at> debbugs.gnu.org; Mon, 01 Aug 2022 21:18:18 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1659403090; bh=RaZiPomi/Lx9TQtNZFia4FxntrVsaBvd1FE3hjiV/6c=;
 h=From:To:Cc:Subject:References:Date:In-Reply-To:From:Subject:Reply-To;
 b=FmRg7seLas7ukfElVdFXDI9n+xMrvTzZmng75s+Rsph6tCTLTQUe3tpj3taqqVK7hXtQSOebqDeSFKx9Q0MkgqUDI+W+0oyfisMvFlAXow5nQVPj0K5YnSDgdyPV9hVu2Rqv3GUKBPEl94cbd/t6r1FUOti5LFktGKKSc7hqANRwFQ32Jh/JQsfzPi5vAVklP5AMAhbzvaDe6QJ4rmdOBmuDNuCqg56yhewJ17SNJ09BKHl7pSS9fK3bhsYAnj6bAn8AALsl6hZvqfkn6OaIRXRk2bavSM4o2V1/cNtiBmrOlxWKiTfzLpZuCTN+X0/SBr1KObztBhrAEMWp2VbTvw==
X-SONIC-DKIM-SIGN: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1659403090; bh=xJexq9aTmYWncpYS7za4CLCAEGC+rV2o+NCIP+ABkfY=;
 h=X-Sonic-MF:From:To:Subject:Date:From:Subject;
 b=tNurWIZvFzegnXrTy7+wnOA0WyD9RwFtnFiSlKef+1DHTkJ4zTjPBXrPEtl97/pv2oex97TRoLbvM+Dru86hDC8xtlSMqAXUlWxIv/yAKAyDR1GuFoWKN/C/Ls2IQjk5bWMTTKhcxbrAmp1SPe5h6D4larVbcuAUzOw2MkZswMxAQKr3ext5m7OP89fYq84A2uORcJ2DhOdzVE5kM7NUpnyW3TcZ0RZ4t+B/UB7LycdQ3jqxZSr9SndtXwi9ZDJuNJNV96awZPazRTHoDqmxk4g2zJbs3zyUnHAkacEUqAYmi3cyraWva6ev4ke0UiiFPXnIzcld0m9pPkBpcQVSdg==
X-YMail-OSG: pFrAjukVM1leDqh3qBMZkQYYqmrZwsiBu3NV006TruQ9iz3p90CijAk1IPGv3pG
 wZLhDhYoHE7cAjgn1pPuysf8rE_IKm2L88ZjKFCsQI.LJGVnnreD7AQzjUksormKKoy96w_7N2XN
 beclMBVpwf9_rk_CY7aHABYNnrvUixSstRsMxftbA6RDeBKK.Qtw7XvHgi5gh3k85o31IFOytYgU
 Ntz3ZdZdqgVD0tqhPYUxucf.b1muR.Z2NfwkKsmNmtxAZ_.VKbNb6yVzcTMZomOVc42lgDq9DLz2
 JvbV.s8yNxoNeGEmYtTKqtKIYbLaoauQTQujoLJKO.ug8Fy7.6t0ruSLNoODOmHsv_ggMj9e6vjZ
 Le8helkFEtXE7WXx1.jQxxMI2MT.jDbwrJqERpvChPcVMWarnCet_u7tf.QRpAJpOWD8qNArOlY0
 6mkiOHPfSzJtMAY0XtPg2gk0XZ3hkPahmIcXBs8ye7PkP2XtL5vMCix9oaZoOzumgZOajf9AWGL0
 5sVmHsvzPVymbPv8ZTaZ2FtV7jO1bxzyTweKd_nTGVFvHmQK39no69i.Y4CsZV_snpmpW7YLPyPo
 4lLmO_TWlyItCpXTFyXXt7aVVetZoflnqWK1lNlBtLWLVkRUR0l3E57EDvnfcwi6_AJQfIW_VvaU
 yMI7dnIzUJOub.9RvqtS6LccP7bdbdNxdPTC9ytr62Ihqd78UfUlBujXkZLwveyET7OK2whvEEHi
 0PG1kFlMY2LxGzD7GIbZsZENCZbV.6NhrtiDdSSPt1IXFo7k4b6i9MfxmRzVW.zR_oYvnT1.lAEH
 AvlubwfGlTgMoYqtCF4V9VRGGmqr_9aQgo_wWIWbpia.PQqjXUMHZ_0ILnwLDE34gamBZvFXJk0K
 y3B1RA0YRVW3CzL3SJ4jOWIHOq0g9U7vId03VQ9Juom9aMTzh57nsxQuG7s03R0g8HR6Z7kvyZKz
 rwJHGA5lWpFBF2EV96JuhMgPFbIkUmZL4yHDJopvsfugMVmNPETqI6M8_TM0FvBhmfEfSyGNwESZ
 brY5YFtXg0KBUb7L4q.6kffSEHkcbZwuX8qLQ9jNOAQGhIxRBFzgyF5Ge5iRccfDLF6w_5LvEb8q
 mLLD70v4ZHuN5lZU27fe1y20ybZpMOA6rnJ4v0xSkPOHBnPwknBiqsAb2e9tVl6zFuNPPCalqoqW
 65qCXZXYXKp55Iwv6r1Ax2FCumqQ7_2uqM9djYd8xFvrzfmpbXvAsnbmsRM62mslJnNpjUozpqts
 2uUQqI7_U79ThUftlrTTfbza3cWKOjZFUzZ1XVoDwRoz0LXdZIv47.GHArJy7rvy80YvSm6aLQ_S
 LUlenAu2lnEKvE5vyVVfBoz2A2Zrf436TZvTCbxesw8M6FFHoI4bEZT38JY8W_N.GQgw8u.sLqEy
 TvGWEA6.B9IjruoQYSbncWn3FbrkuEBhcQdvGf2xhKjnBKlRsY3BAauNMvh6ZMwxUlZ9vCXq6ipR
 p__Ru1Rz3HsQHMcEexXLVZTYiCEGS70oTjrIUkXyX0_jVErm.AZUFhSChZXWOCfMEJSR_Tyt5E4n
 b.8nMdB5NM2mA9__yFukhMVzpSEuO3r3tIlOOXPHTZPdHY3uadS4FxMmqIFLpRCO7EwUzbMoopZo
 gPHhSQ7bWk6a0t01S_F2b4ZpB_M.n_kRIFx_7rRd9jGslMQZUQG_TEkzBenrOQDO5sRkVcYm.7Wb
 xx9Edq2OiauJ1iAhxBevZss4srkocRpK8jG8bn3gV3FUrSu9nv3EoCFWPrsJE1Fu_fnLwE0m__Lf
 PCt34j9yruiK_B9Ui3JlTBjTZy..cIMAaaicbm8TOrqwAVkFnA6giUkmOrfzvx5hWsH_9uV3DOXc
 JuHjGOuohu7zZeZxTap2P3BCyjTrQM87__9RGJ5kuUSIcX7LBN3ktxUhgs1NOI.t4aiJCNie2FvC
 .B.S7MHELy_mr1YwEbp_Pcb1chLU.xypKfzN7GMwGPiSXIFDI8jJaTN0Pbz5ihmlH3Gs4ICXsAgf
 gr1kUt04iOzuRI7gSqtPvfzFYfr_U6qgTpDToBCV6WGGnnDedE68nJvz.lG36yaAf7fk2J_7NAai
 h9Ew.XbAqdMSIZTMB9Xs3lml4N20NkXTIfku83..KCRBwQP3cxV172Oq2T_j4jgNADMfIapXC15q
 X3vRd27pOYsGFPWMfsjd8IJS44IcnXjwEVb4FGTtjzv35rMNPouqxx73YgljRua1qaIAtvucuZiW
 ViYrFnj2YR2_ROe6tJzARIAsO.v_IgKPVZE1YUO6hQ7EzaSoWx30ugc6a1bQh
X-Sonic-MF: <luangruo@HIDDEN>
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic317.consmr.mail.ne1.yahoo.com with HTTP; Tue, 2 Aug 2022 01:18:10 +0000
Received: by hermes--canary-production-sg3-854c886654-ngznc (Yahoo Inc. Hermes
 SMTP Server) with ESMTPA ID d1914a45d6a227a6d74b809dd88869e9; 
 Tue, 02 Aug 2022 01:18:04 +0000 (UTC)
From: Po Lu <luangruo@HIDDEN>
To: Joe Corneli <joseph.corneli@HIDDEN>
Subject: Re: bug#56869: 29.0.50; segfault, "assertion 'GDK_IS_DEVICE
 (device)' failed"
References: <87sfmgjelt.fsf@Proteus>
Date: Tue, 02 Aug 2022 09:17:59 +0800
In-Reply-To: <87sfmgjelt.fsf@Proteus> (Joe Corneli's message of "Mon, 01 Aug
 2022 14:08:30 +0100")
Message-ID: <87a68nfnp4.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.91 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Mailer: WebService/1.1.20447
 mail.backend.jedi.jws.acl:role.jedi.acl.token.atz.jws.hermes.yahoo
Content-Length: 2738
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 56869
Cc: 56869 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Joe Corneli <joseph.corneli@HIDDEN> writes:

> If I can provide further useful information please let me know.  Note
> that xbacktrace doesn=E2=80=99t print anything.  I=E2=80=99m running Emac=
s under the
> regolith WM (2.123-1focal), in case that=E2=80=99s relevant.

Thanks,=20

> joe@Proteus:~/emacs/src$ gdb emacs
> GNU gdb (Ubuntu 9.2-0ubuntu1~20.04.1) 9.2
> ...
> (gdb) source /home/joe/emacs/src/.gdbinit
> SIGINT is used by the debugger.
> Are you sure you want to change it? (y or n) [answered Y; input not from =
terminal]
> DISPLAY =3D :0
> TERM =3D xterm-256color
> Breakpoint 1 at 0x55555573899d: file emacs.c, line 420.
> Breakpoint 2 at 0x5555556f4c86: file xterm.c, line 23862.
> ...
> (gdb) run
> The program being debugged has been started already.
> Start it from the beginning? (y or n) y
> Starting program: /home/joe/emacs/src/emacs=20
> [Thread debugging using libthread_db enabled]
> Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
> [New Thread 0x7ffff1406700 (LWP 2218237)]
> [New Thread 0x7ffff09fb700 (LWP 2218325)]
> [New Thread 0x7fffebf10700 (LWP 2218328)]
> [Detaching after vfork from child process 2218469]
>
> ...
>
> (emacs:2218133): Gdk-CRITICAL **: 13:45:08.589: gdk_device_get_n_axes: as=
sertion 'GDK_IS_DEVICE (device)' failed
>
> (emacs:2218133): Gdk-CRITICAL **: 13:45:08.589: gdk_event_set_source_devi=
ce: assertion 'GDK_IS_DEVICE (device)' failed
>
> Thread 1 "emacs" received signal SIGSEGV, Segmentation fault.
> 0x00007ffff757464d in ?? () from /usr/lib/x86_64-linux-gnu/libgdk-3.so.0
> (gdb) bt full
> #0  0x00007ffff757464d in  () at /usr/lib/x86_64-linux-gnu/libgdk-3.so.0
> #1  0x00007ffff757e989 in  () at /usr/lib/x86_64-linux-gnu/libgdk-3.so.0
> #2  0x00007ffff757e4cc in  () at /usr/lib/x86_64-linux-gnu/libgdk-3.so.0
> #3  0x00007ffff75460e4 in gdk_display_get_event () at /usr/lib/x86_64-lin=
ux-gnu/libgdk-3.so.0
> #4  0x00007ffff757e0e6 in  () at /usr/lib/x86_64-linux-gnu/libgdk-3.so.0
> #5  0x00007ffff6f5617d in g_main_context_dispatch () at /usr/lib/x86_64-l=
inux-gnu/libglib-2.0.so.0
> #6  0x00007ffff6f56400 in  () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so=
.0
> #7  0x00007ffff6f564a3 in g_main_context_iteration () at /usr/lib/x86_64-=
linux-gnu/libglib-2.0.so.0
> #8  0x00007ffff78611d9 in gtk_main_iteration () at /usr/lib/x86_64-linux-=
gnu/libgtk-3.so.0
> #9  0x00005555556f27eb in XTread_socket (terminal=3D0x55555627f368, hold_=
quit=3D0x7fffffffcb80) at xterm.c:22621

I suspect this is either a bug in GDK, or we're not passing through an
XI device hierarchy-related event somewhere, which has happened before.

Could you please install debuginfo for GDK and see where in GDK the
crash happens?

Thanks in advance.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#56869; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 1 Aug 2022 13:08:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Aug 01 09:08:51 2022
Received: from localhost ([127.0.0.1]:39672 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oIVA9-0002sA-Mb
	for submit <at> debbugs.gnu.org; Mon, 01 Aug 2022 09:08:51 -0400
Received: from lists.gnu.org ([209.51.188.17]:38812)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <joseph.corneli@HIDDEN>)
 id 1oIVA6-0002s0-4U
 for submit <at> debbugs.gnu.org; Mon, 01 Aug 2022 09:08:48 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:55630)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <joseph.corneli@HIDDEN>)
 id 1oIVA3-0000VX-Jy
 for bug-gnu-emacs@HIDDEN; Mon, 01 Aug 2022 09:08:44 -0400
Received: from box.hyperreal.enterprises ([85.159.211.210]:51513)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <joseph.corneli@HIDDEN>)
 id 1oIV9y-0006jt-4f
 for bug-gnu-emacs@HIDDEN; Mon, 01 Aug 2022 09:08:43 -0400
Received: from authenticated-user (box.hyperreal.enterprises [85.159.211.210])
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits))
 (No client certificate requested)
 by box.hyperreal.enterprises (Postfix) with ESMTPSA id C286D4AD93
 for <bug-gnu-emacs@HIDDEN>; Mon,  1 Aug 2022 14:08:33 +0100 (BST)
DKIM-Signature: v=1; a=rsa-sha256; c=simple/simple; d=hyperreal.enterprises;
 s=mail; t=1659359313;
 bh=bPbTNhBh8t5HBxo8WCArzjVxCKNQK4BT1AfQHoncVWA=;
 h=From:To:Subject:Date:From;
 b=DNsPrL2ZRZvJQsiwEvHymmjCKzIUXTMsCocvESG2DdclgbsC5okswnS5BrKKXHL5j
 26RUVLMApZhj2GVnJw0WLkdimHOQ7WUFTECLoxF1+fuYhCCVk+OOGvnFDzfRTgdaRI
 f04G904STC+mxo2KqaWQjWenB2J9heahcH0LoddDQaAb4oYjz+xVRZ68ojt6ofZ+Wz
 igAVUBcr3ylCsqNPqPofqi64ILen9b290SFwo2kguMgQRf3Tr+WY1h288KQy/TbKmB
 xEbo8NL7H9hcgep7VluyzERMg0EteIaJTto25qpCxqf2yb3MmPU71QqpzCOdqBMIde
 uLIf/5638r2Iw==
From: Joe Corneli <joseph.corneli@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 29.0.50; segfault, "assertion 'GDK_IS_DEVICE (device)' failed"
Date: Mon, 01 Aug 2022 14:08:30 +0100
Message-ID: <87sfmgjelt.fsf@Proteus>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
Received-SPF: pass client-ip=85.159.211.210;
 envelope-from=joseph.corneli@HIDDEN;
 helo=box.hyperreal.enterprises
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, SPF_HELO_PASS=-0.001,
 SPF_PASS=-0.001, T_SCC_BODY_TEXT_LINE=-0.01 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

Hi,

I=E2=80=99m not sure what has triggered the segfault, but it happens fairly
predictably with the latest version of Emacs.  I didn=E2=80=99t see anything
like this when I was using the previous stable version, however.

If I can provide further useful information please let me know.  Note
that xbacktrace doesn=E2=80=99t print anything.  I=E2=80=99m running Emacs =
under the
regolith WM (2.123-1focal), in case that=E2=80=99s relevant.

joe@Proteus:~/emacs/src$ gdb emacs
GNU gdb (Ubuntu 9.2-0ubuntu1~20.04.1) 9.2
...
(gdb) source /home/joe/emacs/src/.gdbinit
SIGINT is used by the debugger.
Are you sure you want to change it? (y or n) [answered Y; input not from te=
rminal]
DISPLAY =3D :0
TERM =3D xterm-256color
Breakpoint 1 at 0x55555573899d: file emacs.c, line 420.
Breakpoint 2 at 0x5555556f4c86: file xterm.c, line 23862.
...
(gdb) run
The program being debugged has been started already.
Start it from the beginning? (y or n) y
Starting program: /home/joe/emacs/src/emacs=20
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
[New Thread 0x7ffff1406700 (LWP 2218237)]
[New Thread 0x7ffff09fb700 (LWP 2218325)]
[New Thread 0x7fffebf10700 (LWP 2218328)]
[Detaching after vfork from child process 2218469]

...

(emacs:2218133): Gdk-CRITICAL **: 13:45:08.589: gdk_device_get_n_axes: asse=
rtion 'GDK_IS_DEVICE (device)' failed

(emacs:2218133): Gdk-CRITICAL **: 13:45:08.589: gdk_event_set_source_device=
: assertion 'GDK_IS_DEVICE (device)' failed

Thread 1 "emacs" received signal SIGSEGV, Segmentation fault.
0x00007ffff757464d in ?? () from /usr/lib/x86_64-linux-gnu/libgdk-3.so.0
(gdb) bt full
#0  0x00007ffff757464d in  () at /usr/lib/x86_64-linux-gnu/libgdk-3.so.0
#1  0x00007ffff757e989 in  () at /usr/lib/x86_64-linux-gnu/libgdk-3.so.0
#2  0x00007ffff757e4cc in  () at /usr/lib/x86_64-linux-gnu/libgdk-3.so.0
#3  0x00007ffff75460e4 in gdk_display_get_event () at /usr/lib/x86_64-linux=
-gnu/libgdk-3.so.0
#4  0x00007ffff757e0e6 in  () at /usr/lib/x86_64-linux-gnu/libgdk-3.so.0
#5  0x00007ffff6f5617d in g_main_context_dispatch () at /usr/lib/x86_64-lin=
ux-gnu/libglib-2.0.so.0
#6  0x00007ffff6f56400 in  () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#7  0x00007ffff6f564a3 in g_main_context_iteration () at /usr/lib/x86_64-li=
nux-gnu/libglib-2.0.so.0
#8  0x00007ffff78611d9 in gtk_main_iteration () at /usr/lib/x86_64-linux-gn=
u/libgtk-3.so.0
#9  0x00005555556f27eb in XTread_socket (terminal=3D0x55555627f368, hold_qu=
it=3D0x7fffffffcb80) at xterm.c:22621
        count =3D 0
        event_found =3D false
        dpyinfo =3D 0x5555564ce400
#10 0x000055555574f5be in gobble_input () at keyboard.c:7327
        nr =3D 32767
        hold_quit =3D {
          kind =3D NO_EVENT,
          part =3D scroll_bar_nowhere,
          code =3D 0,
          modifiers =3D 0,
          x =3D XIL(0),
          y =3D XIL(0),
          timestamp =3D 0,
          frame_or_window =3D XIL(0),
          arg =3D XIL(0),
          device =3D XIL(0x30)
        }
        next =3D 0x0
        nread =3D 0
        err =3D false
        t =3D 0x55555627f368
--Type <RET> for more, q to quit, c to continue without paging--c
#11 0x000055555574fa72 in handle_async_input () at keyboard.c:7558
        nread =3D 21845
#12 0x000055555574fa95 in process_pending_signals () at keyboard.c:7572
#13 0x000055555574fad9 in unblock_input_to (level=3D0) at keyboard.c:7587
#14 0x000055555574fb01 in unblock_input () at keyboard.c:7606
#15 0x0000555555749261 in timer_check () at keyboard.c:4697
        nexttime =3D {
          tv_sec =3D 0,
          tv_nsec =3D 140737488342240
        }
        timers =3D XIL(0x5555630f0b33)
        idle_timers =3D XIL(0x5555630f0b63)
        tem =3D XIL(0)
#16 0x0000555555746c62 in readable_events (flags=3D1) at keyboard.c:3484
#17 0x000055555574f463 in get_input_pending (flags=3D1) at keyboard.c:7277
#18 0x00005555557577bd in detect_input_pending_run_timers (do_display=3Dtru=
e) at keyboard.c:10807
        old_timers_run =3D 83601
#19 0x0000555555877f1d in wait_reading_process_output (time_limit=3D0, nsec=
s=3D0, read_kbd=3D-1, do_display=3Dtrue, wait_for_cell=3DXIL(0), wait_proc=
=3D0x0, just_wait_proc=3D0) at process.c:5732
        leave =3D false
        process_skipped =3D false
        wrapped =3D true
        channel_start =3D 18
        child_fd =3D 14
        last_read_channel =3D 17
        channel =3D 1024
        nfds =3D 1
        Available =3D {
          fds_bits =3D {32, 0 <repeats 15 times>}
        }
        Writeok =3D {
          fds_bits =3D {0 <repeats 16 times>}
        }
        check_write =3D true
        check_delay =3D 1
        no_avail =3D false
        xerrno =3D 11
        proc =3D make_fixnum(0)
        timeout =3D {
          tv_sec =3D 0,
          tv_nsec =3D 0
        }
        end_time =3D {
          tv_sec =3D 140737488342608,
          tv_nsec =3D 140737353935016
        }
        timer_delay =3D {
          tv_sec =3D 0,
          tv_nsec =3D 93297538
        }
        got_output_end_time =3D {
          tv_sec =3D 1659457908,
          tv_nsec =3D 526808075
        }
        wait =3D FOREVER
        got_some_output =3D -1
        prev_wait_proc_nbytes_read =3D 0
        retry_for_async =3D false
        count =3D {
          bytes =3D 128
        }
        now =3D {
          tv_sec =3D 0,
          tv_nsec =3D -1
        }
#20 0x0000555555747921 in kbd_buffer_get_event (kbp=3D0x7fffffffd268, used_=
mouse_menu=3D0x7fffffffd879, end_time=3D0x0) at keyboard.c:3963
        do_display =3D true
        obj =3D make_fixnum(0)
        str =3D make_fixnum(0)
        had_pending_selection_requests =3D false
#21 0x0000555555743532 in read_event_from_main_queue (end_time=3D0x0, local=
_getcjmp=3D0x7fffffffd680, used_mouse_menu=3D0x7fffffffd879) at keyboard.c:=
2230
        c =3D XIL(0)
        save_jump =3D {{
            __jmpbuf =3D {0, 0, 0, 0, 0, 0, 0, 0},
            __mask_was_saved =3D 0,
            __saved_mask =3D {
              __val =3D {0 <repeats 16 times>}
            }
          }}
        kb =3D 0x5555563b4cc0
        count =3D {
          bytes =3D 96
        }
#22 0x000055555574385f in read_decoded_event_from_main_queue (end_time=3D0x=
0, local_getcjmp=3D0x7fffffffd680, prev_event=3DXIL(0), used_mouse_menu=3D0=
x7fffffffd879) at keyboard.c:2294
        nextevt =3D XIL(0)
        frame =3D 0xad74c84ac4438e00
        terminal =3D 0x0
        events =3D {XIL(0), XIL(0x2d0c70b), XIL(0), XIL(0xffffffffffffffff)=
, XIL(0), XIL(0x555555d54d80), XIL(0), XIL(0), XIL(0x7fffffffd448), XIL(0x5=
5555573d5d5), XIL(0x9210), XIL(0x7fffffffd470), XIL(0x5555557409b1), XIL(0x=
5555630f1a33), XIL(0), XIL(0)}
        n =3D 0
#23 0x0000555555745209 in read_char (commandflag=3D1, map=3DXIL(0x555565e41=
983), prev_event=3DXIL(0), used_mouse_menu=3D0x7fffffffd879, end_time=3D0x0=
) at keyboard.c:2924
        c =3D XIL(0)
        local_getcjmp =3D {{
            __jmpbuf =3D {0, -1990705257743999615, 93825227440109, 48, 0, 0=
, -1990705257385386623, -5689509733278245503},
            __mask_was_saved =3D 0,
            __saved_mask =3D {
              __val =3D {140737488344800, 93824995056204, 1473333584, 14073=
7488344912, 93824995096141, 93825270028691, 96, 93825270028707, 0, 14073748=
8344912, 93824994842298, 93825000623488, 0, 0, 12498835089305865728, 938249=
94362817}
            }
          }}
        save_jump =3D {{
            __jmpbuf =3D {0, 0, 0, 0, 0, 0, 0, 0},
            __mask_was_saved =3D 0,
            __saved_mask =3D {
              __val =3D {0 <repeats 16 times>}
            }
          }}
        tem =3D XIL(0x2aaa9c0fd850)
        save =3D XIL(0)
        previous_echo_area_message =3D XIL(0)
        also_record =3D XIL(0)
        reread =3D false
        recorded =3D false
        polling_stopped_here =3D true
        orig_kboard =3D 0x5555563b4cc0
        jmpcount =3D {
          bytes =3D 96
        }
#24 0x0000555555755ba3 in read_key_sequence (keybuf=3D0x7fffffffdab0, promp=
t=3DXIL(0), dont_downcase_last=3Dfalse, can_return_switch_frame=3Dtrue, fix=
_current_buffer=3Dtrue, prevent_redisplay=3Dfalse) at keyboard.c:9984
        interrupted_kboard =3D 0x5555563b4cc0
        interrupted_frame =3D 0x55555666e278
        key =3D XIL(0x7fffffffda18)
        used_mouse_menu =3D false
        echo_local_start =3D 0
        last_real_key_start =3D 0
        keys_local_start =3D 0
        new_binding =3D XIL(0xffffffffffffffff)
        count =3D {
          bytes =3D 96
        }
        t =3D 0
        echo_start =3D 0
        keys_start =3D 0
        current_binding =3D XIL(0x555565e41983)
        first_unbound =3D 31
        mock_input =3D 0
        used_mouse_menu_history =3D {false <repeats 30 times>}
        fkey =3D {
          parent =3D XIL(0x5555563086f3),
          map =3D XIL(0x5555563086f3),
          start =3D 0,
          end =3D 0
        }
        keytran =3D {
          parent =3D XIL(0x7ffff25688cb),
          map =3D XIL(0x7ffff25688cb),
          start =3D 0,
          end =3D 0
        }
        indec =3D {
          parent =3D XIL(0x5555563086e3),
          map =3D XIL(0x5555563086e3),
          start =3D 0,
          end =3D 0
        }
        shift_translated =3D false
        delayed_switch_frame =3D XIL(0)
        original_uppercase =3D XIL(0)
        original_uppercase_position =3D -1
        dummyflag =3D false
        starting_buffer =3D 0x555563331430
        fake_prefixed_keys =3D XIL(0)
        first_event =3D XIL(0)
        second_event =3D XIL(0)
#25 0x0000555555740e2e in command_loop_1 () at keyboard.c:1382
        cmd =3D XIL(0x11addf0)
        keybuf =3D {make_fixnum(13), make_fixnum(19), XIL(0), XIL(0x60), XI=
L(0), XIL(0), XIL(0xb), XIL(0xe4c0), XIL(0x30), XIL(0x55555fd4078d), XIL(0)=
, XIL(0xad74c84ac4438e00), XIL(0x55555573d5d5), XIL(0x30), XIL(0x555555d54d=
80), XIL(0), XIL(0), XIL(0x60), XIL(0x7fffffffdb50), XIL(0x555555ccaf00), X=
IL(0x7fffffffdb90), XIL(0x555555809da1), XIL(0x100000000), XIL(0x90), XIL(0=
x7fffffffdb00), XIL(0x555555e4b020), XIL(0), make_fixnum(0), XIL(0x7fffffff=
dbc0), XIL(0x555555809c8c)}
        i =3D 1
        prev_modiff =3D 39530
        prev_buffer =3D 0x555563331430
        already_adjusted =3D false
#26 0x000055555580995a in internal_condition_case (bfun=3D0x555555740a30 <c=
ommand_loop_1>, handlers=3DXIL(0x90), hfun=3D0x55555573fff9 <cmd_error>) at=
 eval.c:1485
        val =3D XIL(0x55555573d5d5)
        c =3D 0x555555e4b020
#27 0x00005555557406d1 in command_loop_2 (handlers=3DXIL(0x90)) at keyboard=
.c:1132
        val =3D make_fixnum(0)
#28 0x0000555555808f63 in internal_catch (tag=3DXIL(0xf360), func=3D0x55555=
57406a6 <command_loop_2>, arg=3DXIL(0x90)) at eval.c:1208
        val =3D XIL(0x51200000000)
        c =3D 0x555555e4aee0
#29 0x0000555555740661 in command_loop () at keyboard.c:1110
#30 0x000055555573fb82 in recursive_edit_1 () at keyboard.c:719
        count =3D {
          bytes =3D 32
        }
        val =3D XIL(0x55555580ef04)
#31 0x000055555573fd34 in Frecursive_edit () at keyboard.c:802
        count =3D {
          bytes =3D 0
        }
        buffer =3D XIL(0)
#32 0x000055555573bea4 in main (argc=3D1, argv=3D0x7fffffffdf58) at emacs.c=
:2517
        stack_bottom_variable =3D 0x5b0000006e
        no_loadup =3D false
        junk =3D 0x0
        dname_arg =3D 0x0
        ch_to_dir =3D 0x0
        original_pwd =3D 0x0
        dump_mode =3D 0x0
        skip_args =3D 0
        temacs =3D 0x0
        attempt_load_pdump =3D true
        only_version =3D false
        rlim =3D {
          rlim_cur =3D 10022912,
          rlim_max =3D 18446744073709551615
        }
        lc_all =3D 0x0
        sockfd =3D -1
        module_assertions =3D false
(gdb) xbacktrace
(gdb)=20

In GNU Emacs 29.0.50 (build 1, x86_64-pc-linux-gnu, GTK+ Version 3.24.20, c=
airo version 1.16.0)
 of 2022-07-27 built on Proteus
Repository revision: de863f70aa905d3a7feaedb58b65bd7f9776853b
Repository branch: master
System Description: Ubuntu 20.04.4 LTS

Configured features:
CAIRO DBUS FREETYPE GIF GLIB GMP GNUTLS GSETTINGS HARFBUZZ JPEG LCMS2
LIBSELINUX LIBSYSTEMD LIBXML2 MODULES NOTIFY INOTIFY PDUMPER PNG RSVG
SECCOMP SOUND SQLITE3 THREADS TIFF TOOLKIT_SCROLL_BARS WEBP X11 XDBE XIM
XINPUT2 XPM GTK3 ZLIB

Important settings:
  value of $LANG: en_GB.UTF-8
  value of $XMODIFIERS: @im=3Dibus
  locale-coding-system: utf-8-unix

Major mode: mu4e:main

Minor modes in effect:
  disable-mouse-global-mode: t
  sow-mode: t
  pdf-occur-global-minor-mode: t
  recentf-mode: t
  projectile-mode: t
  helm-cider-mode: t
  helm-mode: t
  helm-minibuffer-history-mode: t
  treemacs-filewatch-mode: t
  treemacs-follow-mode: t
  treemacs-git-mode: t
  treemacs-fringe-indicator-mode: t
  helm-autoresize-mode: t
  helm--remap-mouse-mode: t
  async-bytecomp-package-mode: t
  org-roam-mode: t
  shell-dirtrack-mode: t
  global-command-log-mode: t
  command-log-mode: t
  display-time-mode: t
  feebleline-mode: t
  override-global-mode: t
  tooltip-mode: t
  global-eldoc-mode: t
  show-paren-mode: t
  electric-quote-mode: t
  electric-indent-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  window-divider-mode: t
  buffer-read-only: t
  transient-mark-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  overwrite-mode: overwrite-mode-binary

Load-path shadows:
/home/joe/.emacs.d/elpa/modus-operandi-theme-20201114.729/modus-operandi-th=
eme hides /home/joe/.emacs.d/elpa/modus-themes-20220714.1115/modus-operandi=
-theme
/home/joe/.emacs.d/elpa/modus-vivendi-theme-0.13.2/modus-vivendi-theme hide=
s /home/joe/.emacs.d/elpa/modus-themes-20220714.1115/modus-vivendi-theme
~/org-mode/lisp/ob-hledger hides /home/joe/.emacs.d/elpa/org-contrib-0.4/ob=
-hledger
~/org-mode/lisp/ob-J hides /home/joe/.emacs.d/elpa/org-contrib-0.4/ob-J
~/org-mode/lisp/ob-abc hides /home/joe/.emacs.d/elpa/org-contrib-0.4/ob-abc
~/org-mode/lisp/ob-picolisp hides /home/joe/.emacs.d/elpa/org-contrib-0.4/o=
b-picolisp
~/org-mode/lisp/ob-io hides /home/joe/.emacs.d/elpa/org-contrib-0.4/ob-io
~/org-mode/lisp/ob-ledger hides /home/joe/.emacs.d/elpa/org-contrib-0.4/ob-=
ledger
~/org-mode/lisp/ob-asymptote hides /home/joe/.emacs.d/elpa/org-contrib-0.4/=
ob-asymptote
~/org-mode/lisp/ob-vala hides /home/joe/.emacs.d/elpa/org-contrib-0.4/ob-va=
la
~/org-mode/lisp/ob-shen hides /home/joe/.emacs.d/elpa/org-contrib-0.4/ob-sh=
en
~/org-mode/lisp/ob-ebnf hides /home/joe/.emacs.d/elpa/org-contrib-0.4/ob-eb=
nf
~/org-mode/lisp/ob-coq hides /home/joe/.emacs.d/elpa/org-contrib-0.4/ob-coq
~/org-mode/lisp/ob-mscgen hides /home/joe/.emacs.d/elpa/org-contrib-0.4/ob-=
mscgen
~/org-ref/org-ref-scifinder hides /home/joe/.emacs.d/elpa/org-ref-20220715.=
1202/org-ref-scifinder
~/org-ref/org-ref hides /home/joe/.emacs.d/elpa/org-ref-20220715.1202/org-r=
ef
~/org-ref/org-ref-arxiv hides /home/joe/.emacs.d/elpa/org-ref-20220715.1202=
/org-ref-arxiv
~/org-ref/org-ref-pgk hides /home/joe/.emacs.d/elpa/org-ref-20220715.1202/o=
rg-ref-pgk
~/org-ref/doi-utils hides /home/joe/.emacs.d/elpa/org-ref-20220715.1202/doi=
-utils
~/org-ref/org-ref-bibtex hides /home/joe/.emacs.d/elpa/org-ref-20220715.120=
2/org-ref-bibtex
~/org-ref/org-ref-core hides /home/joe/.emacs.d/elpa/org-ref-20220715.1202/=
org-ref-core
~/org-ref/org-ref-sci-id hides /home/joe/.emacs.d/elpa/org-ref-20220715.120=
2/org-ref-sci-id
~/org-ref/org-ref-scopus hides /home/joe/.emacs.d/elpa/org-ref-20220715.120=
2/org-ref-scopus
~/org-ref/org-ref-wos hides /home/joe/.emacs.d/elpa/org-ref-20220715.1202/o=
rg-ref-wos
~/org-ref/org-ref-ivy hides /home/joe/.emacs.d/elpa/org-ref-20220715.1202/o=
rg-ref-ivy
~/org-ref/x2bib hides /home/joe/.emacs.d/elpa/org-ref-20220715.1202/x2bib
~/org-ref/org-ref-pubmed hides /home/joe/.emacs.d/elpa/org-ref-20220715.120=
2/org-ref-pubmed
~/org-ref/org-ref-glossary hides /home/joe/.emacs.d/elpa/org-ref-20220715.1=
202/org-ref-glossary
~/org-ref/org-ref-worldcat hides /home/joe/.emacs.d/elpa/org-ref-20220715.1=
202/org-ref-worldcat
~/org-ref/org-ref-pdf hides /home/joe/.emacs.d/elpa/org-ref-20220715.1202/o=
rg-ref-pdf
~/org-ref/org-ref-utils hides /home/joe/.emacs.d/elpa/org-ref-20220715.1202=
/org-ref-utils
~/org-ref/org-ref-latex hides /home/joe/.emacs.d/elpa/org-ref-20220715.1202=
/org-ref-latex
~/org-ref/org-ref-helm hides /home/joe/.emacs.d/elpa/org-ref-20220715.1202/=
org-ref-helm
~/org-ref/org-ref-isbn hides /home/joe/.emacs.d/elpa/org-ref-20220715.1202/=
org-ref-isbn
~/org-ref/nist-webbook hides /home/joe/.emacs.d/elpa/org-ref-20220715.1202/=
nist-webbook
~/org-ref/org-ref-url-utils hides /home/joe/.emacs.d/elpa/org-ref-20220715.=
1202/org-ref-url-utils
/home/joe/.emacs.d/lisp/org-roam-v1/org-roam-dailies hides /home/joe/.emacs=
.d/elpa/org-roam-20220621.527/org-roam-dailies
/home/joe/.emacs.d/lisp/org-roam-v1/org-roam-protocol hides /home/joe/.emac=
s.d/elpa/org-roam-20220621.527/org-roam-protocol
/home/joe/.emacs.d/lisp/org-roam-v1/org-roam hides /home/joe/.emacs.d/elpa/=
org-roam-20220621.527/org-roam
/home/joe/.emacs.d/lisp/org-roam-v1/org-roam-capture hides /home/joe/.emacs=
.d/elpa/org-roam-20220621.527/org-roam-capture
/home/joe/.emacs.d/lisp/org-roam-v1/org-roam-db hides /home/joe/.emacs.d/el=
pa/org-roam-20220621.527/org-roam-db
/home/joe/.emacs.d/lisp/org-roam-v1/org-roam-compat hides /home/joe/.emacs.=
d/elpa/org-roam-20220621.527/org-roam-compat
/home/joe/.emacs.d/lisp/org-roam-v1/org-roam-graph hides /home/joe/.emacs.d=
/elpa/org-roam-20220621.527/org-roam-graph
/home/joe/.emacs.d/elpa/lispy-20220209.1138/elpa hides /home/joe/.emacs.d/e=
lpa/ivy-20220529.1130/elpa
~/mu/mu4e/mu4e-main hides /usr/local/share/emacs/site-lisp/mu4e/mu4e-main
~/mu/mu4e/org-mu4e hides /usr/local/share/emacs/site-lisp/mu4e/org-mu4e
~/mu/mu4e/mu4e-context hides /usr/local/share/emacs/site-lisp/mu4e/mu4e-con=
text
~/mu/mu4e/mu4e-meta hides /usr/local/share/emacs/site-lisp/mu4e/mu4e-meta
~/mu/mu4e/mu4e-speedbar hides /usr/local/share/emacs/site-lisp/mu4e/mu4e-sp=
eedbar
~/mu/mu4e/mu4e-headers hides /usr/local/share/emacs/site-lisp/mu4e/mu4e-hea=
ders
~/mu/mu4e/mu4e hides /usr/local/share/emacs/site-lisp/mu4e/mu4e
~/mu/mu4e/mu4e-contrib hides /usr/local/share/emacs/site-lisp/mu4e/mu4e-con=
trib
~/mu/mu4e/mu4e-view hides /usr/local/share/emacs/site-lisp/mu4e/mu4e-view
~/mu/mu4e/mu4e-org hides /usr/local/share/emacs/site-lisp/mu4e/mu4e-org
~/mu/mu4e/mu4e-compose hides /usr/local/share/emacs/site-lisp/mu4e/mu4e-com=
pose
~/mu/mu4e/mu4e-message hides /usr/local/share/emacs/site-lisp/mu4e/mu4e-mes=
sage
~/mu/mu4e/mu4e-lists hides /usr/local/share/emacs/site-lisp/mu4e/mu4e-lists
~/mu/mu4e/mu4e-utils hides /usr/local/share/emacs/site-lisp/mu4e/mu4e-utils
~/mu/mu4e/mu4e-icalendar hides /usr/local/share/emacs/site-lisp/mu4e/mu4e-i=
calendar
~/mu/mu4e/mu4e-mark hides /usr/local/share/emacs/site-lisp/mu4e/mu4e-mark
~/mu/mu4e/mu4e-vars hides /usr/local/share/emacs/site-lisp/mu4e/mu4e-vars
~/mu/mu4e/mu4e-proc hides /usr/local/share/emacs/site-lisp/mu4e/mu4e-proc
~/mu/mu4e/mu4e-actions hides /usr/local/share/emacs/site-lisp/mu4e/mu4e-act=
ions
~/mu/mu4e/mu4e-draft hides /usr/local/share/emacs/site-lisp/mu4e/mu4e-draft
/home/joe/.emacs.d/elpa/transient-20220527.2213/transient hides /home/joe/e=
macs/lisp/transient
~/org-mode/lisp/org-entities hides /home/joe/emacs/lisp/org/org-entities
~/org-mode/lisp/ox-beamer hides /home/joe/emacs/lisp/org/ox-beamer
~/org-mode/lisp/oc-biblatex hides /home/joe/emacs/lisp/org/oc-biblatex
~/org-mode/lisp/ob-table hides /home/joe/emacs/lisp/org/ob-table
~/org-mode/lisp/oc-natbib hides /home/joe/emacs/lisp/org/oc-natbib
~/org-mode/lisp/ob-python hides /home/joe/emacs/lisp/org/ob-python
~/org-mode/lisp/oc-csl hides /home/joe/emacs/lisp/org/oc-csl
~/org-mode/lisp/ol-doi hides /home/joe/emacs/lisp/org/ol-doi
~/org-mode/lisp/ob-js hides /home/joe/emacs/lisp/org/ob-js
~/org-mode/lisp/ob-ruby hides /home/joe/emacs/lisp/org/ob-ruby
~/org-mode/lisp/org-duration hides /home/joe/emacs/lisp/org/org-duration
~/org-mode/lisp/ob-org hides /home/joe/emacs/lisp/org/ob-org
~/org-mode/lisp/ob-haskell hides /home/joe/emacs/lisp/org/ob-haskell
~/org-mode/lisp/org-version hides /home/joe/emacs/lisp/org/org-version
~/org-mode/lisp/ob-tangle hides /home/joe/emacs/lisp/org/ob-tangle
~/org-mode/lisp/ox-latex hides /home/joe/emacs/lisp/org/ox-latex
~/org-mode/lisp/org-table hides /home/joe/emacs/lisp/org/org-table
~/org-mode/lisp/org-crypt hides /home/joe/emacs/lisp/org/org-crypt
~/org-mode/lisp/org-refile hides /home/joe/emacs/lisp/org/org-refile
~/org-mode/lisp/ob-forth hides /home/joe/emacs/lisp/org/ob-forth
~/org-mode/lisp/ox-odt hides /home/joe/emacs/lisp/org/ox-odt
~/org-mode/lisp/ob-eshell hides /home/joe/emacs/lisp/org/ob-eshell
~/org-mode/lisp/org-pcomplete hides /home/joe/emacs/lisp/org/org-pcomplete
~/org-mode/lisp/ob-maxima hides /home/joe/emacs/lisp/org/ob-maxima
~/org-mode/lisp/org-archive hides /home/joe/emacs/lisp/org/org-archive
~/org-mode/lisp/ox-publish hides /home/joe/emacs/lisp/org/ox-publish
~/org-mode/lisp/org-attach-git hides /home/joe/emacs/lisp/org/org-attach-git
~/org-mode/lisp/org-goto hides /home/joe/emacs/lisp/org/org-goto
~/org-mode/lisp/ob-sqlite hides /home/joe/emacs/lisp/org/ob-sqlite
~/org-mode/lisp/ox-man hides /home/joe/emacs/lisp/org/ox-man
~/org-mode/lisp/ob-fortran hides /home/joe/emacs/lisp/org/ob-fortran
~/org-mode/lisp/org-compat hides /home/joe/emacs/lisp/org/org-compat
~/org-mode/lisp/ol-rmail hides /home/joe/emacs/lisp/org/ol-rmail
~/org-mode/lisp/ol-eshell hides /home/joe/emacs/lisp/org/ol-eshell
~/org-mode/lisp/ob-lob hides /home/joe/emacs/lisp/org/ob-lob
~/org-mode/lisp/org-attach hides /home/joe/emacs/lisp/org/org-attach
~/org-mode/lisp/org-mobile hides /home/joe/emacs/lisp/org/org-mobile
~/org-mode/lisp/ox hides /home/joe/emacs/lisp/org/ox
~/org-mode/lisp/ob-plantuml hides /home/joe/emacs/lisp/org/ob-plantuml
~/org-mode/lisp/ob-makefile hides /home/joe/emacs/lisp/org/ob-makefile
~/org-mode/lisp/ob-ref hides /home/joe/emacs/lisp/org/ob-ref
~/org-mode/lisp/ox-org hides /home/joe/emacs/lisp/org/ox-org
~/org-mode/lisp/ob-lisp hides /home/joe/emacs/lisp/org/ob-lisp
~/org-mode/lisp/ol-mhe hides /home/joe/emacs/lisp/org/ol-mhe
~/org-mode/lisp/ob-octave hides /home/joe/emacs/lisp/org/ob-octave
~/org-mode/lisp/ox-koma-letter hides /home/joe/emacs/lisp/org/ox-koma-letter
~/org-mode/lisp/ox-texinfo hides /home/joe/emacs/lisp/org/ox-texinfo
~/org-mode/lisp/ob-matlab hides /home/joe/emacs/lisp/org/ob-matlab
~/org-mode/lisp/org-tempo hides /home/joe/emacs/lisp/org/org-tempo
~/org-mode/lisp/org-install hides /home/joe/emacs/lisp/org/org-install
~/org-mode/lisp/ob-shell hides /home/joe/emacs/lisp/org/ob-shell
~/org-mode/lisp/ob-C hides /home/joe/emacs/lisp/org/ob-C
~/org-mode/lisp/org-faces hides /home/joe/emacs/lisp/org/org-faces
~/org-mode/lisp/oc-basic hides /home/joe/emacs/lisp/org/oc-basic
~/org-mode/lisp/ol-irc hides /home/joe/emacs/lisp/org/ol-irc
~/org-mode/lisp/ob-lilypond hides /home/joe/emacs/lisp/org/ob-lilypond
~/org-mode/lisp/org-plot hides /home/joe/emacs/lisp/org/org-plot
~/org-mode/lisp/ob-core hides /home/joe/emacs/lisp/org/ob-core
~/org-mode/lisp/org-loaddefs hides /home/joe/emacs/lisp/org/org-loaddefs
~/org-mode/lisp/org-id hides /home/joe/emacs/lisp/org/org-id
~/org-mode/lisp/ob-calc hides /home/joe/emacs/lisp/org/ob-calc
~/org-mode/lisp/org-list hides /home/joe/emacs/lisp/org/org-list
~/org-mode/lisp/ob-sass hides /home/joe/emacs/lisp/org/ob-sass
~/org-mode/lisp/org-colview hides /home/joe/emacs/lisp/org/org-colview
~/org-mode/lisp/ob-exp hides /home/joe/emacs/lisp/org/ob-exp
~/org-mode/lisp/ob-eval hides /home/joe/emacs/lisp/org/ob-eval
~/org-mode/lisp/org-timer hides /home/joe/emacs/lisp/org/org-timer
~/org-mode/lisp/ol-docview hides /home/joe/emacs/lisp/org/ol-docview
~/org-mode/lisp/ol hides /home/joe/emacs/lisp/org/ol
~/org-mode/lisp/ob-perl hides /home/joe/emacs/lisp/org/ob-perl
~/org-mode/lisp/org-habit hides /home/joe/emacs/lisp/org/org-habit
~/org-mode/lisp/ob-comint hides /home/joe/emacs/lisp/org/ob-comint
~/org-mode/lisp/ol-gnus hides /home/joe/emacs/lisp/org/ol-gnus
~/org-mode/lisp/org-mouse hides /home/joe/emacs/lisp/org/org-mouse
~/org-mode/lisp/ob-gnuplot hides /home/joe/emacs/lisp/org/ob-gnuplot
~/org-mode/lisp/org-inlinetask hides /home/joe/emacs/lisp/org/org-inlinetask
~/org-mode/lisp/ox-icalendar hides /home/joe/emacs/lisp/org/ox-icalendar
~/org-mode/lisp/org-src hides /home/joe/emacs/lisp/org/org-src
~/org-mode/lisp/ox-md hides /home/joe/emacs/lisp/org/ox-md
~/org-mode/lisp/org-protocol hides /home/joe/emacs/lisp/org/org-protocol
~/org-mode/lisp/org-keys hides /home/joe/emacs/lisp/org/org-keys
~/org-mode/lisp/org-num hides /home/joe/emacs/lisp/org/org-num
~/org-mode/lisp/ol-w3m hides /home/joe/emacs/lisp/org/ol-w3m
~/org-mode/lisp/ob-ocaml hides /home/joe/emacs/lisp/org/ob-ocaml
~/org-mode/lisp/org-datetree hides /home/joe/emacs/lisp/org/org-datetree
~/org-mode/lisp/ob-ditaa hides /home/joe/emacs/lisp/org/ob-ditaa
~/org-mode/lisp/ox-ascii hides /home/joe/emacs/lisp/org/ox-ascii
~/org-mode/lisp/ob-dot hides /home/joe/emacs/lisp/org/ob-dot
~/org-mode/lisp/org-feed hides /home/joe/emacs/lisp/org/org-feed
~/org-mode/lisp/org hides /home/joe/emacs/lisp/org/org
~/org-mode/lisp/org-footnote hides /home/joe/emacs/lisp/org/org-footnote
~/org-mode/lisp/ob-R hides /home/joe/emacs/lisp/org/ob-R
~/org-mode/lisp/ol-bbdb hides /home/joe/emacs/lisp/org/ol-bbdb
~/org-mode/lisp/org-lint hides /home/joe/emacs/lisp/org/org-lint
~/org-mode/lisp/ob-sql hides /home/joe/emacs/lisp/org/ob-sql
~/org-mode/lisp/org-clock hides /home/joe/emacs/lisp/org/org-clock
~/org-mode/lisp/org-macs hides /home/joe/emacs/lisp/org/org-macs
~/org-mode/lisp/org-element hides /home/joe/emacs/lisp/org/org-element
~/org-mode/lisp/ox-html hides /home/joe/emacs/lisp/org/ox-html
~/org-mode/lisp/ob-latex hides /home/joe/emacs/lisp/org/ob-latex
~/org-mode/lisp/ob-java hides /home/joe/emacs/lisp/org/ob-java
~/org-mode/lisp/ob-scheme hides /home/joe/emacs/lisp/org/ob-scheme
~/org-mode/lisp/ol-info hides /home/joe/emacs/lisp/org/ol-info
~/org-mode/lisp/org-macro hides /home/joe/emacs/lisp/org/org-macro
~/org-mode/lisp/ob-css hides /home/joe/emacs/lisp/org/ob-css
~/org-mode/lisp/ol-eww hides /home/joe/emacs/lisp/org/ol-eww
~/org-mode/lisp/ob-processing hides /home/joe/emacs/lisp/org/ob-processing
~/org-mode/lisp/ob-clojure hides /home/joe/emacs/lisp/org/ob-clojure
~/org-mode/lisp/ob-emacs-lisp hides /home/joe/emacs/lisp/org/ob-emacs-lisp
~/org-mode/lisp/ob-sed hides /home/joe/emacs/lisp/org/ob-sed
~/org-mode/lisp/ob-screen hides /home/joe/emacs/lisp/org/ob-screen
~/org-mode/lisp/ob hides /home/joe/emacs/lisp/org/ob
~/org-mode/lisp/org-agenda hides /home/joe/emacs/lisp/org/org-agenda
~/org-mode/lisp/org-ctags hides /home/joe/emacs/lisp/org/org-ctags
~/org-mode/lisp/ob-lua hides /home/joe/emacs/lisp/org/ob-lua
~/org-mode/lisp/ob-groovy hides /home/joe/emacs/lisp/org/ob-groovy
~/org-mode/lisp/org-capture hides /home/joe/emacs/lisp/org/org-capture
~/org-mode/lisp/org-indent hides /home/joe/emacs/lisp/org/org-indent
~/org-mode/lisp/oc hides /home/joe/emacs/lisp/org/oc
~/org-mode/lisp/ol-bibtex hides /home/joe/emacs/lisp/org/ol-bibtex
~/org-mode/lisp/ob-awk hides /home/joe/emacs/lisp/org/ob-awk

Features:
(shadow emacsbug misearch multi-isearch sh-script smie executable
pcmpl-args pcmpl-linux pcmpl-unix dired-aux image-file image-converter
display-line-numbers cl-print helm-external cus-start ffap winner
tramp-archive tramp-gvfs zeroconf helm-command helm-elisp helm-eval
edebug debug backtrace helm-info vc-hg vc-git diff-mode vc-bzr vc-src
vc-sccs vc-svn vc-cvs vc-rcs log-view pcvs-util term/xterm xterm
overseer pkg-info epl .emacs linum disable-mouse scroll-other-window
two-column hercules which-key pdf-occur tablist tablist-filter
semantic/wisent/comp semantic/wisent semantic/wisent/wisent
semantic/util-modes semantic/util semantic semantic/tag semantic/lex
semantic/fw mode-local cedet pdf-isearch pdf-misc pdf-tools pdf-view
pdf-cache pdf-info pdf-util pdf-macs github-issues bash-completion
ac-cider ac-capf auto-complete popup elfeed-show elfeed-search
disp-table whitespace elfeed-csv elfeed elfeed-curl elfeed-log elfeed-db
elfeed-lib xml-query recentf crdt forms forms-mode helm-projectile
projectile grep ibuf-ext ibuffer ibuffer-loaddefs helm-org helm-cider
helm-cider-spec helm-cider-repl helm-cider-cheatsheet helm-cider-util
cider-cheatsheet helm-ag helm-fd helm-mode helm-misc rainbow-delimiters
highlight-parentheses cider tramp-sh cider-debug cider-browse-ns
cider-mode cider-find cider-inspector cider-completion cider-profile
cider-eval cider-jar arc-mode archive-mode cider-repl-history cider-repl
cider-resolve cider-test cider-overlays cider-stacktrace cider-doc
cider-browse-spec cider-clojuredocs cider-eldoc cider-client
cider-common cider-connection cider-util cider-popup sesman-browser
nrepl-client queue nrepl-dict parseedn parseclj-parser parseclj-lex
parseclj-alist sesman vc vc-dispatcher clojure-mode align helm-lsp
helm-imenu lsp-treemacs lsp-treemacs-themes treemacs
treemacs-header-line treemacs-compatibility treemacs-mode
treemacs-bookmarks treemacs-interface treemacs-extensions
treemacs-mouse-interface treemacs-tags treemacs-persistence
treemacs-filewatch-mode treemacs-follow-mode treemacs-rendering
treemacs-annotations treemacs-async treemacs-workspaces treemacs-dom
treemacs-visuals treemacs-fringe-indicator treemacs-scope pulse
treemacs-faces treemacs-icons treemacs-themes treemacs-core-utils
pfuture treemacs-logging treemacs-customization treemacs-macros lsp-ui
lsp-ui-flycheck lsp-ui-doc goto-addr lsp-ui-imenu lsp-ui-peek
lsp-ui-sideline flycheck lsp-ui-util face-remap lsp-mode lsp-protocol
yasnippet tree-widget spinner network-stream markdown-mode imenu ht ewoc
geiser-racket geiser-repl geiser-compile geiser-debug transient compat
geiser-capf compile geiser-image geiser-doc geiser-menu geiser-autodoc
geiser-edit etags fileloop xref geiser-completion geiser-eval
geiser-connection tq geiser-syntax scheme geiser-log geiser-popup view
hypothesis request autorevert mu4e mu4e-org mu4e-main mu4e-view
mu4e-headers mu4e-compose mu4e-context mu4e-draft mu4e-actions rfc2368
smtpmail mu4e-mark mu4e-proc mu4e-utils mu4e-lists mu4e-message
flow-fill mule-util mu4e-vars mu4e-meta ox-reveal org-ref
org-ref-helm-bibtex org-ref-helm helm-config org-ref-core warnings
reftex-cite reftex reftex-loaddefs reftex-vars org-ref-glossary
org-ref-bibtex org-ref-citeproc hydra lv doi-utils org-ref-utils
org-ref-pdf htmlize helm-bibtex bibtex-completion biblio biblio-download
biblio-dissemin biblio-ieee biblio-hal biblio-dblp biblio-crossref
biblio-arxiv timezone biblio-doi biblio-core ido hl-line parsebib
helm-files image-dired helm-buffers helm-occur helm-tags helm-locate
helm-grep helm-regexp helm-utils helm-types helm-net helm-help helm
helm-global-bindings helm-core async-bytecomp helm-source
helm-multi-match helm-lib async org-roam-protocol let-alist org-protocol
org-roam org-roam-link org-roam-graph org-roam-doctor org-roam-dailies
org-roam-capture org-roam-db org-capture org-roam-completion
org-roam-buffer inline org-roam-faces org-roam-macs org-roam-compat f
f-shortdoc shortdoc s dash org-id emacsql-sqlite3 emacsql
emacsql-compiler org-habit color org-bullets edmacro org-journal
org-crypt cal-iso org-tree-slide org-timer org-clock toc-org ox-extra
org-tempo tempo ox-odt rng-loc rng-uri rng-parse rng-match rng-dt
rng-util rng-pttrn nxml-parse nxml-ns nxml-enc xmltok nxml-util ox-latex
ox-icalendar org-agenda org-refile ox-html table ox-ascii ox-publish ox
ob-calc calc-store calc-trail calc-ext calc calc-loaddefs rect calc-macs
ob-jupyter jupyter-tramp docker-tramp tramp-cache tramp tramp-loaddefs
trampver tramp-integration cus-edit cus-load files-x tramp-compat
ls-lisp jupyter-server jupyter-server-ioloop jupyter-ioloop-comm
jupyter-ioloop zmq zmq-core jupyter-rest-api url-http url-auth url-gw
nsm pcase jupyter-org-extensions jupyter-org-client jupyter-repl
jupyter-kernel-manager jupyter-channel jupyter-widget-client websocket
bindat simple-httpd jupyter-client jupyter-comm-layer jupyter-messages
hmac-def jupyter-mime jupyter-kernelspec jupyter-env jupyter-base
eieio-base ob-R ob-python python ob-scheme geiser ob-maxima ob-clojure
ob-shell shell org-element avl-tree generator ol-eww eww xdg url-queue
thingatpt mm-url ol-rmail ol-mhe ol-irc ol-info ol-gnus nnselect
gnus-art mm-uu mml2015 mm-view mml-smime smime gnutls dig gnus-sum shr
pixel-fill kinsoku url-file url-dired svg dom gnus-group gnus-undo
gnus-start gnus-dbus dbus xml gnus-cloud nnimap nnmail mail-source utf7
netrc nnoo gnus-spec gnus-int gnus-range message sendmail yank-media
puny rfc822 mml mml-sec epa epg rfc6068 epg-config mailabbrev gmm-utils
mailheader gnus-win gnus nnheader gnus-util mail-utils range wid-edit
ol-docview doc-view filenotify jka-compr image-mode exif ol-bibtex
ol-bbdb ol-w3m ol-doi org-link-doi ess ess-utils ess-custom project
holidays holiday-loaddefs window-margin command-log-mode cyberpunk-theme
dream-theme ps-print ps-print-loaddefs ps-def lpr time feebleline
bookmark+ bookmark+-key kmacro derived dired-x dired dired-loaddefs
bookmark+-1 bookmark+-bmu bookmark+-lit bookmark text-property-search pp
parse-time quelpa-use-package cl-extra quelpa mm-decode mm-bodies
mm-encode mail-parse rfc2231 rfc2047 rfc2045 mm-util ietf-drums
mail-prsvr lisp-mnt use-package use-package-ensure use-package-delight
use-package-diminish use-package-bind-key bind-key use-package-core
finder-inf org ob ob-tangle ob-ref ob-lob ob-table ob-exp org-macro
org-footnote org-src ob-comint org-pcomplete pcomplete comint ansi-color
org-list org-faces org-entities noutline outline easy-mmode org-version
ob-emacs-lisp ob-core ob-eval org-table oc-basic bibtex iso8601
time-date ol rx org-keys oc org-compat advice org-macs org-loaddefs
format-spec find-func cal-menu calendar cal-loaddefs geiser-impl
help-fns radix-tree help-mode geiser-custom geiser-base ring
helm-easymenu tex-site scholar-import-autoloads info package browse-url
url url-proxy url-privacy url-expand url-methods url-history url-cookie
generate-lisp-file url-domsuf url-util mailcap url-handlers url-parse
auth-source cl-seq eieio eieio-core cl-macs password-cache json subr-x
map byte-opt gv bytecomp byte-compile cconv url-vars cl-loaddefs cl-lib
rmc iso-transl tooltip eldoc paren electric uniquify ediff-hook vc-hooks
lisp-float-type elisp-mode mwheel term/x-win x-win term/common-win x-dnd
tool-bar dnd fontset image regexp-opt fringe tabulated-list replace
newcomment text-mode lisp-mode prog-mode register page tab-bar menu-bar
rfn-eshadow isearch easymenu timer select scroll-bar mouse jit-lock
font-lock syntax font-core term/tty-colors frame minibuffer nadvice seq
simple cl-generic indonesian philippine cham georgian utf-8-lang
misc-lang vietnamese tibetan thai tai-viet lao korean japanese eucjp-ms
cp51932 hebrew greek romanian slovak czech european ethiopic indian
cyrillic chinese composite emoji-zwj charscript charprop case-table
epa-hook jka-cmpr-hook help abbrev obarray oclosure cl-preloaded button
loaddefs faces cus-face macroexp files window text-properties overlay
sha1 md5 base64 format env code-pages mule custom widget keymap
hashtable-print-readable backquote threads dbusbind inotify lcms2
dynamic-setting system-font-setting font-render-setting cairo
move-toolbar gtk x-toolkit xinput2 x multi-tty make-network-process
emacs)

Memory information:
((conses 16 1517550 1318174)
 (symbols 48 80873 50)
 (strings 32 320327 91105)
 (string-bytes 1 10311004)
 (vectors 16 136272)
 (vector-slots 8 1817562 448552)
 (floats 8 1061 1022)
 (intervals 56 56189 80742)
 (buffers 992 40))

--=20
Dr Joseph A. Corneli (https://github.com/holtzermann17)

HYPERREAL ENTERPRISES LTD is a private company limited by shares, incorpora=
ted
25th, June 2019 as Company Number 634284 on the Register of Companies for
Scotland (https://beta.companieshouse.gov.uk/company/SC634284).




Acknowledgement sent to Joe Corneli <joseph.corneli@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#56869; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Thu, 18 Aug 2022 13:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.